Search.setIndex({"docnames": ["index", "introduction/advanced_topics", "introduction/custom_file_readers", "introduction/custom_modifiers", "introduction/custom_overlays", "introduction/data_manipulation", "introduction/data_model", "introduction/examples", "introduction/examples/batch_scripts/cna_bond_indices", "introduction/examples/batch_scripts/creating_particles", "introduction/examples/batch_scripts/trajectory_viewer", "introduction/examples/batch_scripts/voronoi_indices", "introduction/examples/file_readers/example_file_format_reader", "introduction/examples/file_readers/example_file_format_reader_optimization", "introduction/examples/modifiers/calculate_displacement_vectors", "introduction/examples/modifiers/calculate_local_entropy", "introduction/examples/modifiers/custom_time_average", "introduction/examples/modifiers/msd_calculation", "introduction/examples/modifiers/order_parameter_calculation", "introduction/examples/modifiers/select_overlapping_particles", "introduction/examples/modifiers/shrink_wrap_box", "introduction/examples/modifiers/visualize_local_lattice_orientation", "introduction/examples/overlays/data_plot", "introduction/examples/overlays/highlight_particle", "introduction/examples/overlays/scale_bar", "introduction/file_io", "introduction/installation", "introduction/introduction", "introduction/overview", "introduction/pipelines", "introduction/rendering", "modules/ovito", "modules/ovito_data", "modules/ovito_io", "modules/ovito_io_ase", "modules/ovito_io_lammps", "modules/ovito_modifiers", "modules/ovito_pipeline", "modules/ovito_traits", "modules/ovito_vis"], "filenames": ["index.rst", "introduction/advanced_topics.rst", "introduction/custom_file_readers.rst", "introduction/custom_modifiers.rst", "introduction/custom_overlays.rst", "introduction/data_manipulation.rst", "introduction/data_model.rst", "introduction/examples.rst", "introduction/examples/batch_scripts/cna_bond_indices.rst", "introduction/examples/batch_scripts/creating_particles.rst", "introduction/examples/batch_scripts/trajectory_viewer.rst", "introduction/examples/batch_scripts/voronoi_indices.rst", "introduction/examples/file_readers/example_file_format_reader.rst", "introduction/examples/file_readers/example_file_format_reader_optimization.rst", "introduction/examples/modifiers/calculate_displacement_vectors.rst", "introduction/examples/modifiers/calculate_local_entropy.rst", "introduction/examples/modifiers/custom_time_average.rst", "introduction/examples/modifiers/msd_calculation.rst", "introduction/examples/modifiers/order_parameter_calculation.rst", "introduction/examples/modifiers/select_overlapping_particles.rst", "introduction/examples/modifiers/shrink_wrap_box.rst", "introduction/examples/modifiers/visualize_local_lattice_orientation.rst", "introduction/examples/overlays/data_plot.rst", "introduction/examples/overlays/highlight_particle.rst", "introduction/examples/overlays/scale_bar.rst", "introduction/file_io.rst", "introduction/installation.rst", "introduction/introduction.rst", "introduction/overview.rst", "introduction/pipelines.rst", "introduction/rendering.rst", "modules/ovito.rst", "modules/ovito_data.rst", "modules/ovito_io.rst", "modules/ovito_io_ase.rst", "modules/ovito_io_lammps.rst", "modules/ovito_modifiers.rst", "modules/ovito_pipeline.rst", "modules/ovito_traits.rst", "modules/ovito_vis.rst"], "titles": ["OVITO Python Reference", "Advanced topics", "User-defined file readers", "User-defined modifiers", "User-defined viewport layers", "Manipulating data", "Data model", "Code examples", "Example B2: Computing CNA bond indices", "Example B3: Creating particles and bonds programmatically", "Example B4: Standalone trajectory viewer", "Example B1: Computing Voronoi indices", "Example FR1: Custom file reader loading particle properties and the simulation cell", "Example FR2: Optimizing the performance of Example FR1", "Example M7: Displacement vectors with reference configuration", "Example M6: Calculate local entropy", "Example M8: Compute trajectory average of a global attribute", "Example M1: Calculating mean square displacement", "Example M2: Custom order parameter calculation", "Example M4: Finding overlapping particles", "Example M5: Shrink-wrap simulation box", "Example M3: Color mapping to visualize local lattice orientation", "Example O2: Add a data plot to rendered images", "Example O3: Highlight a particle", "Example O1: Scale bar", "File I/O", "Installation", "Introduction", "High-level API overview", "Data pipelines", "Rendering &amp; visualization", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.data</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.ase</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.lammps</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.modifiers</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.pipeline</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.traits</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.vis</span></code>"], "terms": {"thi": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "manual": [0, 3, 6, 13, 15, 20, 32, 36, 39], "describ": [0, 2, 3, 5, 7, 25, 26, 32, 33, 36, 39], "program": [0, 1, 2, 4, 5, 6, 7, 11, 14, 16, 17, 22, 25, 26, 27, 28, 30, 31, 36, 37, 39], "interfac": [0, 1, 2, 4, 5, 6, 10, 14, 16, 25, 27, 28, 29, 32, 33, 36, 37, 39], "pro": [0, 1, 2, 3, 7, 13, 16, 22, 27, 31, 34, 37, 39], "desktop": [0, 3, 7, 26, 27, 31, 35, 37, 39], "applic": [0, 1, 3, 6, 7, 10, 12, 26, 27, 31, 33, 35, 36, 37, 39], "standalon": [0, 1, 2, 3, 22, 26, 27, 39], "packag": [0, 2, 3, 4, 22, 26, 27, 34, 35, 38, 39], "let": [0, 1, 2, 3, 5, 6, 8, 10, 11, 14, 16, 17, 18, 25, 26, 27, 28, 29, 30, 32, 33, 35, 36, 37, 39], "you": [0, 1, 2, 3, 4, 5, 6, 7, 13, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 39], "integr": [0, 1, 2, 3, 7, 15, 27, 36, 39], "": [0, 1, 2, 3, 4, 5, 6, 7, 8, 10, 11, 12, 14, 15, 16, 17, 20, 22, 25, 26, 27, 29, 30, 31, 32, 33, 35, 36, 37, 39], "comput": [0, 1, 2, 5, 6, 7, 14, 15, 17, 18, 20, 21, 22, 24, 25, 26, 27, 29, 30, 31, 32, 33, 34, 36, 37, 39], "render": [0, 1, 3, 4, 6, 7, 14, 23, 24, 25, 27, 29, 31, 32, 33, 35, 36, 37, 39], "capabl": [0, 5, 26, 27, 32, 37, 39], "extern": [0, 1, 3, 7, 9, 25, 26, 28, 29, 32, 33, 34, 37, 39], "extend": [0, 1, 2, 3, 27, 29, 32, 33, 36, 39], "new": [0, 1, 2, 3, 4, 6, 7, 9, 12, 13, 14, 15, 16, 20, 21, 25, 27, 28, 29, 30, 32, 33, 34, 35, 36, 37, 38, 39], "user": [0, 5, 6, 9, 10, 12, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 32, 33, 36, 37, 38, 39], "defin": [0, 1, 5, 6, 9, 12, 14, 17, 18, 19, 21, 22, 25, 28, 30, 31, 32, 33, 35, 36, 37, 38, 39], "data": [0, 1, 2, 4, 7, 8, 9, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 23, 24, 26, 27, 30, 31, 33, 34, 35, 36, 37, 38, 39], "process": [0, 2, 6, 9, 12, 15, 27, 28, 32, 33, 36, 37, 39], "visual": [0, 1, 2, 3, 4, 6, 7, 10, 14, 22, 25, 26, 27, 28, 31, 32, 33, 35, 36, 37, 38, 39], "function": [0, 1, 2, 5, 6, 8, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 39], "can": [0, 1, 2, 3, 4, 5, 6, 7, 9, 12, 13, 17, 18, 20, 21, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 36, 37, 39], "access": [0, 2, 3, 5, 6, 7, 8, 10, 11, 12, 17, 18, 25, 26, 27, 30, 31, 32, 33, 35, 36, 37, 39], "from": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "help": [0, 1, 2, 3, 8, 13, 32, 33, 36, 39], "menu": [0, 33], "basic": [0, 2, 26, 27, 31, 32, 36], "onlin": [0, 1, 3], "go": [0, 2, 3, 12, 13, 32, 36, 37, 39], "http": [0, 1, 26, 33], "doc": [0, 3], "org": [0, 1, 26, 39], "introduct": [0, 7, 36], "instal": [0, 2, 4, 22, 27, 34, 35, 39], "high": [0, 3, 24, 25, 32, 33, 34, 36, 39], "level": [0, 3, 6, 25, 31, 32, 33, 34, 36, 39], "api": [0, 2, 3, 4, 7, 10, 12, 14, 15, 16, 23, 24, 27, 37], "overview": [0, 33], "file": [0, 1, 3, 5, 6, 8, 9, 11, 13, 14, 17, 26, 27, 28, 29, 31, 32, 33, 34, 35, 36, 37, 38, 39], "i": [0, 1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 21, 23, 24, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "o": [0, 1, 3, 12, 26, 28, 29, 31, 32, 33, 36, 37, 39], "pipelin": [0, 2, 5, 6, 7, 8, 9, 10, 11, 14, 15, 16, 17, 18, 21, 22, 25, 26, 27, 30, 31, 32, 33, 34, 36, 39], "model": [0, 2, 5, 10, 25, 27, 29, 32, 33, 34, 35, 39], "manipul": [0, 3, 27, 28, 31, 32, 37, 39], "modifi": [0, 1, 2, 6, 8, 11, 14, 15, 16, 17, 18, 19, 20, 21, 22, 25, 26, 27, 29, 30, 31, 32, 35, 37, 38, 39], "reader": [0, 1, 3, 6, 13, 27, 32, 33, 36, 37], "viewport": [0, 1, 3, 10, 22, 24, 25, 26, 27, 28, 29, 31, 32, 33, 36, 37, 39], "layer": [0, 22, 27, 36, 39], "advanc": [0, 2, 5, 13, 14, 16, 36, 37, 39], "code": [0, 1, 2, 3, 5, 12, 13, 15, 21, 25, 26, 27, 29, 32, 33, 35, 36, 37, 39], "exampl": [0, 1, 2, 3, 5, 6, 25, 27, 28, 29, 30, 33, 34, 35, 36, 37, 39], "io": [0, 1, 2, 7, 8, 10, 11, 12, 17, 22, 25, 27, 28, 29, 31, 32, 36, 37, 39], "ase": 0, "lammp": [0, 11, 25, 28, 32, 33, 36, 37], "trait": [0, 2, 3, 14, 16, 23, 24, 33, 37, 39], "vi": [0, 3, 4, 9, 10, 14, 22, 23, 24, 28, 30, 32, 36], "section": [1, 2, 3, 5, 6, 25, 26, 28, 29, 31, 32, 33, 36], "cover": [1, 4, 27, 32, 36], "sever": [1, 3, 6, 28, 29, 30, 32, 33, 36, 37, 39], "relat": [1, 6, 30, 39], "script": [1, 3, 8, 9, 10, 11, 17, 21, 22, 26, 27, 28, 29, 30, 31, 32, 35, 36, 37, 39], "The": [1, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 18, 19, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "export_fil": [1, 3, 17, 25, 27, 28, 29, 32, 33, 35, 36, 37], "output": [1, 5, 6, 7, 8, 11, 14, 15, 16, 17, 18, 19, 21, 22, 25, 27, 28, 29, 31, 32, 33, 35, 36, 37, 39], "disk": [1, 3, 5, 25, 31, 33, 36, 37, 39], "But": [1, 2, 3, 5, 32], "do": [1, 3, 8, 12, 13, 14, 16, 17, 20, 22, 25, 28, 29, 32, 33, 35, 36, 37, 39], "definit": [1, 25, 31, 36, 39], "itself": [1, 3, 13, 31, 32, 36, 37, 39], "includ": [1, 3, 5, 7, 26, 27, 28, 31, 32, 33, 34, 35, 36, 37, 39], "paramet": [1, 4, 7, 14, 15, 16, 19, 23, 24, 25, 26, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "entir": [1, 3, 5, 6, 10, 31, 32, 33, 36, 39], "scene": [1, 3, 5, 9, 10, 25, 26, 28, 30, 31, 32, 33, 36, 37, 39], "state": [1, 3, 5, 28, 31, 32, 35, 36], "method": [1, 5, 6, 10, 13, 14, 15, 24, 25, 28, 29, 30, 31, 32, 33, 36, 37, 39], "thu": [1, 3, 5, 6, 11, 14, 25, 28, 32, 36, 37, 39], "order": [1, 2, 3, 5, 7, 11, 14, 29, 32, 33, 36, 39], "need": [1, 2, 3, 5, 13, 17, 18, 25, 26, 27, 28, 30, 31, 32, 33, 36, 37, 39], "first": [1, 2, 3, 5, 6, 9, 11, 12, 13, 22, 25, 28, 29, 30, 32, 33, 36, 37, 39], "make": [1, 2, 3, 5, 9, 10, 13, 14, 15, 17, 18, 19, 22, 24, 25, 26, 27, 29, 32, 33, 34, 35, 36, 37, 39], "part": [1, 2, 3, 5, 25, 28, 29, 31, 32, 33, 36, 37, 39], "call": [1, 2, 3, 5, 6, 7, 13, 14, 15, 25, 26, 28, 29, 30, 31, 32, 33, 35, 36, 37, 39], "its": [1, 2, 3, 5, 6, 9, 10, 12, 13, 14, 17, 18, 28, 29, 30, 31, 32, 33, 36, 37, 39], "add_to_scen": [1, 3, 9, 10, 22, 25, 26, 28, 31, 32, 33, 36, 37, 39], "import": [1, 2, 3, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 26, 27, 29, 30, 31, 32, 33, 34, 35, 36, 37, 39], "import_fil": [1, 2, 3, 7, 8, 10, 11, 17, 22, 25, 27, 28, 29, 31, 32, 33, 34, 36, 37, 39], "coordinationanalysismodifi": [1, 22, 29, 32, 36], "input": [1, 2, 5, 6, 8, 11, 12, 14, 15, 16, 17, 18, 20, 21, 22, 25, 27, 29, 31, 32, 33, 34, 36, 37, 39], "simul": [1, 2, 3, 6, 7, 8, 9, 10, 11, 13, 14, 16, 17, 18, 22, 24, 25, 27, 28, 30, 31, 32, 33, 34, 35, 36, 37, 39], "dump": [1, 3, 8, 10, 11, 17, 22, 25, 28, 29, 31, 32, 33, 34, 35, 36, 37, 39], "append": [1, 3, 5, 8, 9, 11, 17, 22, 23, 25, 27, 28, 29, 30, 31, 32, 33, 36, 37, 39], "cutoff": [1, 3, 8, 15, 19, 22, 28, 29, 32, 36, 37, 39], "3": [1, 2, 3, 5, 6, 8, 9, 11, 12, 13, 15, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 33, 36, 37, 38, 39], "4": [1, 2, 3, 5, 8, 9, 11, 13, 15, 20, 21, 24, 32, 36, 37, 39], "mypipelin": 1, "restor": [1, 31], "all": [1, 2, 3, 5, 6, 12, 13, 15, 16, 17, 18, 19, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35, 36, 37, 39], "them": [1, 2, 3, 5, 6, 7, 8, 9, 21, 25, 26, 27, 30, 32, 36, 37, 39], "avail": [1, 2, 3, 17, 22, 26, 27, 29, 30, 32, 33, 34, 35, 36, 37, 39], "list": [1, 2, 3, 6, 8, 11, 18, 21, 25, 26, 28, 29, 30, 31, 32, 33, 36, 37, 39], "0": [1, 2, 3, 5, 6, 8, 9, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 32, 33, 34, 35, 36, 37, 38, 39], "Of": 1, "cours": [1, 32], "also": [1, 2, 3, 5, 6, 7, 10, 12, 13, 14, 25, 26, 27, 28, 31, 32, 33, 36, 37, 39], "possibl": [1, 2, 3, 5, 18, 25, 26, 28, 29, 32, 33, 36, 37, 39], "open": [1, 2, 6, 12, 13, 31, 32, 33, 36, 39], "graphic": [1, 3, 4, 6, 7, 10, 17, 18, 21, 25, 27, 28, 29, 31, 32, 36, 37, 39], "convers": [1, 13, 32, 39], "creat": [1, 2, 3, 4, 5, 6, 7, 8, 10, 12, 15, 17, 18, 19, 20, 24, 25, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 39], "hand": [1, 3, 27, 35, 36, 39], "futur": [1, 2, 3, 10, 13, 33, 37, 39], "either": [1, 3, 18, 27, 28, 29, 30, 31, 32, 36, 37, 39], "runtim": [1, 32], "preload": [1, 3], "when": [1, 2, 3, 5, 6, 10, 14, 17, 18, 25, 28, 29, 31, 32, 33, 36, 37, 39], "run": [1, 16, 17, 18, 26, 27, 28, 31, 32, 33, 34, 35, 36, 37, 39], "interpret": [1, 3, 4, 7, 17, 22, 27, 31, 33, 34, 35, 36, 39], "done": [1, 5, 7, 12, 25, 28, 30, 32, 36], "specifi": [1, 2, 3, 16, 18, 19, 25, 30, 32, 33, 36, 37, 39], "command": [1, 26, 31, 33, 35, 36, 39], "line": [1, 2, 3, 5, 6, 8, 12, 13, 25, 26, 30, 31, 32, 33, 35, 36, 39], "option": [1, 2, 3, 4, 5, 6, 25, 26, 28, 30, 31, 32, 33, 36, 37, 39], "py": [1, 2, 26, 32, 35, 39], "now": [1, 2, 3, 5, 11, 12, 13, 16, 29, 31, 34, 36, 37], "execut": [1, 3, 7, 19, 26, 29, 31, 32, 35, 36, 37, 39], "an": [1, 2, 3, 5, 6, 7, 9, 10, 11, 12, 13, 14, 16, 18, 20, 21, 22, 23, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "environ": [1, 3, 8, 26, 27, 34, 36, 39], "where": [1, 2, 3, 5, 6, 11, 12, 13, 15, 21, 29, 32, 33, 36, 37, 39], "wa": [1, 2, 5, 6, 25, 31, 32, 33, 36, 37, 39], "alreadi": [1, 2, 3, 5, 13, 16, 20, 26, 28, 29, 32, 33, 36, 37, 39], "popul": [1, 2, 29, 31, 32, 37, 39], "instead": [1, 3, 13, 14, 28, 29, 32, 33, 36, 37, 39], "set": [1, 2, 3, 5, 6, 9, 10, 11, 12, 26, 28, 29, 30, 32, 33, 36, 37, 39], "up": [1, 3, 6, 11, 13, 17, 18, 26, 27, 28, 29, 31, 32, 36, 37, 39], "scratch": [1, 32], "work": [1, 2, 3, 5, 6, 8, 13, 25, 26, 28, 31, 32, 33, 36, 37, 39], "exist": [1, 2, 5, 16, 20, 25, 26, 29, 30, 31, 32, 33, 34, 35, 36, 37, 39], "were": [1, 3, 28, 31, 36, 39], "replac": [1, 5, 13, 25, 28, 32, 33, 36, 37, 39], "serv": [1, 4, 6, 26, 31, 32, 36, 37, 39], "differ": [1, 3, 6, 9, 13, 15, 27, 28, 30, 32, 33, 36, 37, 39], "one": [1, 2, 3, 5, 6, 12, 13, 18, 19, 20, 25, 28, 29, 31, 32, 33, 36, 37, 39], "sourc": [1, 2, 3, 6, 9, 10, 21, 25, 26, 28, 29, 32, 33, 34, 35, 36, 37, 39], "second_fil": [1, 36, 37], "adjust": [1, 2, 3, 4, 10, 20, 23, 24, 32, 36, 37, 39], "1": [1, 2, 3, 5, 6, 8, 9, 10, 11, 12, 13, 15, 18, 19, 21, 22, 23, 24, 25, 26, 28, 29, 30, 32, 34, 35, 36, 37, 38, 39], "have": [1, 2, 3, 4, 5, 6, 7, 12, 13, 14, 17, 25, 26, 27, 28, 29, 30, 31, 32, 33, 36, 37, 39], "been": [1, 2, 3, 5, 6, 10, 13, 19, 25, 26, 28, 29, 31, 32, 33, 36, 37, 39], "parallel": [1, 26, 27, 28, 30, 32, 35, 36, 39], "computation": 1, "heavi": [1, 8], "analysi": [1, 5, 7, 11, 15, 18, 27, 28, 32, 35, 36, 37], "rountin": 1, "polyhedraltemplatematchingmodifi": [1, 36, 39], "voronoianalysismodifi": [1, 11, 32, 36], "clusteranalysismodifi": [1, 6, 32, 36], "computepropertymodifi": [1, 15, 32, 36, 39], "more": [1, 2, 3, 5, 6, 15, 20, 25, 27, 28, 31, 32, 33, 35, 36, 37, 39], "softwar": [1, 2, 3, 27, 39], "base": [1, 2, 3, 6, 8, 13, 14, 16, 27, 30, 32, 33, 36, 37, 39], "engin": [1, 26, 30, 39], "tachyonrender": [1, 22, 30, 32, 36, 39], "osprayrender": [1, 36, 39], "har": 1, "multipl": [1, 2, 3, 5, 12, 13, 28, 29, 32, 33, 36, 37, 39], "speed": [1, 3, 30, 32, 39], "imag": [1, 3, 4, 6, 7, 14, 24, 25, 27, 29, 30, 31, 32, 33, 36, 37, 39], "gener": [1, 2, 3, 6, 8, 9, 25, 27, 28, 30, 32, 33, 36, 37, 38, 39], "By": [1, 3, 32, 33, 36, 37], "default": [1, 3, 14, 24, 26, 30, 32, 33, 34, 36, 37, 38, 39], "algorithm": [1, 6, 27, 32, 36, 37, 39], "your": [1, 4, 5, 7, 13, 26, 27, 28, 31, 32, 33, 34, 35, 36, 37, 39], "cpu": 1, "number": [1, 2, 3, 6, 8, 10, 11, 12, 13, 15, 17, 18, 22, 25, 27, 28, 29, 31, 32, 33, 36, 37, 39], "determin": [1, 2, 16, 18, 23, 32, 33, 36, 37, 39], "qthread": 1, "idealthreadcount": 1, "which": [1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35, 36, 37, 38, 39], "queri": [1, 3, 6, 32, 36, 39], "follow": [1, 2, 3, 5, 7, 8, 9, 10, 12, 13, 14, 15, 18, 21, 22, 25, 26, 27, 28, 29, 32, 33, 35, 36, 37, 39], "python": [1, 2, 3, 4, 5, 6, 7, 8, 10, 11, 14, 15, 16, 20, 21, 22, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "qt_compat": [1, 23, 24, 39], "qtcore": [1, 10, 23, 39], "print": [1, 3, 6, 8, 11, 16, 25, 26, 28, 31, 32, 33, 35, 36, 37], "sometim": [1, 28, 29, 37], "desir": [1, 28, 30, 32, 33, 36, 37], "restrict": [1, 26, 36, 39], "singl": [1, 3, 6, 13, 25, 32, 33, 36, 37, 39], "onli": [1, 2, 3, 5, 6, 11, 13, 18, 19, 25, 26, 28, 29, 31, 32, 33, 35, 36, 37, 39], "instanc": [1, 2, 3, 5, 6, 25, 28, 29, 30, 31, 32, 33, 36, 37, 38, 39], "same": [1, 2, 3, 5, 6, 8, 14, 25, 26, 28, 29, 32, 33, 36, 37, 39], "node": [1, 3, 33, 37], "acocmplish": 1, "two": [1, 3, 5, 6, 8, 9, 11, 12, 13, 14, 18, 19, 25, 27, 28, 30, 32, 33, 34, 36, 37, 38, 39], "wai": [1, 3, 4, 13, 25, 27, 28, 30, 32, 36, 37, 39], "both": [1, 2, 3, 5, 11, 13, 26, 32, 36, 39], "support": [1, 2, 3, 6, 18, 25, 30, 32, 33, 36, 39], "nthread": [1, 26], "overrid": [1, 3, 32, 33, 39], "yourscript": 1, "second": [1, 3, 5, 9, 13, 14, 25, 29, 32, 36, 37, 39], "ovito_thread_count": 1, "variabl": [1, 3, 6, 28, 31, 32, 36, 39], "prior": [1, 36, 37, 39], "invok": [1, 2, 3, 5, 15, 25, 26, 28, 32, 33, 35, 36, 37], "approach": [1, 2, 9, 13, 26, 32, 36, 37], "alwai": [1, 2, 3, 5, 6, 12, 19, 28, 32, 33, 36, 37, 39], "modul": [1, 3, 5, 6, 8, 10, 11, 22, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "export": [1, 3, 6, 8, 9, 17, 27, 29, 32, 33, 36, 37], "python3": [1, 39], "allow": [1, 3, 5, 7, 13, 19, 21, 26, 27, 28, 30, 32, 33, 35, 36, 37, 39], "implement": [1, 2, 3, 5, 7, 9, 10, 12, 13, 14, 16, 22, 24, 30, 32, 33, 36, 37, 39], "custom": [1, 2, 4, 7, 9, 13, 17, 21, 24, 27, 32, 33, 36, 37, 38, 39], "overlai": [1, 4, 22, 24, 39], "seamlessli": [1, 27], "To": [1, 2, 3, 4, 6, 10, 13, 15, 18, 25, 26, 28, 30, 32, 33, 36, 37, 39], "thei": [1, 3, 5, 6, 12, 26, 27, 29, 32, 33, 36, 37, 38, 39], "properli": 1, "regist": [1, 2, 3, 12, 33], "system": [1, 2, 3, 5, 6, 7, 8, 14, 17, 18, 19, 25, 26, 29, 32, 33, 36, 37, 39], "automat": [1, 2, 3, 6, 7, 10, 12, 25, 28, 30, 32, 33, 36, 37, 39], "find": [1, 3, 6, 7, 12, 18, 25, 32, 36, 39], "discoveri": 1, "class": [1, 2, 3, 4, 5, 6, 8, 12, 14, 16, 18, 19, 22, 23, 24, 25, 28, 29, 30, 31, 32, 33, 36, 37, 38, 39], "entri": [1, 3, 11, 25, 32, 33, 36, 39], "point": [1, 3, 13, 23, 31, 32, 33, 36, 37, 38, 39], "specif": [1, 2, 3, 4, 6, 12, 29, 30, 32, 33, 35, 36, 37, 38, 39], "standard": [1, 3, 6, 8, 17, 19, 30, 31, 32, 33, 36, 37, 39], "mechan": [1, 3, 7, 26, 27, 33, 37], "keep": [1, 3, 5, 14, 26, 28, 29, 32, 36, 37], "cleanli": 1, "separ": [1, 3, 12, 14, 15, 19, 25, 28, 29, 30, 32, 33, 36, 37, 39], "main": [1, 2, 3, 10, 26, 29, 33, 37, 39], "That": [1, 2, 3, 5, 11, 12, 25, 28, 29, 30, 32, 33, 36, 37, 39], "mean": [1, 2, 3, 5, 6, 7, 12, 16, 18, 25, 28, 29, 32, 33, 36, 37, 39], "mai": [1, 2, 3, 5, 6, 12, 13, 17, 19, 21, 22, 25, 26, 28, 29, 30, 31, 32, 33, 34, 36, 37, 39], "updat": [1, 2, 3, 10, 13, 18, 19, 29, 32, 36, 37, 39], "chang": [1, 2, 3, 5, 10, 12, 13, 14, 25, 28, 29, 30, 32, 33, 36, 37, 39], "independ": [1, 3, 32, 36, 37], "facilit": [1, 32], "easi": [1, 5, 22, 32], "deploy": 1, "other": [1, 2, 5, 6, 7, 25, 26, 27, 28, 29, 30, 32, 33, 35, 36, 37, 38, 39], "case": [1, 2, 3, 5, 6, 11, 12, 25, 26, 27, 30, 32, 33, 36, 37, 39], "want": [1, 2, 3, 5, 12, 13, 22, 25, 26, 27, 28, 32, 33, 36, 37, 39], "share": [1, 5, 26, 27, 28, 32, 36, 37, 39], "commun": [1, 2, 37, 39], "aid": 1, "develop": [1, 2, 3, 4, 10, 13, 18, 26, 27, 35, 39], "we": [1, 2, 3, 5, 11, 12, 13, 14, 16, 17, 18, 19, 20, 25, 28, 29, 30, 31, 32, 34, 36, 37, 39], "provid": [1, 2, 3, 4, 5, 6, 14, 16, 17, 18, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "github": 1, "repositori": [1, 3, 26], "templat": [1, 21, 33, 36], "each": [1, 2, 3, 5, 6, 8, 11, 12, 13, 14, 15, 17, 18, 21, 25, 28, 29, 32, 36, 37, 39], "type": [1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 22, 25, 27, 28, 29, 30, 32, 33, 36, 37, 38, 39], "step": [1, 3, 5, 6, 13, 15, 25, 29, 32, 33, 35, 36, 37, 39], "instruct": [1, 3, 13, 36], "initi": [1, 2, 5, 13, 15, 17, 25, 28, 29, 32, 36, 37, 39], "directori": [1, 3, 25, 26, 27, 33, 36, 37], "structur": [1, 3, 5, 6, 8, 9, 11, 27, 28, 29, 32, 33, 36, 37, 39], "pyproject": 1, "toml": 1, "skeleton": 1, "simplifi": 1, "distribut": [1, 11, 22, 27, 32, 36, 39], "furthermor": [1, 3, 5, 6, 27, 28, 31, 32, 33, 36, 37, 39], "team": 1, "host": [1, 3, 26], "public": [1, 10], "publish": 1, "A": [1, 3, 6, 11, 14, 15, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "collect": [1, 2, 3, 4, 5, 6, 9, 13, 16, 32, 33, 34, 35, 36, 37, 39], "submit": 1, "maintain": [1, 3, 32, 36, 39], "respect": [1, 3, 8, 12, 14, 17, 18, 33, 36, 37, 39], "author": [1, 3], "curat": 1, "In": [1, 2, 3, 6, 7, 11, 12, 13, 18, 21, 25, 26, 28, 29, 30, 32, 33, 35, 36, 37, 38, 39], "ll": [1, 3], "consid": [1, 2, 3, 5, 32, 35, 36, 37], "written": [1, 13, 26, 27, 31, 32, 33, 36, 39], "name": [1, 2, 3, 5, 6, 9, 11, 12, 16, 21, 25, 26, 32, 33, 36, 37, 39], "mymodifi": [1, 3], "start": [1, 2, 10, 12, 13, 18, 23, 25, 26, 29, 32, 39], "simpl": [1, 2, 5, 6, 10, 13, 26, 32, 33, 36, 37], "project": [1, 13, 21, 23, 26, 28, 30, 32, 39], "layout": [1, 32, 39], "root": [1, 36], "dir": 1, "src": [1, 3], "__init__": 1, "datacollect": [1, 2, 3, 5, 6, 8, 9, 12, 13, 14, 15, 16, 20, 22, 23, 24, 25, 28, 29, 32, 33, 34, 35, 36, 37, 39], "modifierinterfac": [1, 3, 14, 16, 36, 37], "def": [1, 2, 3, 8, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 32, 35, 36, 37, 39], "self": [1, 2, 3, 12, 13, 14, 16, 22, 23, 24, 36, 37, 39], "frame": [1, 2, 3, 6, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 25, 27, 29, 30, 32, 33, 36, 37, 39], "int": [1, 2, 3, 10, 12, 13, 14, 15, 20, 31, 32, 33, 35, 36, 37, 39], "kwarg": [1, 2, 3, 12, 13, 14, 16, 22, 23, 24, 33, 36, 37, 39], "If": [1, 3, 4, 5, 15, 16, 22, 26, 27, 28, 31, 32, 33, 36, 37, 39], "ar": [1, 2, 3, 4, 5, 6, 7, 11, 12, 13, 16, 18, 19, 20, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "complex": [1, 3, 27, 36, 39], "split": [1, 2, 12, 13, 36], "nest": [1, 5, 6, 18, 32, 39], "metadata": [1, 2, 3, 38], "ani": [1, 2, 3, 5, 12, 13, 18, 19, 25, 26, 27, 28, 29, 30, 31, 32, 33, 36, 37, 39], "depend": [1, 3, 25, 28, 32, 33, 36, 37, 39], "requir": [1, 3, 4, 10, 11, 13, 26, 28, 32, 33, 35, 36, 37, 39], "e": [1, 2, 3, 5, 6, 7, 13, 14, 16, 21, 25, 26, 28, 29, 31, 32, 33, 36, 37, 38, 39], "g": [1, 2, 3, 5, 6, 7, 15, 25, 26, 29, 31, 32, 33, 36, 37, 38, 39], "scipi": 1, "pip": [1, 34], "build": [1, 3, 5, 13, 20, 26, 27, 28, 32, 37], "setuptool": 1, "wheel": 1, "backend": [1, 39], "build_meta": 1, "version": [1, 2, 3, 5, 10, 13, 14, 18, 21, 26, 31, 32, 33, 36, 37, 38, 39], "descript": [1, 2, 3, 32, 33, 36], "keyword": [1, 2, 3, 25, 28, 32, 33, 37], "email": 1, "organ": [1, 5, 6], "licens": [1, 26], "text": [1, 2, 3, 5, 6, 7, 8, 17, 18, 19, 24, 25, 32, 33, 36, 39], "mit": 1, "readm": 1, "md": [1, 25, 33, 35, 36, 37], "7": [1, 9, 11, 12, 32, 36, 39], "9": [1, 9, 11, 13, 21, 25, 32, 33, 36, 37, 39], "url": [1, 33, 37], "com": 1, "tool": [1, 26, 36, 39], "thank": [1, 3], "see": [1, 2, 3, 5, 6, 13, 18, 22, 25, 26, 28, 29, 30, 31, 32, 33, 35, 36, 37, 39], "later": [1, 2, 3, 12, 13, 32, 33, 35, 36, 37, 39], "util": [1, 18, 19, 32], "just": [1, 2, 3, 5, 6, 29, 32, 33, 36, 37, 39], "like": [1, 3, 5, 6, 10, 12, 25, 26, 27, 31, 32, 33, 36, 37, 39], "regular": [1, 2, 26, 32, 35, 36, 39], "after": [1, 3, 10, 12, 13, 26, 28, 29, 31, 32, 33, 36, 37, 39], "could": [1, 3, 21, 25, 27, 32, 36, 37, 39], "our": [1, 2, 3, 12, 14, 17, 26, 36, 37, 39], "howev": [1, 3, 5, 13, 25, 26, 32, 33, 36, 37, 39], "still": [1, 32, 35, 39], "tell": [1, 3, 13, 14, 25, 26, 29, 32, 36, 39], "contain": [1, 2, 3, 5, 6, 8, 9, 11, 12, 13, 25, 28, 29, 31, 32, 33, 34, 35, 36, 37, 39], "some": [1, 2, 3, 5, 6, 7, 8, 9, 11, 14, 18, 25, 27, 28, 30, 31, 32, 33, 36, 37, 39], "kind": [1, 2, 6, 28, 32, 33, 36, 37, 39], "should": [1, 2, 3, 25, 26, 28, 29, 30, 32, 33, 35, 36, 37, 39], "made": [1, 2, 32, 36], "websit": [1, 36, 39], "detail": [1, 5, 6, 18, 28, 36, 37, 39], "group": [1, 2, 3, 7, 32, 36], "add": [1, 2, 3, 4, 5, 6, 7, 9, 10, 26, 28, 31, 32, 36, 37, 39], "my": [1, 3, 9, 25, 32, 36, 39], "human": [1, 2, 12, 32, 37], "readabl": [1, 2, 3, 12, 32, 37], "displai": [1, 2, 3, 7, 10, 16, 19, 26, 27, 28, 30, 31, 32, 36, 37, 38, 39], "gui": [1, 2, 3, 10, 12, 26, 36, 37, 38, 39], "did": [1, 3, 32, 36], "For": [1, 2, 3, 5, 6, 12, 13, 14, 18, 25, 26, 28, 29, 30, 32, 33, 36, 37, 39], "similar": [1, 2, 3, 13, 16, 25, 32, 33, 36, 37, 39], "pipelinesourceinterfac": [1, 37], "pipelinesourc": 1, "filereaderinterfac": [1, 2, 12, 33], "fileread": 1, "viewportoverlayinterfac": [1, 4, 22, 23, 24, 39], "viewportoverlai": [1, 39], "prepar": [1, 3, 13, 18, 19, 26], "local": [1, 3, 7, 8, 32, 33, 36, 37, 39], "via": [1, 2, 3, 6, 7, 15, 26, 30, 32, 36, 39], "m": [1, 11, 13, 26, 32, 34, 36], "edit": [1, 2], "ensur": [1, 3, 5, 19, 32, 37], "without": [1, 3, 5, 9, 25, 26, 32, 33, 36, 37, 39], "reinstal": [1, 39], "decid": [1, 32], "upload": 1, "git": [1, 3], "directli": [1, 3, 5, 13, 18, 25, 26, 28, 30, 31, 32, 36, 37, 39], "explain": 1, "particl": [2, 3, 4, 7, 8, 11, 13, 14, 15, 17, 18, 20, 21, 25, 27, 28, 29, 30, 32, 33, 34, 35, 36, 37, 39], "python_script": [], "installing_extens": [], "ovito": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 27, 29, 30], "come": [2, 3, 5, 13, 26, 27, 32, 37, 39], "built": [2, 3, 4, 5, 6, 14, 15, 16, 17, 26, 27, 28, 32, 36, 37, 39], "format": [2, 3, 6, 7, 8, 12, 17, 25, 27, 28, 32, 33, 35, 36, 37, 39], "yet": [2, 10, 19, 32, 39], "give": [2, 3, 5, 14, 18, 27, 28, 30, 32, 36, 37, 39], "write": [2, 3, 6, 7, 8, 12, 18, 19, 25, 27, 28, 32, 33, 36, 37, 39], "own": [2, 3, 4, 5, 7, 10, 13, 27, 28, 32, 34, 36, 37, 39], "languag": [2, 3, 36], "callabl": [2, 12, 13, 33], "myfileread": 2, "staticmethod": [2, 12], "filenam": [2, 12, 13, 22, 25, 26, 28, 30, 31, 32, 33, 39], "str": [2, 3, 12, 13, 14, 16, 31, 32, 33, 36, 37, 38, 39], "register_fram": [2, 12, 13, 33], "none": [2, 3, 12, 13, 23, 31, 32, 33, 34, 35, 36, 37, 38, 39], "frame_info": [2, 12, 13, 33], "freeli": [2, 3, 30], "choos": [2, 3, 30], "us": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 19, 22, 23, 24, 25, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "here": [2, 3, 5, 12, 13, 29, 32, 33, 36], "must": [2, 3, 5, 21, 25, 28, 32, 33, 36, 37, 38, 39], "deriv": [2, 3, 6, 30, 33, 36, 39], "onc": [2, 3, 12, 13, 19, 25, 28, 29, 32, 33, 37], "ha": [2, 3, 5, 6, 8, 10, 11, 12, 13, 28, 29, 30, 31, 32, 33, 36, 37, 39], "try": [2, 33, 36], "return": [2, 3, 5, 6, 8, 11, 12, 14, 16, 20, 21, 23, 25, 28, 29, 32, 33, 34, 35, 36, 37, 39], "true": [2, 3, 5, 8, 11, 12, 14, 17, 22, 25, 28, 30, 32, 33, 36, 37, 39], "actual": [2, 3, 5, 13, 14, 16, 18, 25, 30, 32, 33, 36, 37, 39], "request": [2, 3, 5, 12, 14, 15, 18, 25, 28, 29, 32, 33, 36, 37, 39], "three": [2, 5, 6, 8, 9, 22, 25, 28, 30, 31, 33, 36, 37, 38, 39], "header": [2, 33], "myfileformat": 2, "timestep": [2, 3, 6, 12, 13, 17, 25, 32, 33, 35, 36], "6": [2, 5, 9, 11, 12, 18, 32, 36, 39], "x0": 2, "y0": 2, "z0": 2, "x1": 2, "y1": 2, "z1": 2, "x2": 2, "y2": 2, "z2": 2, "x3": 2, "y3": 2, "z3": 2, "x4": 2, "y4": 2, "z4": 2, "x5": 2, "y5": 2, "z5": 2, "10": [2, 3, 5, 9, 11, 12, 13, 15, 23, 24, 26, 32, 33, 36, 37, 38, 39], "20": [2, 13, 30, 32, 36, 37, 39], "contriv": 2, "store": [2, 3, 5, 6, 12, 13, 15, 16, 17, 18, 21, 25, 28, 30, 31, 32, 33, 36, 37, 38, 39], "trajectori": [2, 5, 6, 7, 12, 13, 14, 25, 27, 32, 33, 36, 37, 39], "consist": [2, 6, 27, 29, 32, 36, 37, 39], "top": [2, 3, 4, 6, 22, 30, 32, 39], "record": 2, "mark": [2, 19, 32, 39], "within": [2, 3, 5, 6, 9, 12, 15, 17, 19, 21, 25, 26, 27, 32, 35, 36, 37, 39], "placehold": [2, 39], "denot": [2, 13, 18, 32], "xyz": [2, 3, 5, 6, 9, 25, 27, 32, 33, 36, 37], "coordin": [2, 3, 5, 6, 7, 9, 11, 12, 13, 20, 22, 23, 24, 32, 33, 35, 36, 37, 39], "while": [2, 3, 12, 13, 19, 26, 32, 33, 36, 37, 39], "present": [2, 3, 6, 7, 17, 32, 36, 39], "surfac": [2, 32, 36, 39], "mesh": [2, 29, 32, 33, 36, 39], "voxel": [2, 6, 29, 32, 36, 39], "grid": [2, 6, 32, 33, 36, 39], "bond": [2, 3, 6, 7, 25, 29, 32, 33, 36, 37, 39], "static": [2, 14, 16, 33, 36, 37], "take": [2, 3, 8, 11, 13, 18, 21, 27, 28, 29, 30, 31, 32, 36, 37, 39], "path": [2, 3, 12, 25, 31, 32, 33, 36, 37, 38, 39], "inspect": [2, 6, 33, 36], "whenev": [2, 3, 25, 28, 32, 36, 37, 39], "tri": [2, 5, 14, 32], "whether": [2, 5, 14, 16, 32, 33, 36, 37, 39], "given": [2, 3, 5, 12, 14, 18, 24, 25, 28, 32, 33, 36, 37, 39], "fals": [2, 3, 5, 9, 14, 15, 20, 30, 32, 33, 36, 37, 39], "otherwis": [2, 3, 5, 10, 27, 31, 32, 36, 39], "effici": [2, 3, 32, 33, 36], "decis": 2, "quickli": [2, 25, 32, 33], "read": [2, 3, 5, 12, 13, 14, 25, 29, 32, 33, 37, 39], "few": [2, 3, 12, 26, 32], "slow": [2, 32], "down": [2, 29, 36, 37, 39], "handl": [2, 13, 14, 33, 36, 37], "look": [2, 3, 6, 27, 29, 32, 36], "string": [2, 3, 5, 6, 12, 16, 31, 32, 33, 36, 37, 39], "r": [2, 3, 12, 13, 15, 18, 21, 32, 36, 39], "f": [2, 3, 5, 12, 13, 16, 24, 32, 33, 35, 36], "readlin": [2, 12, 13], "strip": [2, 12, 13], "except": [2, 36, 39], "oserror": 2, "match": [2, 18, 20, 21, 25, 32, 33, 36, 39], "kei": [2, 6, 12, 32, 36], "It": [2, 3, 5, 6, 8, 11, 12, 15, 16, 17, 18, 22, 26, 28, 31, 32, 33, 34, 35, 36, 37, 39], "index": [2, 5, 8, 11, 12, 19, 23, 32, 33, 36], "timelin": [2, 37], "enabl": [2, 3, 5, 29, 30, 32, 36, 37, 39], "quick": [2, 5, 13, 32, 36], "random": [2, 3, 5, 32, 36, 39], "individu": [2, 3, 5, 6, 13, 17, 25, 32, 33, 36, 39], "usual": [2, 3, 26, 29, 30, 32, 36, 39], "whole": [2, 5, 6, 12, 20, 25, 32, 37], "discov": [2, 25, 33, 36], "happen": [2, 3, 25, 28, 29, 32, 33, 36, 37, 39], "invoc": [2, 3, 39], "callback": [2, 12, 33], "signatur": [2, 3, 33, 36, 37], "label": [2, 3, 4, 12, 13, 14, 16, 18, 23, 24, 32, 33, 39], "almost": [2, 26, 32], "valu": [2, 3, 6, 10, 15, 16, 17, 21, 23, 24, 25, 28, 30, 32, 33, 36, 37, 38, 39], "storag": [2, 3, 14, 32, 33], "locat": [2, 3, 26, 32, 33, 36, 37, 39], "One": [2, 25, 32, 36, 37], "might": [2, 32], "byte": [2, 13, 33], "offset": [2, 13, 32, 33, 36, 37, 39], "begin": [2, 3, 12, 13, 31, 32, 36, 37, 39], "Or": [2, 32, 36], "databas": [2, 32, 33], "uniqu": [2, 5, 6, 8, 11, 32, 33, 36], "again": [2, 3, 5, 28, 29, 31, 32, 33, 37], "load": [2, 3, 5, 6, 7, 8, 9, 11, 13, 14, 17, 25, 26, 27, 28, 31, 32, 33, 35, 36, 37, 39], "pure": [2, 36], "inform": [2, 3, 5, 6, 7, 11, 12, 25, 26, 28, 29, 30, 31, 32, 33, 36, 37, 39], "charact": [2, 32, 33, 36], "t": [2, 3, 10, 11, 19, 20, 26, 30, 32, 33, 36, 37, 39], "n": [2, 3, 6, 8, 11, 12, 21, 32, 36], "snapshot": [2, 3, 5, 11, 25, 32, 33, 35, 36, 37], "search": [2, 19, 32], "express": [2, 3, 5, 11, 15, 25, 32, 36, 37, 39], "re": [2, 5, 25, 29, 32, 33, 36], "expr": 2, "d": [2, 32, 36], "line_numb": [2, 12], "enumer": [2, 8, 12, 32, 36], "number_particl": 2, "2": [2, 3, 5, 6, 8, 9, 10, 11, 12, 13, 15, 17, 18, 19, 21, 23, 24, 25, 28, 29, 30, 36, 37, 39], "tupl": [2, 11, 31, 32, 36, 38, 39], "time": [2, 5, 6, 7, 10, 12, 13, 14, 16, 17, 25, 26, 27, 28, 29, 31, 32, 33, 35, 36, 37, 39], "get": [2, 3, 6, 7, 12, 14, 15, 26, 27, 28, 29, 31, 32, 33, 36, 37, 39], "receiv": [2, 3, 6, 32, 36, 37], "empti": [2, 3, 12, 13, 15, 20, 32, 36, 37, 39], "object": [2, 3, 9, 10, 12, 20, 25, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39], "typic": [2, 3, 5, 6, 7, 25, 27, 28, 29, 30, 31, 32, 33, 35, 36, 37, 39], "involv": [2, 3, 4, 18, 32, 36, 37, 39], "simulationcel": [2, 5, 6, 9, 12, 14, 20, 28, 30, 32, 36, 37, 39], "surfacemesh": [2, 6, 32, 33, 36, 39], "trianglemesh": [2, 32, 36, 39], "attribut": [2, 3, 7, 12, 17, 25, 28, 30, 31, 32, 33, 35, 36, 37, 39], "dictionari": [2, 3, 5, 6, 12, 32, 36, 37], "auxiliari": [2, 3, 32, 36], "On": [2, 35, 39], "subsequ": [2, 3, 12, 19, 25, 26, 31, 32, 36, 37, 39], "previou": [2, 5, 32, 36, 37], "current": [2, 3, 5, 6, 8, 10, 12, 13, 14, 16, 18, 19, 25, 26, 28, 29, 31, 32, 33, 34, 35, 36, 37, 39], "shouldn": 2, "recreat": 2, "everi": [2, 3, 7, 12, 18, 29, 32, 33, 35, 36, 37, 39], "rather": [2, 5, 6, 32], "touch": [2, 33], "select": [2, 3, 5, 17, 19, 23, 25, 27, 28, 30, 31, 32, 33, 36, 37, 38, 39], "preserv": [2, 3, 32, 36, 39], "meantim": 2, "appli": [2, 3, 5, 15, 19, 25, 26, 27, 32, 35, 36, 37, 39], "color": [2, 3, 5, 6, 7, 9, 24, 29, 30, 32, 36, 38, 39], "radiu": [2, 3, 11, 23, 32, 36, 37, 39], "element": [2, 3, 5, 6, 11, 14, 31, 32, 36, 38, 39], "concurr": 2, "special": [2, 3, 6, 32, 36, 37, 39], "associ": [2, 3, 5, 6, 10, 25, 32, 33, 36, 37, 39], "create_cel": [2, 12, 20, 32, 37], "create_particl": [2, 9, 12, 13, 32, 37], "create_bond": [2, 9, 32], "propertycontain": [2, 5, 6, 12, 32, 36, 39], "create_properti": [2, 3, 5, 9, 12, 13, 14, 15, 18, 19, 21, 32, 36, 37, 39], "properti": [2, 3, 7, 8, 9, 13, 14, 15, 17, 18, 19, 21, 22, 25, 27, 28, 29, 30, 31, 32, 33, 35, 36, 37, 39], "add_type_nam": [2, 12, 13, 32], "add_type_id": [2, 32], "identifi": [2, 6, 12, 32, 33, 35, 36, 39], "vis_param": [2, 32], "dict": [2, 3, 14, 16, 32, 37], "tabl": [2, 3, 15, 17, 22, 25, 32, 33, 36, 39], "frame_index": [2, 33], "introduc": [2, 3, 5, 32, 37], "abov": [2, 3, 5, 11, 18, 22, 25, 28, 32, 33, 36, 37, 39], "zero": [2, 3, 5, 15, 21, 32, 33, 36, 37, 39], "pass": [2, 3, 25, 26, 28, 29, 30, 32, 33, 36, 37, 39], "further": [2, 3, 6, 9, 25, 26, 32, 33, 36, 37, 39], "argument": [2, 3, 5, 25, 26, 28, 32, 33, 37, 39], "trail": [2, 3], "accept": [2, 3, 5, 25, 32, 37, 39], "forward": [2, 3, 32, 33, 37], "compat": [2, 3, 26, 33, 37], "reason": [2, 30, 32, 33, 37], "unus": 2, "interest": [2, 36], "pleas": [2, 5, 6, 13, 15, 16, 20, 26, 32, 35, 36, 37, 39], "anoth": [2, 3, 5, 31, 32, 33, 36, 37], "skip": [2, 12, 32, 36, 37, 39], "through": [2, 3, 4, 5, 6, 12, 13, 25, 26, 28, 30, 31, 32, 33, 36, 37, 39], "until": [2, 12, 13, 33, 37, 39], "reach": [2, 12, 32], "Then": [2, 3, 5, 17, 19, 25, 28, 32, 33, 36, 37], "arrai": [2, 5, 6, 8, 11, 12, 13, 14, 15, 18, 21, 32, 36, 39], "posit": [2, 3, 5, 6, 9, 12, 13, 14, 18, 20, 23, 25, 27, 28, 30, 32, 33, 34, 36, 37, 39], "befor": [2, 3, 5, 12, 13, 26, 28, 29, 30, 32, 36, 37, 39], "num_particl": 2, "starting_line_numb": [2, 12, 13], "_": [2, 5, 12, 13], "rang": [2, 3, 8, 10, 11, 12, 13, 15, 16, 18, 19, 20, 23, 24, 25, 29, 32, 33, 36, 37, 38, 39], "count": [2, 3, 5, 6, 8, 11, 12, 13, 15, 18, 19, 20, 25, 32, 33, 36, 37, 39], "float": [2, 3, 11, 12, 13, 18, 32, 33, 36, 38, 39], "coord": [2, 32, 36], "principl": 2, "fr1": [2, 7, 32, 33], "thorough": 2, "focus": 2, "how": [2, 5, 7, 8, 12, 13, 19, 25, 26, 28, 29, 32, 33, 36, 37, 39], "cell": [2, 3, 7, 9, 13, 14, 15, 20, 24, 28, 29, 30, 32, 33, 35, 36, 37, 39], "geometri": [2, 30, 32, 35, 36, 39], "outsid": [2, 3, 32, 36, 39], "__name__": 2, "__main__": 2, "myfil": 2, "dat": [2, 3], "input_format": [2, 33], "num_fram": [2, 3, 10, 16, 25, 29, 33, 36, 37, 39], "note": [2, 3, 5, 6, 10, 13, 18, 21, 25, 28, 29, 32, 33, 36, 37, 39], "circumv": 2, "won": [2, 33, 36], "immedi": [2, 3, 29, 32], "loop": [2, 3, 8, 10, 12, 13, 18, 25, 29, 32, 33, 36, 39], "iter": [2, 3, 15, 16, 19, 29, 32, 36, 39], "over": [2, 3, 8, 13, 15, 16, 18, 19, 29, 32, 33, 35, 36, 37, 39], "good": 2, "full": [2, 33, 36, 39], "particip": [2, 3, 7, 36], "discover": 2, "extens": [2, 3, 4, 12, 26, 27, 32, 33, 38], "outlin": [2, 3, 39], "expos": [2, 3, 32], "framework": [2, 3, 10, 39], "analog": 2, "addit": [2, 5, 6, 7, 14, 25, 26, 28, 29, 32, 33, 36, 37, 38, 39], "toolkit": [3, 39], "enough": [3, 32, 36, 39], "solv": 3, "problem": [3, 39], "reusabl": 3, "compos": [3, 6, 29, 39], "block": [3, 12, 32, 37, 39], "nativ": [3, 26, 36], "control": [3, 4, 10, 14, 19, 26, 28, 30, 32, 33, 36, 37, 39], "interact": [3, 7, 17, 25, 26, 27, 28, 29, 30, 31, 33, 36, 37, 39], "direct": [3, 5, 27, 32, 34, 35, 36, 39], "oper": [3, 5, 6, 31, 32, 36, 37, 39], "isol": [3, 36], "calcul": [3, 5, 7, 11, 13, 23, 25, 32, 36, 37, 39], "becaus": [3, 5, 26, 30, 32, 36, 37, 39], "concept": [3, 28, 29], "simplest": 3, "form": [3, 6, 12, 13, 14, 29, 32, 33, 36, 37, 39], "minut": [3, 13], "dure": [3, 12, 26, 32, 33, 35, 36, 37, 39], "integ": [3, 32, 36, 37, 39], "being": [3, 5, 6, 7, 13, 26, 32, 35, 36, 37, 39], "etc": [3, 6, 7, 25, 29, 30, 32, 33, 36, 39], "produc": [3, 5, 6, 19, 25, 30, 31, 32, 33, 36, 37, 39], "upstream": [3, 14, 16, 36, 37], "place": [3, 12, 25, 28, 32, 33, 36, 37, 39], "alter": [3, 5, 6, 29, 32, 37], "insid": [3, 12, 13, 29, 32, 36, 39], "coupl": 3, "m2": [3, 7], "m4": [3, 7], "overlap": [3, 7, 36], "m3": [3, 7], "map": [3, 7, 25, 32, 33, 36, 37, 39], "lattic": [3, 7, 18, 32, 35, 36], "orient": [3, 7, 18, 28, 30, 32, 36, 39], "featur": [3, 17, 22, 28, 32, 33, 36, 39], "context": [3, 26, 28, 31, 32, 35, 37, 38, 39], "non": [3, 5, 6, 7, 10, 17, 27, 29, 32, 33, 36, 37, 39], "editor": [3, 37, 39], "embed": [3, 22, 26, 32, 34, 39], "simpli": [3, 21, 26, 28, 32, 34, 36, 37, 39], "custom_modifi": 3, "often": [3, 8, 32, 37, 39], "evalu": [3, 5, 7, 14, 25, 28, 29, 33, 34, 36, 37, 39], "routin": [3, 15, 32], "occur": [3, 5, 8, 32, 37, 39], "refresh": [3, 37, 39], "trigger": [3, 29, 36, 37, 39], "implicitli": [3, 5, 29, 32, 36, 37], "render_imag": [3, 22, 28, 30, 32, 39], "subject": [3, 36], "certain": [3, 6, 19, 25, 26, 32, 36, 37], "rule": [3, 36], "convent": [3, 14, 32, 33, 36, 37], "caus": [3, 5], "unexpect": [3, 5, 32], "behavior": [3, 13, 32, 33, 36, 37, 39], "sinc": [3, 27, 29, 32, 33, 36, 37, 39], "basi": [3, 6, 8, 32, 36, 39], "action": [3, 7, 26, 27, 31], "asid": [3, 36], "particular": [3, 5, 6, 28, 32, 33, 36, 37], "ad": [3, 4, 29, 31, 32, 36, 37, 39], "remov": [3, 5, 19, 28, 31, 32, 36, 37], "side": [3, 5, 32, 36], "effect": [3, 5, 32, 33, 36, 37, 39], "global": [3, 7, 10, 12, 17, 18, 25, 28, 31, 32, 33, 36, 37, 39], "notabl": 3, "thing": [3, 7, 14, 26, 28, 32, 37], "never": [3, 32, 36], "don": [3, 26, 30, 32, 37, 39], "flight": 3, "lead": [3, 13, 32, 36, 37, 39], "infinit": [3, 32, 36], "sure": [3, 5, 13, 14, 26, 29, 32, 33, 36, 39], "complet": [3, 6, 14, 27, 29, 30, 32, 36, 39], "beforehand": 3, "sub": [3, 5, 6, 15, 32, 36, 39], "another_pipelin": 3, "resid": 3, "possibli": [3, 32], "conjunct": [3, 33, 36, 37], "know": [3, 28], "total_energi": 3, "numpi": [3, 5, 6, 8, 11, 13, 15, 17, 18, 20, 21, 26, 32, 36, 37, 39], "sum": [3, 15, 16, 17, 18, 36], "potenti": [3, 12, 19, 28, 32, 36, 39], "energi": [3, 28, 32, 36, 39], "next": [3, 12, 13, 32, 33, 37, 39], "common": [3, 6, 13, 25, 32, 36, 37], "analyz": [3, 8, 27, 29, 36], "post": [3, 15, 27, 36, 39], "workflow": [3, 27, 29], "info": [3, 16], "debug": [3, 26], "messag": [3, 15, 31, 39], "downstream": [3, 37], "stage": [3, 36, 37], "inspector": [3, 6, 32], "panel": [3, 6, 32, 39], "moreov": 3, "quantiti": [3, 25, 32, 33, 36], "totalenergi": 3, "newli": [3, 5, 7, 20, 32, 33, 36, 39], "appear": [3, 7, 25, 30, 32, 33, 36, 37, 39], "tab": 3, "sai": [3, 26], "tabul": [3, 6, 32, 36], "txt": [3, 17, 25, 32, 33, 36], "attr": [3, 17, 25, 32, 33, 36], "column": [3, 5, 6, 12, 17, 25, 27, 28, 32, 33, 36, 37], "sourcefram": [3, 33, 36], "multiple_fram": [3, 17, 25, 32, 33, 36, 37], "per": [3, 5, 6, 13, 15, 17, 18, 21, 25, 32, 33, 36, 37, 39], "momenta": 3, "veloc": [3, 32, 33, 36, 39], "mass": [3, 6, 32, 33, 36], "newaxi": 3, "particles_": [3, 5, 11, 14, 15, 18, 19, 21, 32, 36, 37, 39], "momentum": [3, 32], "compon": [3, 5, 12, 13, 18, 32, 33, 36, 38, 39], "x": [3, 5, 11, 21, 23, 25, 27, 28, 32, 33, 36, 37, 39], "y": [3, 21, 23, 25, 27, 28, 32, 33, 36, 37, 39], "z": [3, 5, 21, 25, 27, 28, 32, 33, 36, 37, 39], "mind": [3, 26, 28, 32, 36], "least": [3, 13, 32, 33, 37], "sens": [3, 32, 33, 36], "move": [3, 5, 10, 17, 36, 39], "expens": [3, 5, 36], "out": [3, 6, 10, 21, 22, 27, 31, 32, 36, 37, 39], "pre": [3, 13, 26, 39], "As": [3, 7, 13, 25, 28, 29, 30, 31, 32, 36, 39], "displac": [3, 5, 7, 30, 32, 36, 37, 39], "fix": [3, 32, 35, 36, 37, 39], "refer": [3, 5, 6, 7, 15, 18, 20, 26, 32, 36, 37, 39], "configur": [3, 7, 24, 26, 28, 30, 32, 36, 37, 39], "filesourc": [3, 5, 14, 25, 28, 29, 32, 33, 36, 37], "temporari": [3, 39], "index_map": 3, "remap_indic": [3, 14, 32], "statement": [3, 5, 18, 31, 32, 36, 39], "enter": [3, 28, 29, 37], "soon": [3, 36, 39], "press": 3, "commit": 3, "button": 3, "scroll": 3, "drag": 3, "slider": [3, 10, 37], "relev": [3, 6, 13], "thread": [3, 26], "respons": [3, 28, 30, 32, 36, 37, 39], "event": [3, 10, 37, 39], "cannot": [3, 7, 31, 32, 33, 36], "mous": [3, 39], "keyboard": 3, "period": [3, 12, 14, 30, 32, 36, 37, 39], "freez": [3, 36], "prevent": [3, 5, 39], "asynchron": 3, "yield": [3, 13, 15, 16, 18, 19, 29, 32, 33, 36, 39], "interv": [3, 32, 35, 36, 39], "pend": 3, "manner": [3, 7, 36], "back": [3, 6, 25, 27, 31, 32, 34, 36, 39], "temporarili": 3, "paus": 3, "chanc": 3, "wait": 3, "3d": [3, 4, 12, 27, 32, 33, 36, 38, 39], "frequent": [3, 11, 37], "abort": [3, 39], "interrupt": [3, 18], "restart": 3, "report": [3, 6, 13, 16, 25, 31, 32, 33, 36, 37, 39], "progress": [3, 16, 18, 19, 37, 39], "fraction": [3, 23, 24, 32, 36, 39], "bar": [3, 4, 7, 15, 16, 18, 19, 22, 32, 36, 39], "window": [3, 10, 12, 13, 21, 26, 36, 37, 39], "altern": [3, 5, 17, 28, 32, 33, 34, 36, 39], "statu": [3, 15, 16, 18, 19], "ii": [3, 29], "subroutin": 3, "10000": 3, "nstep": 3, "explan": 3, "bodi": [3, 29, 36], "turn": [3, 6, 30, 32, 36, 37, 39], "deleg": [3, 22, 36, 37, 39], "extra": [3, 26, 32, 33, 36], "num_iter": 3, "numer": [3, 5, 6, 11, 12, 15, 32, 33, 36, 37, 39], "widget": [3, 10, 39], "rerun": 3, "bool": [3, 14, 32, 33, 39], "most": [3, 10, 11, 13, 25, 28, 32, 37, 39], "printabl": 3, "enable_opt": 3, "type_nam": 3, "cu": [3, 9, 11, 32, 36, 37], "5": [3, 5, 6, 8, 9, 11, 13, 15, 18, 19, 22, 23, 24, 28, 29, 32, 36, 37, 39], "save": [3, 12, 13, 25, 26, 27, 28, 31, 33, 36, 39], "session": [3, 31, 37, 39], "along": [3, 5, 28, 32, 36, 37, 39], "pickl": 3, "emploi": [3, 5, 10, 15, 32, 35, 36, 37], "behind": [3, 5, 36, 39], "treat": [3, 36], "vectorvi": [3, 14, 30, 36, 39], "prop": [3, 32], "vector": [3, 5, 6, 7, 11, 12, 13, 17, 18, 21, 28, 30, 32, 33, 36, 37, 38, 39], "instanti": [3, 28, 36, 37], "vectori": [3, 32, 33, 36, 39], "arrow": [3, 14, 23, 30, 32, 36, 39], "glyph": [3, 39], "visual_el": [], "width": [3, 10, 22, 32, 36, 39], "across": [3, 32], "opt": 3, "familiar": [3, 13, 28], "pick": [3, 36, 38, 39], "Its": [3, 36], "formal": 3, "mandatori": [3, 6], "pack": [3, 36], "doubl": 3, "asterisk": 3, "content": [3, 5, 26, 31, 32, 33, 36, 37, 39], "input_slot": [3, 14, 16, 37], "inputslot": [3, 14, 16, 37], "100": [3, 11, 12, 28, 30, 32, 33, 36, 37, 39], "data_cach": [3, 16, 37], "discuss": [3, 5, 32, 39], "explicitli": [3, 5, 11, 25, 26, 28, 29, 32, 33, 36, 37, 39], "bind": 3, "easili": [3, 7, 12, 26, 27, 36], "remain": [3, 13, 32, 36, 37], "suppos": [3, 36, 37, 39], "fact": [3, 32, 39], "hold": [3, 6, 29, 32, 36], "what": [3, 16, 30, 32, 36], "simultan": [3, 5, 36], "taken": [3, 32, 36, 37, 39], "technic": [3, 32, 39], "term": [3, 11, 30, 32, 36, 39], "connect": [3, 10, 25, 32, 36, 37, 39], "preced": [3, 5, 12, 13, 17, 29, 32, 36, 37], "exactli": [3, 31, 32, 33, 36, 37, 39], "linear": [3, 32, 36, 39], "sequenc": [3, 25, 27, 28, 29, 32, 33, 36, 37, 39], "deliv": 3, "ask": 3, "gain": 3, "so": [3, 5, 12, 13, 17, 32, 36, 37, 39], "repres": [3, 5, 6, 28, 29, 31, 32, 36, 37, 38, 39], "next_fram": 3, "next_data": 3, "than": [3, 5, 6, 13, 32, 33, 36, 37, 39], "togeth": [3, 5, 6, 32, 36], "increment": [3, 32, 37], "naiv": 3, "assum": [3, 12, 32, 36, 37], "continu": [3, 13, 32, 36, 39], "boundari": [3, 5, 6, 12, 14, 30, 32, 35, 36, 37, 39], "condit": [3, 5, 6, 12, 32, 35, 36, 37, 39], "robust": [3, 36], "delta_vector": [3, 14, 32], "curr_posit": 3, "next_posit": 3, "answer": 3, "retriev": [3, 31, 32, 36, 37], "intern": [3, 5, 10, 25, 27, 32, 36, 37, 39], "announc": [3, 32], "ahead": 3, "input_caching_hint": [3, 14, 37], "calcincrementaldisplac": 3, "accordingli": [3, 14, 36], "kept": [3, 13], "memori": [3, 5, 6, 13, 14, 25, 28, 32, 33, 36, 37], "advantag": [3, 32, 39], "fine": 3, "tune": 3, "imagin": 3, "would": [3, 5, 12, 25, 27, 28, 32, 33, 36, 37, 39], "ineffici": [3, 5], "twice": [3, 32], "With": 3, "contrast": [3, 32], "And": [3, 37], "length": [3, 5, 6, 8, 11, 13, 21, 24, 30, 35, 36, 37, 39], "last": [3, 29, 31, 32, 36, 37, 39], "influenc": 3, "third": [3, 9, 12, 22, 25, 32, 36, 39], "parti": [3, 22, 39], "infrastructur": 3, "strongli": 3, "valid": [3, 5, 12, 15, 29, 32, 36, 39], "assign": [3, 11, 12, 13, 14, 20, 28, 32, 36, 37, 39], "notif": 3, "notifi": [3, 37], "magnitud": [3, 17, 32, 36], "predefin": [3, 32, 36, 37], "perturbparticlesmodifi": 3, "default_rng": 3, "standard_norm": 3, "shape": [3, 6, 8, 11, 21, 30, 32, 36, 37, 39], "positions_": [3, 5, 32], "someon": [3, 5], "construct": [3, 6, 12, 28, 32, 34, 35, 36, 39], "hard": 3, "data1": [3, 29, 37], "200": [3, 12, 33, 36], "data2": [3, 5, 29, 37], "detect": [3, 5, 7, 14, 25, 32, 33, 36], "discard": [3, 33, 36], "outdat": 3, "recomput": [3, 29, 36], "affect": [3, 5, 32, 36, 39], "ui": [3, 39], "pertub": 3, "found": [3, 6, 13, 25, 26, 32, 33, 36, 37, 39], "trait_typ": 3, "123": 3, "c": [3, 5, 12, 26, 32, 36], "low": [3, 23, 24, 32, 37], "16": [3, 12, 39], "fract": 3, "q": [3, 21], "qualiti": [3, 30, 39], "ovito_unit": 3, "percent": 3, "ovito_placehold": 3, "hello": [3, 26, 39], "world": [3, 23, 24, 26, 39], "enum": 3, "mode": [3, 8, 32, 36, 37, 39], "medium": 3, "long_text": 3, "multi": [3, 25, 32, 36, 39], "ntext": 3, "field": [3, 5, 6, 12, 28, 30, 31, 32, 36, 37, 39], "rgb": [3, 21, 32, 36, 38, 39], "vector2": [3, 38], "xy": [3, 22, 23, 32, 33, 36, 39], "size": [3, 5, 6, 22, 23, 24, 28, 30, 32, 36, 37, 39], "vector3": [3, 38], "vec": [3, 32], "scale": [3, 4, 7, 23, 32, 36, 39], "filepath": [3, 32, 38], "input_fil": 3, "ovito_file_exist": 3, "ovito_file_filt": 3, "json": 3, "ovitoobject": [3, 14, 37, 38], "vector_vi": [3, 14, 39], "flat_shad": [3, 14, 32, 39], "titl": [3, 14, 32, 37, 39], "shown": [3, 10, 32, 36, 37, 39], "ovito_group": 3, "partial": [3, 36], "essenti": [3, 28, 32], "dynam": [3, 6, 7, 9, 22, 25, 28, 29, 32, 33, 35, 36, 37, 39], "underli": [3, 32], "show": [3, 5, 10, 13, 15, 18, 19, 26, 28, 31, 32, 36, 37, 39], "manag": [3, 6, 14, 28, 31, 32, 36, 37, 39], "computevectorsmodifi": 3, "dtype": [3, 6, 8, 11, 13, 18, 32], "style": [3, 33, 39], "displacement_vector": [], "declar": 3, "displacementswithreferencemodifi": 3, "ref_data": [3, 14], "reference_configur": 3, "m7": [3, 7, 37], "repeatedli": [3, 29, 37], "consum": 3, "avoid": [3, 5, 15, 32, 37, 39], "outcom": [3, 26], "motiv": [3, 36], "averag": [3, 7, 15, 32, 33, 36, 37], "time_averag": [], "averageselectioncount": 3, "compute_time_averag": 3, "accumul": [3, 36, 39], "count_nonzero": [3, 32, 36], "doe": [3, 14, 16, 25, 29, 32, 34, 36, 37, 39], "lengthi": 3, "even": [3, 14, 27, 28, 32, 33, 36, 37, 39], "though": [3, 32, 36, 39], "obvious": [3, 28], "purpos": [3, 6, 25, 26, 29, 32, 36], "check": [3, 5, 16, 26, 32], "copi": [3, 5, 13, 16, 21, 31, 32, 33, 36, 37, 39], "arbitrari": [3, 6, 32, 36, 39], "transient": [3, 32, 37], "put": 3, "clear": [3, 36], "invalid": [3, 32, 36, 37], "word": [3, 5, 13, 25, 29, 32, 36], "lifetim": 3, "yourself": [3, 27, 37], "m8": [3, 7, 37], "ve": [3, 26, 37], "perman": [3, 32, 39], "peopl": 3, "power": [4, 27, 36, 37], "enhanc": 4, "annot": 4, "diagram": 4, "view": [4, 8, 11, 28, 30, 31, 32, 39], "offer": [4, 37, 39], "abstract": [4, 32, 33, 36, 37, 39], "foundat": 4, "inherit": [4, 14, 16, 32, 36], "encapsul": [4, 37], "logic": [4, 23, 32, 36, 37, 39], "o1": [4, 7], "o2": [4, 7, 39], "plot": [4, 6, 7, 25, 32, 36, 39], "o3": [4, 7], "highlight": [4, 7, 32, 36, 39], "chapter": 5, "amend": [5, 32, 37], "unnecessari": [5, 37], "far": 5, "achiev": [5, 21, 32], "goal": [5, 12], "duplic": [5, 32, 36], "clone": [5, 32, 37], "obtain": [5, 12, 13, 14, 32, 33, 34, 36, 37, 39], "exact": [5, 31], "origin": [5, 13, 28, 32, 33, 36, 37, 39], "assert": [5, 15, 31, 32, 36, 37], "physic": [5, 32, 36, 39], "insert": [5, 6, 9, 17, 21, 25, 26, 28, 29, 31, 32, 33, 36, 37, 39], "too": [5, 13, 32, 37], "shallow": [5, 32], "mani": [5, 12, 13, 25, 26, 28, 29, 32, 36], "situat": [5, 32, 33], "unmodifi": [5, 28, 33, 37], "master": [5, 37], "reload": 5, "final": [5, 9, 28, 32, 36, 37, 39], "caller": [5, 28], "fulli": [5, 10, 27, 28, 32, 36, 37, 39], "small": [5, 13, 32, 36, 37], "portion": 5, "dataset": [5, 6, 8, 11, 25, 27, 28, 29, 32, 33, 34, 36, 37, 39], "plai": [5, 36, 37, 39], "okai": [5, 32, 37], "between": [5, 6, 8, 9, 32, 33, 34, 35, 36, 37, 39], "long": [5, 12, 13, 16, 18, 31, 32, 36, 39], "intend": [5, 28, 32, 36, 37], "exclus": [5, 27, 32], "unwant": [5, 32, 37], "els": [5, 14, 15, 32, 39], "result": [5, 6, 10, 11, 12, 13, 16, 17, 18, 25, 27, 29, 30, 32, 36, 37, 39], "safeguard": 5, "accident": 5, "attempt": [5, 12, 32, 39], "flag": [5, 14, 30, 32, 36, 37, 39], "pbc": [5, 9, 12, 32, 37, 39], "runtimeerror": [5, 21, 37], "owner": 5, "mutabl": [5, 32], "notat": [5, 11, 32, 39], "rais": [5, 21, 32, 34, 37, 39], "error": [5, 32, 37, 39], "solut": [5, 10], "handi": 5, "shortcut": [5, 32], "cell_": [5, 32], "underscor": [5, 32, 36], "suffix": [5, 12, 32, 33, 36], "signal": 5, "safe": [5, 32], "referenc": [5, 32, 36, 39], "parent": [5, 6, 32, 39], "child": [5, 6, 32, 36], "perform": [5, 6, 7, 15, 16, 25, 26, 27, 28, 29, 31, 32, 33, 35, 36, 37, 39], "intent": 5, "color_valu": 5, "random_sampl": [5, 32, 39], "necessari": [5, 22, 26, 28, 29, 32, 33, 36, 37, 39], "overwritten": [5, 32, 36, 37], "document": [5, 6, 15, 20, 25, 28, 32, 33, 36, 37, 39], "well": [5, 26, 31, 32, 33, 36, 39], "therefor": [5, 13, 32], "bonds_": [5, 32], "8": [5, 9, 11, 13, 21, 22, 29, 30, 32, 33, 36, 37, 38, 39], "unit": [5, 6, 24, 30, 32, 36, 39], "axi": [5, 15, 18, 20, 21, 32, 36, 37, 39], "subset": [5, 32, 36], "those": [5, 32, 36, 37, 39], "whose": [5, 19, 32, 36, 37, 39], "primit": [5, 30], "dislocation_dens": 5, "dislocationanalysi": [5, 32, 35, 36], "total_line_length": [5, 32, 35, 36], "volum": [5, 15, 32, 36, 39], "ratio": [5, 24, 36, 39], "total": [5, 6, 12, 13, 32, 35, 36, 37], "disloc": [5, 32, 33, 35, 36, 39], "crystal": [5, 18, 21, 32, 35, 36], "previous": [5, 26, 32, 36, 37], "dislocationanalysismodifi": [5, 32, 35, 36, 39], "ever": 5, "demonstr": [5, 7, 8, 9, 10, 11, 22, 32, 33, 36, 39], "span": [5, 32], "3x4": [5, 20, 32, 36, 39], "matrix": [5, 12, 13, 15, 20, 28, 32, 36, 39], "15": [5, 12, 36], "b": [5, 32, 36], "30": [5, 12, 13, 32, 36], "dimens": [5, 6, 12, 32, 36, 39], "rescal": [5, 18], "affinetransformationmodifi": [5, 36, 37], "normal": [5, 15, 21, 28, 32, 33, 36, 37, 39], "upon": [5, 37, 39], "threshold": [5, 32, 36], "expressionselectionmodifi": [5, 25, 32, 36, 37, 39], "potentialenergi": [5, 25, 36], "deleteselectedmodifi": [5, 19, 27, 32, 36], "hoc": 5, "act": [5, 18, 28, 36, 37], "easier": [5, 12, 36, 39], "fragment": [6, 32], "box": [6, 7, 9, 22, 30, 32, 36, 39], "correspond": [6, 11, 13, 21, 24, 25, 29, 30, 32, 33, 36, 37, 39], "dataobject": [6, 30, 32, 33, 39], "relationship": 6, "topmost": 6, "hierarchi": [6, 32], "fundament": [6, 21, 36], "variou": [6, 7, 28, 30, 32, 36, 37, 39], "anim": [6, 10, 14, 25, 27, 29, 30, 32, 33, 36, 37, 39], "seri": [6, 25, 32, 33, 36, 39], "molecul": [6, 32, 36], "center": [6, 19, 23, 24, 32, 36, 39], "represent": [6, 30, 32, 34, 35, 36, 37, 39], "uniform": [6, 32, 36, 39], "noth": [6, 20, 35], "loos": 6, "held": 6, "prescrib": [6, 32, 36], "mimic": [6, 39], "color_properti": [6, 36], "conveni": [6, 27, 28, 32], "getter": [6, 32], "datat": [6, 32, 33, 36], "voxelgrid": [6, 32, 33, 36, 39], "behav": [6, 26, 32, 33], "pretti": 6, "much": [6, 32, 36], "73": [6, 28, 32], "24230194": [6, 28], "77583981": [6, 28], "87618297": [6, 28], "49": [6, 28], "00170135": [6, 28], "35": [6, 11, 28, 32, 37], "47610092": [6, 28], "27": [6, 12, 28], "92519951": [6, 28], "50": [6, 28, 32, 36, 37], "36349869": [6, 28], "39": [6, 28], "02569962": [6, 28], "25": [6, 28], "61310005": [6, 28], "42": [6, 12, 28], "71210098": [6, 28], "59": [6, 28], "44919968": [6, 28], "38": [6, 12, 28], "6432991": [6, 28], "9917984": [6, 28], "63": [6, 28], "53770065": [6, 28], "36": [6, 11, 12, 28], "33330154": [6, 28], "44": [6, 28], "17670059": [6, 28], "61": [6, 28, 32], "49860001": [6, 28], "37": [6, 13, 28, 32], "5401001": [6, 28], "dimension": [6, 8, 11, 21, 22, 25, 28, 30, 31, 32, 33, 36, 37, 39], "scalar": [6, 32, 36, 39], "equal": [6, 11, 32, 36, 37, 39], "28655": 6, "dim": [6, 32], "float64": [6, 32], "int32": [6, 13, 32], "int64": [6, 32], "chosen": [6, 32, 36], "token": [6, 12, 13, 32], "pair": [6, 15, 19, 32, 33, 36, 39], "clusteranalysi": [6, 32, 36], "cluster_count": [6, 32, 36], "reflect": [6, 10, 32, 36, 37, 39], "cluster": [6, 26, 27, 32, 36, 39], "emb": [6, 39], "textlabeloverlai": [6, 39], "row": [6, 8, 11, 32, 36], "histogrammodifi": [6, 22, 32, 36, 39], "commonneighboranalysismodifi": [6, 8, 28, 32, 33, 36], "graph": [6, 32, 36], "chart": [6, 25, 32, 36], "scatter": [6, 32, 36], "histogram": [6, 8, 11, 22, 32, 36, 39], "lookup": [6, 32, 36], "constructsurfacemodifi": [6, 32, 36, 39], "triangul": [6, 39], "spatial": [6, 15, 32, 36], "region": [6, 15, 32, 36, 39], "fill": [6, 12, 24, 32, 34, 35, 36, 39], "vertic": [6, 11, 24, 30, 32, 36, 39], "face": [6, 11, 32, 36, 39], "page": [7, 15, 20, 25, 32, 36, 39], "categori": [7, 36], "termin": [7, 26, 32, 36, 37, 39], "task": [7, 12, 27, 32, 35, 36], "accomplish": [7, 36, 37], "b1": [7, 36], "voronoi": [7, 36], "indic": [7, 16, 18, 31, 32, 33, 36, 39], "b2": [7, 36], "cna": [7, 36], "b3": 7, "programmat": [7, 17, 26, 28, 32, 37], "b4": [7, 39], "viewer": [7, 32, 39], "m1": 7, "squar": [7, 18, 30, 32, 36, 39], "m5": [7, 32], "shrink": [7, 32], "wrap": [7, 32, 36, 37, 39], "m6": 7, "entropi": 7, "enrich": 7, "movi": [7, 25, 29, 30, 39], "live": [7, 32], "dialog": [7, 38, 39], "fr2": [7, 12, 33], "optim": [7, 12, 32, 33, 36, 39], "createbondsmodifi": [8, 32, 36, 37, 39], "character": [8, 36], "triplet": [8, 32, 39], "topologi": [8, 9, 25, 32, 33, 36, 37], "surround": [8, 36, 39], "network": [8, 32], "modif": [8, 28, 29, 32, 36, 37], "bondsenumer": [8, 32], "helper": [8, 11, 32, 36], "atom": [8, 9, 11, 12, 13, 15, 18, 21, 25, 27, 32, 33, 34, 36, 37, 39], "cna_pair_typ": 8, "number_of_such_pair": 8, "sy": [8, 10, 26, 36, 39], "bondbas": [8, 36], "cna_indic": 8, "frequenc": [8, 11], "magic": [8, 11], "occurr": [8, 11], "row_histogram": [8, 11], "ca": [8, 11, 32, 33, 35, 36], "ascontiguousarrai": [8, 11], "invers": [8, 11, 32, 36], "return_index": [8, 11], "return_invers": [8, 11], "bincount": [8, 11], "below": [8, 12, 19, 26, 32, 33, 35, 36, 39], "bond_enumer": 8, "particle_index": [8, 15, 23, 32], "stdout": 8, "bond_index_list": 8, "bonds_of_particl": [8, 32], "local_cna_indic": 8, "unique_triplet": 8, "triplet_count": 8, "zip": [8, 36], "end": [8, 29, 32, 33, 36, 37, 39], "creation": [9, 32, 36, 37], "fly": [9, 28, 36], "staticsourc": [9, 34, 37], "po": [9, 22, 24, 32, 39], "pos_prop": 9, "type_prop": 9, "particletyp": [9, 12, 32, 33, 36, 39], "id": [9, 11, 12, 13, 32, 33, 36, 39], "ni": [9, 32], "my_data": 9, "141": 9, "23": [9, 12], "my_prop": 9, "line_width": [9, 32, 39], "bond_topologi": [9, 32], "create_qt_widget": [10, 39], "pyside6": [10, 39], "cross": [10, 14, 32, 36, 37, 39], "platform": [10, 39], "qslider": 10, "flesh": 10, "area": [10, 30, 32, 36, 39], "inoffici": 10, "undocu": 10, "qt": [10, 23, 39], "qtwidget": [10, 39], "qapplic": [10, 39], "qmainwindow": 10, "qwidget": [10, 39], "qvboxlayout": 10, "app": [10, 26, 39], "argv": [10, 26, 36, 39], "qcoreappl": [10, 39], "wouldn": [10, 39], "u": [10, 18, 26, 36, 39], "mainwin": 10, "setwindowtitl": [10, 39], "central_widget": 10, "central_layout": 10, "setcentralwidget": 10, "virtual": [10, 28, 36, 37, 39], "vp": [10, 28, 30, 32, 39], "perspect": [10, 22, 28, 30, 39], "camera_dir": [10, 28, 30, 32, 39], "vp_widget": 10, "addwidget": 10, "time_slid": 10, "horizont": [10, 24, 39], "settickinterv": 10, "settickposit": 10, "ticksbothsid": 10, "on_time_slid": 10, "current_fram": 10, "valuechang": 10, "resiz": [10, 32, 36, 39], "800": [10, 28, 30], "600": [10, 22, 28, 30], "animation1": 10, "setmaximum": 10, "camera": [10, 26, 28, 30, 39], "zoom_al": [10, 22, 28, 30, 32, 39], "height": [10, 23, 24, 39], "exit": [10, 39], "exec": [10, 39], "polyhedra": [11, 36], "amorph": 11, "polyhedron": [11, 36], "schlaefli": 11, "edg": [11, 32, 36, 39], "64": [11, 32], "zr": [11, 32, 37], "bulk": [11, 13, 36], "metal": 11, "glass": 11, "icosahedron": 11, "12": [11, 18, 32, 36, 39], "five": 11, "chemic": [11, 12, 32, 36], "why": [11, 39], "radii": [11, 32, 36, 37, 39], "polydispers": 11, "tessel": [11, 36], "assign_particle_radii": 11, "atom_typ": 11, "particle_types_": [11, 32, 37], "type_by_id_": [11, 32, 37], "55": [11, 32, 37], "voro": 11, "compute_indic": [11, 36], "use_radii": [11, 36], "edge_threshold": [11, 36], "maximum": [11, 21, 32, 33, 36, 39], "voro_indic": 11, "sort": [11, 32, 33, 36], "descend": [11, 36], "sort_indic": 11, "argsort": [11, 32], "unique_indic": 11, "ten": 11, "1f": 11, "len": [11, 13, 15, 17, 18, 21, 32, 36], "12274": 11, "11": [11, 32], "7485": 11, "5637": 11, "4857": 11, "3415": 11, "2927": 11, "2900": 11, "2068": 11, "2063": 11, "1662": 11, "assumpt": 12, "provis": 12, "recogniz": 12, "characterist": 12, "exampleformat": 12, "tag": [12, 33], "delimit": [12, 32], "success": [12, 32, 36], "notic": 12, "encod": [12, 13, 32, 36, 39], "symbol": [12, 32], "reduc": [12, 13, 32, 33, 36, 39], "865954": 12, "000000": 12, "973035": 12, "18": 12, "na": 12, "09306390": 12, "30261238": 12, "46908935": 12, "90693610": 12, "69738762": 12, "46908938": 12, "30261235": 12, "90693613": 12, "53091062": 12, "69738763": 12, "09306392": 12, "40693612": 12, "80261241": 12, "03091062": 12, "59306393": 12, "19738766": 12, "03091059": 12, "19738763": 12, "40693613": 12, "96908938": 12, "80261236": 12, "59306396": 12, "24180739": 12, "09397526": 12, "19064404": 12, "75819276": 12, "90602458": 12, "19064394": 12, "09397538": 12, "75819274": 12, "80935606": 12, "90602453": 12, "24180732": 12, "25819273": 12, "59397545": 12, "30935596": 12, "74180726": 12, "40602446": 12, "30935606": 12, "40602443": 12, "25819271": 12, "69064391": 12, "74180729": 12, "69064404": 12, "sn": 12, "00000000": 12, "50000000": 12, "49999997": 12, "870939": 12, "977331": 12, "09309428": 12, "30260112": 12, "46914038": 12, "90690570": 12, "69739888": 12, "46914042": 12, "30260109": 12, "90690574": 12, "53085958": 12, "09309430": 12, "40690573": 12, "80260115": 12, "03085957": 12, "59309430": 12, "19739893": 12, "03085954": 12, "19739889": 12, "40690574": 12, "96914042": 12, "80260110": 12, "59309434": 12, "96914043": 12, "24179056": 12, "09398270": 12, "19066976": 12, "75820959": 12, "90601718": 12, "19066973": 12, "09398279": 12, "80933034": 12, "90601713": 12, "24179048": 12, "80933037": 12, "25820958": 12, "59398272": 12, "30933030": 12, "74179038": 12, "40601712": 12, "30933031": 12, "40601707": 12, "25820957": 12, "69066957": 12, "59398288": 12, "74179044": 12, "69066971": 12, "00000002": 12, "49999998": 12, "878383": 12, "982911": 12, "19": 12, "09309963": 12, "30259914": 12, "46914936": 12, "90690035": 12, "69740086": 12, "46914940": 12, "30259910": 12, "90690039": 12, "53085060": 12, "09309965": 12, "53085059": 12, "40690038": 12, "80259917": 12, "03085059": 12, "59309965": 12, "19740091": 12, "03085055": 12, "19740087": 12, "40690039": 12, "96914940": 12, "80259911": 12, "59309969": 12, "96914941": 12, "24178760": 12, "09398401": 12, "19067428": 12, "75821255": 12, "90601588": 12, "19067427": 12, "09398409": 12, "75821256": 12, "80932582": 12, "90601583": 12, "24178752": 12, "80932585": 12, "25821254": 12, "59398400": 12, "30932578": 12, "74178741": 12, "40601583": 12, "40601578": 12, "25821253": 12, "69067409": 12, "59398418": 12, "74178748": 12, "69067423": 12, "fe": [12, 32], "32000002": 12, "41690039": 12, "42785059": 12, "simplic": 12, "extract": [12, 13, 32, 36, 39], "examplefileformatread": 12, "splitext": 12, "phrase": 12, "track": [12, 32, 33], "13": [12, 22, 36], "14": [12, 13, 32, 36, 39], "encount": [12, 37, 39], "startswith": [12, 13], "thorugh": 12, "21": 12, "26": 12, "32": [12, 13], "33": 12, "These": [12, 32, 33, 36, 39], "40": [12, 23, 36, 37, 39], "48": 12, "53": 12, "convert": [12, 13, 23, 24, 32, 34, 35, 36, 39], "type_properti": [12, 13, 32], "correct": [12, 13, 14, 29, 32, 36], "lastli": 12, "cartesian": [12, 13, 32, 33, 36, 39], "coordiant": [12, 13], "seek": [12, 33], "particle_count": [12, 13], "position_properti": [12, 13], "exhibit": [12, 36, 39], "issu": [12, 13, 39], "becom": [12, 13, 30, 32, 36, 39], "slower": [12, 13], "bottleneck": [12, 13], "address": [12, 13], "critic": 13, "jump": [13, 25, 36], "sequenti": [13, 28, 29], "scan": [13, 25, 33], "head": [13, 14, 32, 37, 39], "deactiv": 13, "utf": 13, "unfortun": 13, "fast": [13, 30, 32, 37], "identfi": 13, "shift": [13, 32], "pointer": 13, "benchmark": 13, "against": [13, 32], "about": [13, 15, 20, 32, 36, 39], "old": [13, 36], "speedup": 13, "pars": [13, 33, 36], "secondli": 13, "starting_byte_offset": 13, "left": [13, 29, 31, 32, 37, 39], "unchang": 13, "measur": [13, 36, 39], "000": [13, 39], "unoptim": 13, "recal": 13, "betwenn": 13, "cartes": 13, "transform": [13, 32, 36, 37, 39], "usag": [13, 32, 34, 35, 36, 37], "einsum": 13, "acceler": [13, 30, 39], "Be": 13, "awar": 13, "increas": [13, 32, 36, 39], "j": 13, "ij": 13, "kj": 13, "ki": 13, "alloc": 13, "p": [13, 32], "x_": 13, "mathrm": [13, 32, 36], "y_": 13, "z_": 13, "subscript": [13, 39], "afterward": 13, "seen": [13, 28, 37, 39], "largest": [13, 36], "142": 13, "saw": 13, "realli": 13, "transfer": [13, 35, 36, 39], "larg": [13, 27, 32, 36, 39], "challeng": 13, "repeat": [13, 29], "reliabl": 13, "test": [13, 19, 32, 36], "best": [13, 18, 32, 33, 39], "practic": 13, "releas": 13, "explicit": [14, 32, 33, 37, 39], "replic": [14, 36], "calculatedisplacementsmodifi": [14, 17, 30, 36, 37, 39], "calculatedisplacementswithrefer": 14, "slot": [14, 16, 37], "config": [14, 37], "reference_fram": [14, 37], "default_valu": [14, 16], "minimum_image_convent": [14, 36, 37], "minimum": [14, 32, 36, 37], "align": [14, 20, 36, 39], "current_posit": 14, "reference_posit": 14, "correctli": [14, 32, 36, 39], "cach": [14, 16, 37], "sake": 14, "calculatedisplac": 14, "fingerprint": 15, "visit": [15, 32, 36], "neighbor": [15, 18, 19, 32, 36, 39], "spheric": [15, 32], "around": [15, 19, 23, 32, 36, 39], "learn": [15, 20, 32, 36, 39], "cutoffneighborfind": [15, 19, 32], "distanc": [15, 18, 19, 24, 32, 36, 37, 39], "central": [15, 18, 19, 32, 36], "neighborhood": [15, 36], "np": [15, 18, 21, 32, 36, 37], "sigma": 15, "use_local_dens": 15, "compute_averag": 15, "average_cutoff": 15, "overal": [15, 32, 39], "densiti": [15, 32, 36, 39], "global_rho": 15, "finder": [15, 19, 32], "local_entropi": 15, "bin": [15, 26, 32, 33, 36], "nbin": 15, "integrand": 15, "linspac": [15, 32, 37], "num": 15, "rsq": 15, "precomput": 15, "factor": [15, 36, 39], "g_m": 15, "prefactor": 15, "pi": [15, 37, 39], "sqrt": [15, 36], "divis": 15, "r_ij": 15, "neighbor_dist": [15, 32], "r_ji": 15, "r_diff": 15, "expand_dim": 15, "exp": 15, "estim": [15, 36], "local_volum": 15, "rho": 15, "1e": [15, 21, 32], "log": [15, 31, 33], "trapz": 15, "math": [15, 21, 28, 30, 36, 37], "divid": [15, 17, 21, 32, 36], "output_properti": [15, 32, 36], "operate_on": [15, 32, 36], "cutoff_radiu": [15, 36], "numneighbor": 15, "neighbor_express": [15, 36], "timeaveragingmodifi": [16, 32, 36], "timeaverageofattribut": 16, "input_attribut": 16, "elif": 16, "output_attribut": 16, "sampl": [16, 32, 36, 39], "instantan": [16, 36], "frame_data": 16, "percentag": 16, "msd": 17, "displacement_magnitud": 17, "batch": [17, 28, 32, 36], "calculate_msd": 17, "rest": 17, "msd_data": 17, "paper": [18, 36], "phy": 18, "rev": 18, "lett": 18, "86": 18, "5530": 18, "belong": [18, 25, 32, 36], "liquid": 18, "solid": [18, 32, 36, 39], "fcc": [18, 32, 33, 35, 36], "phase": [18, 26, 36], "nearest": [18, 32, 36], "ideal": [18, 36], "phi": [18, 32], "closest": [18, 32, 36], "nearestneighborfind": [18, 32], "scope": 18, "constant": [18, 32, 36, 37, 39], "lattice_paramet": 18, "110": 18, "reference_vector": 18, "asarrai": [18, 32], "account": [18, 32, 36], "num_neighbor": [18, 36], "order_param": 18, "neigh_find": 18, "oparam": 18, "neigh": [18, 19, 32], "deviat": [18, 36], "squared_devi": 18, "linalg": [18, 21, 32], "norm": [18, 21, 32], "delta": [18, 32, 37], "contribut": 18, "min": [18, 20, 32, 36], "feedback": 18, "elimin": 19, "among": [19, 32], "overlap_dist": 19, "nearbi": [19, 32, 36], "hasn": 19, "close": [19, 32, 36, 39], "break": 19, "bound": [20, 32, 36, 39], "There": [20, 39], "max": [20, 32, 36], "coords_min": 20, "amin": 20, "coords_max": 20, "amax": 20, "x_max": 20, "x_min": 20, "y_max": 20, "y_min": 20, "z_max": 20, "z_min": 20, "diag": 20, "isn": [20, 32], "polyhedredr": 21, "ptm": [21, 32, 36], "poli": [21, 36], "quaternion": [21, 32, 36], "rotat": [21, 23, 32, 36, 37, 39], "zone": [21, 36], "translat": [21, 23, 27, 32, 36, 39], "past": 21, "quaternions_to_color": 21, "nx4": 21, "nx3": [21, 32, 36], "rodrigu": 21, "space": [21, 23, 24, 28, 30, 32, 33, 36, 38, 39], "w": [21, 24, 32, 36, 39], "zeros_lik": 21, "rr": 21, "hack": 21, "theta": [21, 32, 36, 37], "arctan": 21, "radian": [21, 28, 30, 36, 39], "62": 21, "matplotlib": [22, 26, 39], "coordinationplotoverlai": 22, "canva": [22, 23, 24, 39], "mpl_figur": [22, 39], "02": [22, 39], "98": 22, "anchor": [22, 24, 39], "north": [22, 39], "west": [22, 24, 39], "alpha": [22, 36, 39], "tight_layout": [22, 39], "fig": [22, 39], "ax": [22, 36, 39], "subplot": [22, 39], "set_titl": [22, 39], "plot_data": 22, "draw": [22, 23, 24, 32, 39], "figur": [22, 30, 32, 39], "viewport_lay": [], "programat": [22, 32], "pythonviewportoverlai": [22, 39], "setup": [22, 26, 27], "bin_count": [22, 36], "fix_xrang": [22, 36], "xrange_start": [22, 36], "xrange_end": [22, 36], "900": 22, "coordination_plot": 22, "png": [22, 28, 30, 32, 39], "qtgui": [23, 24, 39], "highlightparticleoverlai": 23, "particle_typ": [23, 32, 36], "type_by_id": [23, 32, 36], "screen": [23, 24, 39], "project_loc": [23, 39], "screen_radiu": 23, "project_length": [23, 24, 39], "everyth": [23, 26, 31, 36], "pixel": [23, 24, 36, 39], "qpainter": [23, 39], "logical_s": [23, 24, 39], "qt_painter": [23, 39], "painter": [23, 39], "dash": 23, "circl": [23, 32, 39], "pen": [23, 39], "qpen": [23, 39], "dashlin": 23, "setwidth": 23, "setcolor": 23, "qcolor": [23, 24, 39], "255": [23, 39], "setpen": [23, 39], "drawellips": [23, 39], "qpointf": 23, "arrow_shap": 23, "qpolygonf": 23, "setbrush": [23, 39], "qbrush": [23, 39], "45": 23, "drawpolygon": 23, "scalebaroverlai": 24, "nm": 24, "05": [24, 32, 36, 39], "bar_color": 24, "text_color": [24, 39], "screen_length": 24, "nanomet": [24, 39], "angstrom": 24, "multipli": [24, 32], "h": [24, 27, 32, 36], "aspect": [24, 27, 28, 33, 37, 39], "rectangl": [24, 39], "qimag": [24, 39], "preferred_qimage_format": [24, 39], "fromrgbf": [24, 39], "draw_imag": [24, 39], "01": [24, 36, 39], "south": [24, 39], "draw_text": [24, 39], "font_siz": [24, 39], "earlier": [25, 28], "other_simul": 25, "unlik": [25, 29, 32], "visibl": [25, 28, 30, 31, 32, 36, 37, 39], "topic": [25, 28, 32], "pattern": [25, 33], "1000": [25, 35], "2000": 25, "wildcard": [25, 33], "file_list": 25, "dir_a": [25, 33], "dir_b": [25, 33], "dir_c": 25, "demand": 25, "molecular": [25, 32, 35, 36], "loadtrajectorymodifi": [25, 33, 36, 37], "traj_mod": [25, 36], "fetch": 25, "suffici": [25, 32, 36, 37, 39], "legaci": [25, 33, 39], "outputfil": 25, "expressionselect": [25, 36, 39], "criterion": [25, 36], "Such": [25, 27, 29, 32], "evolut": [25, 36], "potenergi": 25, "531": 25, "540": 25, "522": 25, "502": 25, "anaconda": 26, "pypi": 26, "miniconda": 26, "strict": 26, "channel": [26, 39], "prioriti": 26, "forg": 26, "latter": [26, 32, 33, 36], "paid": 26, "confus": 26, "popular": 26, "right": [26, 27, 28, 32, 36, 39], "preconfigur": [26, 32], "commonli": 26, "equip": 26, "arg": 26, "subdirectori": 26, "linux": [26, 39], "maco": 26, "launch": [26, 39], "stand": 26, "x86_64": 26, "consol": [26, 33, 36], "remot": [26, 33, 37, 39], "machin": 26, "possess": [26, 32, 39], "reliev": [26, 36], "anymor": 26, "observ": [26, 37], "processor": [26, 32, 35], "smaller": [26, 32, 36, 39], "myscript": 26, "cpython": 26, "ship": 26, "veri": [26, 32, 36, 37, 39], "package_nam": 26, "www": [26, 39], "fail": [26, 33, 36, 39], "recommend": [26, 28], "straightforward": 26, "comprehens": 27, "jupyt": [27, 39], "notebook": [27, 39], "abl": [27, 32, 36, 37], "ones": [27, 36], "autom": 27, "anywher": 27, "free": [27, 32, 36], "charg": [27, 32, 33, 36, 39], "labori": 27, "carri": [27, 36], "hydrogen": [27, 36], "delet": [27, 32, 36, 37], "selecttypemodifi": [27, 36], "valuabl": 27, "wire": [28, 33, 37], "care": [28, 32, 37], "0x7f9ea70aefb0": 28, "reconfigur": 28, "reus": [28, 37], "colorcodingmodifi": [28, 32, 36, 37, 39], "slicemodifi": [28, 32, 36, 37], "constructor": [28, 32, 36], "only_select": [28, 36, 39], "equival": [28, 32, 33, 36], "known": [28, 30, 32, 36, 39], "outputdata": 28, "pipe": 28, "leav": [28, 32, 36, 39], "heterogen": 28, "attributedataobject": 28, "148": 28, "147995": 28, "74": [28, 32], "0739975": 28, "07200623": 28, "03600311": 28, "0756073": 28, "03780365": 28, "input_data": 28, "output_data": 28, "mention": [28, 29], "viewpoint": 28, "camera_po": [28, 30, 39], "150": [28, 30], "fov": [28, 30, 39], "60": [28, 30], "angl": [28, 30, 32, 33, 36, 37, 39], "myimag": 28, "arrang": [29, 36], "filter": [29, 36, 37, 39], "flow": [29, 37], "triangl": [29, 32, 39], "destruct": [29, 32], "ident": [29, 32, 37], "attach": [29, 30, 32, 33, 36, 37, 39], "assigncolormodifi": [29, 32, 36], "closer": [29, 36, 39], "trajectory_": 29, "data_frame0": 29, "data_frame1": 29, "data_frame2": 29, "wrong": [29, 37], "atomicstrainmodifi": [29, 36, 37], "longer": [29, 32, 36], "simulationcellvi": [30, 32, 39], "pictur": [30, 32, 36, 39], "0x7f9a414c8060": 30, "0x7fc3650a1c20": 30, "rendering_color": [30, 32, 39], "red": [30, 32, 36], "datavi": [30, 32, 39], "off": [30, 32, 36, 37, 39], "hide": 30, "particlesvi": [30, 32, 36, 39], "cubic": [30, 36, 39], "blue": 30, "front": [30, 32, 39], "ortho": [30, 39], "forget": 30, "reset": [30, 32, 39], "zoom": 30, "render_anim": [30, 39], "background": [30, 39], "avi": [30, 39], "fp": [30, 39], "openglrender": [30, 36, 39], "hardwar": [30, 39], "opengl": [30, 36, 39], "tachyon": [30, 39], "shadow": [30, 39], "direct_light_intens": [30, 39], "univers": 31, "video": [31, 39], "selected_pipelin": 31, "version_str": 31, "encompass": 31, "remove_from_scen": [31, 37], "del": [31, 32, 37, 39], "compris": [31, 32, 36, 39], "macro": 31, "enable_log": [31, 32, 36], "activ": [31, 32, 35, 36, 37, 39], "unnotic": 31, "stderr": 31, "2d": [32, 36, 38, 39], "volumetr": [32, 36, 39], "segment": [32, 36, 39], "polyhedr": [32, 36], "triangular": [32, 36], "dislocationnetwork": [32, 33, 36, 39], "discret": [32, 36, 39], "burger": [32, 36, 39], "elementtyp": [32, 36], "bondtyp": [32, 36], "dislocationseg": 32, "bond_typ": [32, 36], "bond_type_properti": 32, "bondsvi": [32, 36, 39], "length_prop": 32, "bond_vector": 32, "subtract": 32, "opposit": [32, 36], "product": 32, "dot": [32, 36], "pbc_vector": 32, "transpos": 32, "3x3": [32, 36], "summar": [32, 36], "snippet": [32, 36], "unwrap": [32, 36, 37], "mathbf": [32, 36], "v": 32, "_b": 32, "_a": 32, "cdot": [32, 36], "n_x": 32, "n_y": 32, "n_z": 32, "float32": 32, "int8": 32, "transpar": [32, 36, 39], "add_bond": 32, "pbcvec": 32, "pbc_shift": 32, "undefin": 32, "permit": 32, "unord": 32, "warn": 32, "gz": [32, 33, 36, 39], "atom_styl": [32, 33, 36, 37, 39], "bondlength": 32, "bond_length": 32, "bonds_enum": 32, "bond_index": 32, "data_collect": [32, 34, 35], "prefetch": 32, "ptype": 32, "type_of_neighbor": 32, "distance_squar": 32, "find_al": 32, "sort_bi": 32, "core": [32, 36], "unsort": 32, "contigu": [32, 33, 36], "intermingl": 32, "ascend": 32, "addition": [32, 33, 36, 37, 39], "neigh_idx": 32, "symmetr": [32, 36], "neigh_vec": 32, "unspecifi": [32, 37], "incur": 32, "cost": 32, "faster": [32, 36], "find_at": 32, "coincid": 32, "radial": [32, 36], "lot": 32, "better": [32, 36, 39], "neighbor_vector": 32, "piec": 32, "elementari": 32, "entiti": 32, "bunch": 32, "accessor": 32, "idx": 32, "arang": [32, 36], "constructsurfacemesh": [32, 36], "surface_area": [32, 36], "snapshot_140000": 32, "140000": 32, "ncluster": 32, "commonneighboranalysi": [32, 33, 36], "fcc_fraction": 32, "compute_fcc_fract": 32, "n_fcc": 32, "retain": 32, "inexpens": 32, "protect": 32, "make_mut": 32, "deep": 32, "condition": 32, "boolean": [32, 36, 39], "roughli": [32, 36, 39], "item": 32, "setattr": 32, "param": [32, 33, 34, 37, 38], "06": [32, 39], "83": 32, "81": 32, "79": 32, "88": 32, "77": 32, "charge_density_grid": 32, "expect": [32, 36, 39], "member": 32, "domain": [32, 36, 39], "generatetrajectorylinesmodifi": [32, 36, 39], "mylin": 32, "flat": [32, 36, 39], "flavor": 32, "rdf": [32, 36], "x_interv": 32, "x_coord": 32, "plot_mod": 32, "plotmod": 32, "axis_label_x": 32, "triangle_mesh": 32, "concret": [32, 36, 37], "themselv": [32, 36], "target": [32, 36], "meaning": 32, "subobj": 32, "ownership": 32, "doesn": [32, 37], "synchron": 32, "primarili": [32, 33], "evenli": 32, "equis": 32, "myplot": 32, "co": [32, 34, 36, 37], "trig": 32, "sin": [32, 36, 37], "y1y2": 32, "stack": [32, 36], "barchart": 32, "hcp": [32, 36], "bcc": [32, 36], "65": 32, "97": 32, "75": [32, 39], "four": 32, "func": 32, "absenc": 32, "equispac": 32, "implicit": [32, 36], "noplot": 32, "famili": 32, "dislocationvi": [32, 36, 39], "diamond": [32, 36], "input_crystal_structur": [32, 35, 36], "cubicdiamond": [32, 36], "cell_volum": [32, 36], "true_burgers_vector": [32, 36], "paraview": [32, 33, 36], "vtk": [32, 33, 36], "clip": [32, 39], "set_seg": 32, "cluster_id": 32, "custom_color": 32, "crystallit": [32, 36], "flip": [32, 39], "seg": 32, "dislocations_": 32, "neg": [32, 36, 37], "flipud": 32, "121": 32, "allclos": 32, "scheme": [32, 33, 36, 39], "impos": 32, "coloring_mod": [32, 39], "is_infinite_lin": 32, "is_loop": 32, "point_along_lin": 32, "spatial_burgers_vector": 32, "descriptor": 32, "type_by_nam": [32, 36], "inact": 32, "identif": [32, 36], "structureidentificationmodifi": [32, 36], "linesvi": [32, 36, 39], "vertex": [32, 36, 39], "pseudo": [32, 36, 39], "time_stamp": 32, "consecut": [32, 33, 37], "abitrari": 32, "stai": 32, "x_0": 32, "y_0": 32, "z_0": 32, "x_1": 32, "y_1": 32, "z_1": 32, "x_2": 32, "y_2": 32, "z_2": 32, "x_3": 32, "y_3": 32, "z_3": 32, "x_4": 32, "y_4": 32, "z_4": 32, "x_5": 32, "y_5": 32, "z_5": 32, "x_6": 32, "y_6": 32, "z_6": 32, "create_lin": 32, "trace": [32, 36, 39], "gradual": 32, "upto_current_tim": [32, 39], "sections_": 32, "stamp": 32, "time_stamps_": 32, "greater": [32, 39], "less": [32, 36, 37], "xyz_coord": 32, "wise": [32, 36], "atomist": [32, 34, 39], "establish": [32, 39], "tid": 32, "si": 32, "backface_cul": [32, 39], "cull": 32, "polygon": [32, 36, 39], "awai": [32, 36, 37, 39], "load_shap": 32, "highlight_edg": [32, 36, 39], "load_default": 32, "vdw_radiu": [32, 36], "obj": [32, 33], "stl": [32, 33], "tetrahedron": 32, "gsd": [32, 33, 36], "aspherix": 32, "site": [32, 36], "ignor": [32, 33, 36, 37, 39], "unless": [32, 33, 36, 37, 39], "setup_particle_typ": 32, "geometr": [32, 36, 37], "sphere": [32, 36, 39], "cylind": [32, 39], "spherocylind": [32, 39], "ellipsoid": [32, 39], "superquadr": [32, 39], "presenc": [32, 39], "aspher": [32, 39], "round": [32, 39], "switch": [32, 39], "nylon": 32, "320": [32, 39], "240": [32, 39], "use_mesh_color": 32, "intrins": [32, 36], "van": [32, 36], "der": [32, 36], "waal": [32, 36], "role": [32, 36, 37, 39], "angular": [32, 39], "centrosymmetri": [32, 36], "deform": [32, 36, 37], "gradient": [32, 36, 39], "xx": [32, 36], "yx": 32, "zx": 32, "yy": [32, 36], "zy": 32, "xz": [32, 36], "yz": [32, 36], "zz": [32, 36], "dipol": [32, 36, 39], "dna": 32, "strand": 32, "elast": [32, 36], "strain": [32, 33, 36], "forc": [32, 36, 39], "kinet": 32, "nucleobas": 32, "nucleotid": 32, "spin": 32, "tensor": [32, 36], "stress": [32, 36], "stretch": [32, 36], "torqu": 32, "liter": [32, 36, 39], "mol_id": 32, "add_particl": 32, "return_pbcvec": 32, "wrapper": [32, 36, 39], "r_a": 32, "r_b": 32, "shortest": 32, "dihedr": [32, 33], "bit": 32, "delete_el": 32, "stabl": 32, "vari": [32, 33, 36], "throughout": 32, "query_indic": 32, "revers": [32, 36, 37, 39], "nor": 32, "contig": 32, "query_id": 32, "argwher": 32, "effort": 32, "pai": 32, "searchsort": 32, "sorter": 32, "array_equ": 32, "illustr": 32, "improp": [32, 33], "under": [32, 35, 36, 37, 39], "circumst": 32, "new_coordin": 32, "overwrit": 32, "ndarrai": [32, 39], "slice": [32, 36, 37], "101": 32, "99": 32, "compar": [32, 36], "permut": 32, "remap": 32, "suppli": 32, "hydrogen_typ": 32, "hydrogen_indic": 32, "flatnonzero": 32, "structure_typ": 32, "cordin": 32, "th": [32, 36], "sixth": 32, "modifiable_posit": 32, "position_": 32, "188": 32, "313": 32, "972": 32, "564": 32, "050": 32, "similarli": 32, "fe_type_id": 32, "957": 32, "classif": [32, 36], "orthogon": [32, 39], "former": [32, 33], "collid": 32, "scene_object": [], "type_1": 32, "type_2": 32, "randomli": 32, "randint": 32, "type_au": 32, "au": 32, "type_ag": 32, "ag": 32, "choic": [32, 36, 37, 39], "component_count": 32, "component_nam": [32, 33, 36], "digit": [32, 33, 36], "raise_error": 32, "keyerror": 32, "type_id": [32, 36], "id_si": 32, "si_atom_count": 32, "type_by_name_": [32, 36], "renam": 32, "structure_types_": 32, "hexagon": [32, 36], "wurtzit": 32, "types_": 32, "variant": [32, 33], "abc": 32, "has_select": 32, "name_list": 32, "broadcast": 32, "sensibl": 32, "infer": 32, "wherea": 32, "mask": [32, 36], "delete_indic": 32, "cast": [32, 36, 39], "parallelepip": 32, "fourth": [32, 36, 39], "pmatrix": 32, "a_x": 32, "b_x": 32, "c_x": 32, "o_x": 32, "a_i": 32, "b_y": 32, "c_y": 32, "o_i": 32, "a_z": 32, "b_z": 32, "c_z": 32, "o_z": 32, "major": [32, 36], "is2d": 32, "l_x": 32, "l_y": 32, "l_z": 32, "lx": 32, "ly": [32, 36], "lz": 32, "quadruplet": 32, "p_cartesian": 32, "p_reduc": 32, "shorthand": 32, "matmul": 32, "affin": [32, 36, 37, 39], "oppos": 32, "somewhat": 32, "v_cartesian": 32, "vx": 32, "vy": 32, "vz": 32, "v_reduc": 32, "v_cartesian_out": 32, "forth": [32, 34, 37], "cartesian_posit": 32, "reduced_posit": 32, "cartesian_positions_out": 32, "wirefram": [32, 39], "ra": 32, "rb": 32, "short": [32, 36, 39], "bring": 32, "onto": [32, 39], "reciproc": [32, 36], "bmatrix": 32, "real": [32, 36, 39], "frac": 32, "qquad": 32, "absolut": [32, 36], "submatrix": 32, "tripl": 32, "ab": 32, "det": 32, "volume2d": 32, "v_": 32, "manifold": [32, 36, 39], "planar": [32, 36], "createisosurfacemodifi": [32, 36, 39], "coordinationpolyhedramodifi": [32, 36], "isolevel": [32, 36], "isosurfac": [32, 36], "halfedg": 32, "circular": 32, "surfacemeshtopologi": [32, 39], "vertex_coord": 32, "surfacemeshvi": [32, 36, 39], "color_mapping_mod": [32, 39], "colormappingmod": [32, 39], "color_mapping_properti": [32, 36, 39], "color_mapping_interv": [32, 36, 39], "isosurface_": 32, "vertices_": 32, "xoffset": 32, "yoffset": 32, "zoffset": 32, "intersect": [32, 39], "to_triangle_mesh": 32, "subdivid": 32, "enclos": [32, 36, 39], "interior": [32, 36, 39], "exterior": [32, 36, 39], "locate_point": 32, "degener": 32, "unabl": 32, "discrimin": 32, "space_filling_region": 32, "truncat": [32, 36], "cap": [32, 39], "hole": 32, "trimesh": [32, 33], "surface_mesh": [32, 36], "plane": [32, 36], "cut": [32, 36, 37, 39], "get_clipping_plan": 32, "set_clipping_plan": 32, "connect_opposite_halfedg": 32, "link": [32, 37, 39], "adjac": [32, 36], "successfulli": [32, 37], "said": 32, "wind": 32, "counter": 32, "clockwis": 32, "is_clos": [32, 39], "opposite_edg": 32, "has_opposite_edg": 32, "create_fac": 32, "convex": [32, 36], "incorrectli": [32, 39], "quad": 32, "adopt": [32, 39], "quadrilater": 32, "vert": 32, "create_vertic": 32, "vertex_list": 32, "3n": 32, "triangle_list": 32, "reshap": 32, "prefix": [32, 36], "face_count": 32, "vertex_count": 32, "sign": [32, 36], "get_face_vertic": 32, "ep": 32, "reserv": 32, "precis": [32, 33, 36, 39], "disabl": [32, 36, 37, 39], "unstabl": 32, "facemap": 32, "Will": [32, 33, 36], "interpol": [32, 36, 39], "topolog": 32, "edge_count": 32, "depict": [32, 39], "half": [32, 36, 37], "first_vertex_edg": 32, "next_vertex_edg": 32, "first_face_edg": 32, "next_face_edg": 32, "prev_face_edg": 32, "adjacent_fac": 32, "count_face_edg": 32, "count_manifold": 32, "count_vertex_edg": 32, "find_edg": 32, "vertex1": 32, "vertex2": 32, "first_edge_vertex": 32, "second_edge_vertex": 32, "first_face_vertex": 32, "has_opposite_fac": 32, "partner": 32, "opposite_fac": 32, "border": [32, 39], "show_cap": [32, 36, 39], "backward": 32, "rememb": 32, "count_edg": 32, "start_edg": 32, "next_manifold_edg": 32, "outgo": 32, "get_neighboring_fac": 32, "opp_edg": 32, "someth": 32, "sent": 32, "gpu": [32, 36, 39], "trianglemeshvi": [32, 36, 39], "n_": 32, "get_fac": 32, "get_vertic": 32, "set_fac": 32, "vertex_indic": 32, "set_vertic": 32, "parallelogram": 32, "uniformili": 32, "grid_typ": 32, "chgcar": [32, 36, 39], "electron": 32, "vasp": [32, 33, 36, 39], "spatialbinningmodifi": [32, 36, 39], "unstructur": 32, "outer": [32, 39], "nx": 32, "ny": 32, "nz": 32, "field_data": 32, "voxelgridvi": [32, 36, 39], "gridtyp": 32, "celldata": 32, "slowest": 32, "fortran": 32, "flatten": 32, "field_prop": 32, "pointdata": 32, "k": 32, "c_ave": 32, "has_trait": [33, 37, 39], "hastrait": [33, 37, 39], "filesystem": [33, 37, 38], "is_new_fil": 33, "came": 33, "sftp": 33, "parser": [33, 36], "leftov": 33, "pathlik": [33, 37], "gltf": 33, "pov": 33, "rai": [33, 39], "compress": 33, "zlib": 33, "librari": 33, "imd": 33, "poscar": 33, "fhi": 33, "aim": 33, "hoomd": 33, "netcdf": 33, "amber": 33, "binari": [33, 36], "glb": 33, "file_format": [], "povrai": 33, "refin": [33, 39], "start_fram": [33, 37], "end_fram": [33, 37], "every_nth_fram": 33, "prefer": 33, "17": 33, "hybrid": 33, "atom_substyl": 33, "suppress": 33, "omit_mass": 33, "ignore_identifi": 33, "consecutive_type_id": 33, "export_type_nam": 33, "animat": 33, "combin": [33, 36, 37, 39], "sim": 33, "sim_a": 33, "sim_b": 33, "sourcefil": 33, "hint": 33, "write_data": 33, "full_model": 33, "hybrid_model": 33, "appropri": [33, 36], "reorder": 33, "sort_particl": 33, "rare": 33, "auto": 33, "castep": 33, "cfg": 33, "cif": 33, "dcd": 33, "dlpoli": 33, "galamost": 33, "gaussian": [33, 36], "cube": 33, "gro": [33, 36], "mmcif": 33, "oxdna": 33, "parca": 33, "pdb": 33, "quantumespresso": 33, "reaxff": 33, "pvd": 33, "vti": 33, "vtm": 33, "vtp": 33, "vt": 33, "xsf": 33, "xtc": 33, "ase_databas": [], "ase_trajectori": [], "cfg_atomey": [], "lammps_data": [], "lammps_dump": [], "lammps_dump_grid": [], "lammps_dump_loc": [], "exchang": [34, 35], "ASE": [33, 34], "ovito_to_as": 34, "ase_to_ovito": 34, "importerror": 34, "pip3": 34, "ase_atom": 34, "deal": 35, "lammps_to_ovito": 35, "lmp": 35, "rank": 35, "experiment": [35, 39], "contact": 35, "perform_dxa": 35, "end_of_step": 35, "defect": [35, 36], "lammps_ptr": 35, "ptr": 35, "mpi": 35, "dxa": [35, 36], "get_thermo": 35, "consult": 36, "depth": [36, 39], "acklandjonesmodifi": 36, "ackland": 36, "jone": 36, "ambientocclusionmodifi": 36, "ambient": [36, 39], "occlus": [36, 39], "bondanalysismodifi": 36, "centrosymmetrymodifi": 36, "chillplusmodifi": 36, "chill": 36, "clearselectionmodifi": 36, "colorbytypemodifi": 36, "combinedatasetsmodifi": 36, "elasticstrainmodifi": 36, "expandselectionmodifi": 36, "expand": 36, "freezepropertymodifi": 36, "grainsegmentationmodifi": 36, "grain": 36, "identifyfccplanarfaultsmodifi": 36, "fault": 36, "identifydiamondmodifi": 36, "invertselectionmodifi": 36, "invert": 36, "pythonmodifi": 36, "renderlammpsregionsmodifi": 36, "replicatemodifi": 36, "smoothtrajectorymodifi": [36, 37], "smooth": [36, 39], "spatialcorrelationfunctionmodifi": 36, "correl": 36, "timeseriesmodifi": 36, "unwraptrajectoriesmodifi": 36, "vorotopmodifi": 36, "vorotop": 36, "wignerseitzanalysismodifi": [36, 37], "wigner": 36, "seitz": 36, "wrapperiodicimagesmodifi": [36, 37], "miss": 36, "crystallin": 36, "propos": 36, "ico": 36, "color_by_typ": 36, "acklandjon": 36, "recogn": [36, 39], "icosahedr": 36, "shear": 36, "vector_properti": 36, "diagon": 36, "No": [36, 39], "xy_shear": 36, "mod": [36, 37], "deg2rad": [36, 37, 39], "tm": [36, 37], "reduced_coord": 36, "relative_mod": 36, "target_cel": 36, "rel": [36, 37, 39], "light": [36, 39], "bright": [36, 39], "accord": [36, 39], "degre": [36, 39], "improv": 36, "acceller": 36, "buffer_resolut": 36, "resolut": [36, 39], "buffer": 36, "higher": [36, 39], "intens": [36, 39], "strength": [36, 39], "shade": [36, 39], "sample_count": 36, "exposur": 36, "surface_vertic": 36, "surface_fac": 36, "surface_region": 36, "particularli": 36, "displacementmagnitud": 36, "referenceconfigurationmodifi": [36, 37], "subclass": [36, 39], "von": 36, "mise": 36, "invari": 36, "green": 36, "lagrangian": 36, "six": 36, "output_strain_tensor": 36, "nine": 36, "output_deformation_gradi": 36, "polar": 36, "decomposit": 36, "ru": 36, "output_stretch_tensor": 36, "microrot": 36, "output_rot": 36, "nonaffin": 36, "falk": 36, "langer": 36, "output_nonaffine_squared_displac": 36, "select_invalid_particl": 36, "atomicstrain": 36, "invalid_particle_count": 36, "insuffici": 36, "partit": 36, "byparticletyp": 36, "byparticleselect": 36, "bybondtyp": [36, 39], "bybondselect": 36, "distr": 36, "bond_angl": 36, "traj": 36, "avg_bond_angl": 36, "180": 36, "cosine_mod": 36, "cosin": 36, "length_cutoff": 36, "exce": 36, "hidden": [36, 39], "csp": 36, "disord": 36, "centrosymmetr": 36, "perfect": 36, "speci": 36, "water": 36, "hexagonal_ic": 36, "cubic_ic": 36, "interfacial_ic": 36, "hydrat": 36, "interfacial_hydr": 36, "chillplu": 36, "ic": 36, "interfaci": 36, "disconnect": 36, "largest_s": 36, "sort_by_s": 36, "compute_com": 36, "gyrat": 36, "compute_gyr": 36, "cluster_t": 36, "cluster_color": 36, "neighbor_mod": 36, "cutoffrang": 36, "neighbormod": 36, "unwrap_particl": 36, "residu": 36, "gromac": 36, "1aki": 36, "residue_typ": 36, "prepend": 36, "setup_residue_color": 36, "type_": 36, "glu": 36, "property_nam": 36, "input_properti": 36, "output_color": 36, "element_typ": 36, "clear_select": 36, "reveal": 36, "unselect": 36, "hot": 36, "start_valu": [36, 39], "end_valu": [36, 39], "colorlegendoverlai": [36, 39], "legend": [36, 39], "auto_adjust_rang": 36, "adapt": [36, 39], "irrespect": [36, 37], "bluewhit": 36, "grayscal": 36, "jet": 36, "magma": 36, "rainbow": [36, 39], "viridi": 36, "linearli": 36, "color_t": 36, "yellow": 36, "white": 36, "merg": 36, "primari": [36, 39], "first_fil": [36, 37], "fixedcutoff": 36, "adaptivecutoff": 36, "intervalcutoff": 36, "cellsiz": 36, "snip": 36, "compute_particle_color": 36, "cell_size_x": 36, "syntax": 36, "alphanumer": 36, "mangl": 36, "c_abc": 36, "c_abc_1_averag": 36, "pore": 36, "alphashap": 36, "delaunai": 36, "accommod": 36, "probe": 36, "classifi": 36, "morphologi": 36, "resolv": [36, 37, 39], "larger": [36, 39], "fewer": 36, "coars": 36, "finer": 36, "gaussiandens": 36, "smear": 36, "radius_sc": 36, "quantit": 36, "caviti": 36, "identify_region": 36, "aggreg": 36, "poros": 36, "agreg": 36, "filled_volum": 36, "vol": 36, "specific_surface_area": 36, "empty_volum": 36, "finit": [36, 39], "void_volum": 36, "filled_fract": 36, "unitless": 36, "empty_fract": 36, "filled_region_count": 36, "empty_region_count": 36, "void_region_count": 36, "select_surface_particl": 36, "compute_dist": 36, "map_particles_to_region": 36, "grid_resolut": 36, "longest": 36, "construct_surface_mesh": [], "slightli": 36, "procedur": 36, "smoothing_level": 36, "particle_region": 36, "regions_t": 36, "method_comparison": [], "thumb": 36, "extent": 36, "transfer_properti": 36, "blend": [36, 39], "number_of_bin": 36, "total_rdf": 36, "savetxt": 36, "rdf_tabl": 36, "rdf_name": 36, "everth": 36, "hull": 36, "semi": [36, 39], "surface_transpar": [36, 39], "vdwradiu": 36, "pairwis": 36, "intra_molecule_onli": 36, "transit": 36, "createbond": 36, "num_bond": 36, "upper": [36, 39], "get_pairwise_cutoff": 36, "type_a": 36, "type_b": 36, "set_pairwise_cutoff": 36, "lower_cutoff": 36, "prevent_hh_bond": 36, "nospin": [36, 39], "00014": 36, "reduction_oper": 36, "transfer_valu": 36, "trilinear": 36, "secondari": [36, 37], "msmse": 36, "2012": 36, "085007": 36, "ijk": 36, "broken": 36, "112": 36, "shocklei": 36, "unusu": 36, "hexagonaldiamond": 36, "circuit_stretch": 36, "circuit": 36, "defect_mesh_smoothing_level": 36, "defect_vi": 36, "disloc_vi": 36, "line_coarsening_en": 36, "coarsen": 36, "line_point_separ": 36, "interatom": 36, "amount": 36, "line_smoothing_en": 36, "line_smoothing_level": 36, "only_perfect_disloc": 36, "dissoci": 36, "wide": 36, "trial_circuit_length": 36, "trial": 36, "calculate_deformation_gradi": 36, "null": 36, "calculate_strain_tensor": 36, "axial_ratio": 36, "symmetri": 36, "lattice_const": 36, "push_strain_tensors_forward": 36, "eulerian": 36, "almansi": 36, "materi": [36, 39], "expandselect": 36, "num_ad": 36, "got": 36, "expansionmod": 36, "recurs": [36, 39], "ev": [36, 39], "reimplement": 36, "select_high_energy_atom": 36, "limit": [36, 39], "therebi": 36, "fulfil": 36, "mupars": 36, "incorpor": [36, 39], "techniqu": [36, 39], "shearstrain": 36, "pl": 36, "source_properti": 36, "destination_properti": 36, "coord0": 36, "freeze_at": 36, "comapr": 36, "frozen": 36, "destin": [36, 39], "motion": 36, "curv": 36, "frame_interv": 36, "sample_particle_properti": [36, 39], "trajectoryvi": 36, "sampling_frequ": 36, "unwrap_trajectori": 36, "polycrystallin": 36, "microstructur": 36, "color_particl": 36, "grainsegment": 36, "grain_count": 36, "graphclusteringauto": 36, "graphclusteringmanu": 36, "minimumspanningtre": 36, "handle_stacking_fault": 36, "coher": 36, "twin": 36, "merging_threshold": 36, "contract": 36, "lower": [36, 39], "min_grain_s": 36, "dissolv": 36, "orphan_adopt": 36, "peatom": [36, 39], "cubic_diamond": 36, "cubic_diamond_first_neighbor": 36, "cubic_diamond_second_neighbor": 36, "hex_diamond": 36, "hex_diamond_first_neighbor": 36, "hex_diamond_second_neighbor": 36, "identifydiamond": 36, "111": 36, "reli": 36, "intermedi": [36, 37], "output_orient": 36, "output_interatomic_dist": 36, "indetermin": 36, "multilay": 36, "planar_fault": 36, "num_atoms_isf": 36, "isf": 36, "num_atoms_twin": 36, "area_isf": 36, "area_twin": 36, "nonhcp": 36, "color_isf": 36, "color_multi": 36, "color_oth": 36, "color_twin": 36, "bonds_mod": 36, "btype": 36, "batom1": 36, "batom2": 36, "dist": 36, "engpot": 36, "c_1": 36, "c_2": 36, "compound": 36, "output_ord": 36, "sc": 36, "graphen": 36, "rmsd": 36, "output_rmsd": 36, "orderingtyp": 36, "l10": 36, "l12_a": 36, "l12_b": 36, "zincblende_wurtzit": 36, "boron_nitrid": 36, "polyhedraltemplatematch": 36, "calculate_misorient": 36, "misorient": 36, "disorient": 36, "minimz": 36, "due": [36, 37, 39], "polycryst": 36, "hex": 36, "bicryst": 36, "grain_orient": 36, "disorientation_angl": 36, "rigid": 36, "rmsd_cutoff": 36, "spuriou": 36, "assign_color": 36, "assigncolor": 36, "working_dir": [36, 37], "mainli": [36, 37], "cyclic": 36, "select_atom": 36, "adjust_box": 36, "fit": [36, 39], "num_x": 36, "num_i": 36, "num_z": 36, "unique_id": 36, "replica": 36, "selecttyp": 36, "num_select": 36, "slab": 36, "miller": 36, "gridslice_vi": 36, "hkl": 36, "interplanar": 36, "d_": 36, "slab_width": 36, "plane_vi": 36, "render_plan": 36, "mathemat": 36, "thick": 36, "smoothen": 36, "fluctuat": 36, "thermal": 36, "vibrat": 36, "window_s": 36, "slide": [36, 37], "reduct": 36, "first_deriv": 36, "80": 36, "velocity_profil": 36, "uniti": 36, "sumvol": 36, "perpendicular": 36, "approxim": 36, "grid_vi": [36, 39], "exclud": 36, "pressur": 36, "virial": 36, "fft": 36, "convolut": 36, "summat": 36, "property1": 36, "property2": 36, "real_correlation_funct": 36, "varianc": 36, "c_norm": 36, "mean1": 36, "correlationfunct": 36, "mean2": 36, "covari": 36, "normalized_real_correlation_funct": 36, "apply_window": 36, "hann": 36, "oscil": 36, "law": 36, "rectangular": [36, 39], "direct_summ": 36, "grid_spac": 36, "neighbor_bin": 36, "neighbor_cutoff": 36, "p1": 36, "p2": 36, "autocorrel": 36, "matter": 36, "suitabl": [36, 39], "hierarch": 36, "coarser": 36, "time_attribut": 36, "fold": 36, "unfold": 36, "lazar": 36, "han": 36, "srolovitz": 36, "pna": 36, "43": 36, "2015": 36, "weinberg": 36, "ieee": 36, "tran": 36, "theori": 36, "1966": 36, "suit": 36, "temperatur": 36, "heat": 36, "melt": 36, "quench": 36, "minim": 36, "webpag": 36, "filter_fil": 36, "dispers": 36, "mono": 36, "farthest": 36, "max_face_ord": 36, "fall": 36, "generate_bond": 36, "bonds_vi": [36, 39], "shorter": 36, "face_threshold": 36, "whatev": 36, "relative_face_threshold": 36, "generate_polyhedra": 36, "mesh_vi": 36, "occup": 36, "wignerseitz": 36, "vacancy_count": 36, "vacant": 36, "interstitial_count": 36, "interstiti": 36, "minu": [36, 37], "antisit": 36, "exemplarili": 36, "occupi": 36, "per_type_occup": 36, "affine_map": [36, 37], "affinemap": [36, 37], "torefer": [36, 37], "site_typ": 36, "total_occup": 36, "antisite_count": 36, "output_displac": 36, "throw": 36, "pertain": 36, "pipelinenod": [37, 39], "modificationnod": 37, "pythonsourc": 37, "setup_atom_typ": 37, "recent": 37, "source_path": 37, "singli": 37, "chain": 37, "meant": 37, "get_modification_nod": 37, "branch": 37, "fed": 37, "clone_pipelin": [], "parametr": 37, "input_nod": 37, "outlet": 37, "compute_trajectory_length": 37, "pipeline_nod": 37, "synthes": 37, "skipframesmodifi": 37, "turntabl": 37, "tutori": 37, "durat": 37, "notify_trajectory_length_chang": 37, "turntableanim": 37, "360": 37, "anim_duration_chang": 37, "extra_slot": 37, "consequ": 37, "feed": 37, "hood": 37, "recalcul": 37, "foo": 37, "new_data": 37, "add_foo": 37, "preliminary_upd": 37, "disappear": 37, "tail": 37, "examplesourc": 37, "cell_matrix": 37, "example_sourc": 37, "captur": [37, 39], "animatedpipelinesourc": 37, "boilerpl": 37, "create_model": 37, "avil": 37, "comparison": [36, 37], "use_frame_offset": 37, "frame_offset": 37, "experienc": 37, "trivial": 37, "slight": 37, "tocurr": 37, "consider": 37, "supplement": 38, "klass": 38, "factori": 38, "anarirender": 39, "coordinatetripodoverlai": 39, "scientif": 39, "nvidia": 39, "optix": 39, "cuda": 39, "devic": 39, "visrtx": 39, "fidel": 39, "illumin": 39, "visrtx_render": [], "khrono": 39, "anari": 39, "compliant": 39, "vendor": 39, "cuda_visible_devic": 39, "ambient_light_radi": 39, "radianc": 39, "proport": 39, "ambient_occlusion_sampl": 39, "artifact": 39, "denoising_en": 39, "denois": 39, "nois": 39, "inher": 39, "stochast": 39, "direct_light_irradi": 39, "irradi": 39, "irrandi": 39, "direct_light_latitud": 39, "latitud": 39, "direct_light_longitud": 39, "longitud": 39, "east": 39, "samples_per_pixel": 39, "alias": 39, "cylindr": 39, "coloringmod": 39, "byparticl": 39, "natur": 39, "audienc": 39, "underlai": 39, "alignmentflag": 39, "alignleft": 39, "aligntop": 39, "offset_i": 39, "04": 39, "format_str": 39, "2f": 39, "importantli": 39, "spectrum": 39, "color_mapping_sourc": 39, "02186": 39, "05465": 39, "corner": 39, "alignhcent": 39, "alignbottom": 39, "aspect_ratio": 39, "narrow": 39, "background_color": 39, "background_en": 39, "paint": 39, "drawn": 39, "distinguish": 39, "clutter": 39, "border_color": 39, "border_en": 39, "font": 39, "comma": 39, "understood": 39, "qfont": 39, "fromstr": 39, "arial": 39, "bold": 39, "sprintf": 39, "decim": 39, "text_label": [], "text_format": [], "label1": 39, "label2": 39, "label_s": 39, "tick": 39, "legend_s": 39, "offset_x": 39, "outline_color": 39, "outline_en": 39, "slash": 39, "rotate_titl": 39, "ticks_en": 39, "ticks_spac": 39, "placement": 39, "tripod": 39, "07": 39, "alignright": 39, "axis1_color": 39, "axis1_dir": 39, "axis1_en": 39, "axis1_label": 39, "axis2_color": 39, "axis2_dir": 39, "axis2_en": 39, "axis2_label": 39, "axis3_color": 39, "axis3_dir": 39, "axis3_en": 39, "axis3_label": 39, "axis4_color": 39, "axis4_dir": 39, "7071": 39, "axis4_en": 39, "axis4_label": 39, "perspective_distort": 39, "distort": 39, "orthograph": 39, "075": 39, "deprec": 39, "burgers_vector_color": 39, "burgers_vector_sc": 39, "exagger": 39, "burgers_vector_width": 39, "bydislocationtyp": 39, "byburgersvector": 39, "bycharact": 39, "show_burgers_vector": 39, "show_line_direct": 39, "color_mapping_gradi": 39, "margin": 39, "rounded_cap": 39, "wrapped_lin": 39, "discontinu": 39, "osprai": 39, "focal": 39, "blur": 39, "ambient_bright": 39, "ambient_light_en": 39, "infin": 39, "apertur": 39, "focu": 39, "dof_en": 39, "mont": 39, "carlo": 39, "direct_light_angular_diamet": 39, "appar": 39, "diamet": 39, "soft": 39, "direct_light_en": 39, "focal_length": 39, "sharp": 39, "material_shini": 39, "specular": 39, "phong": 39, "expon": 39, "material_specular_bright": 39, "max_ray_recurs": 39, "raytrac": 39, "refinement_iter": 39, "stop": 39, "sky_albedo": 39, "ground": 39, "sky": 39, "sun": 39, "sky_light_en": 39, "sky_bright": 39, "outdoor": 39, "sky_turbid": 39, "atmospher": 39, "turbid": 39, "headless": 39, "offscreen": 39, "framebuff": 39, "altogeth": 39, "proper": 39, "ovito_gui_mod": 39, "your_script": 39, "spyder": 39, "unix": 39, "wsl2": 39, "x11": 39, "wayland": 39, "server": 39, "quit": 39, "qpa": 39, "xcb": 39, "plugin": 39, "hpc": 39, "ssh": 39, "xvfb": 39, "antialiasing_level": 39, "supersampl": 39, "vis_el": 39, "modern": 39, "NOT": 39, "frustum": 39, "is_perspect": 39, "proj_tm": 39, "4x4": 39, "project_point": 39, "world_xyz": 39, "project_s": 39, "view_tm": 39, "repaint": 39, "contextu": 39, "cell_vi": 39, "render_cel": 39, "cap_color": 39, "cap_transpar": 39, "opaqu": 39, "clip_at_domain_boundari": 39, "beyond": 39, "surface_color": 39, "reverse_orient": 39, "smooth_shad": 39, "ambient_occlus": 39, "omnidirect": 39, "diffus": 39, "overcast": 39, "dai": 39, "ambient_occlusion_bright": 39, "antialias": 39, "antialiasing_sampl": 39, "depth_of_field": 39, "direct_light": 39, "03": 39, "exponenti": 39, "6g": 39, "html": 39, "css": 39, "markup": 39, "85": 39, "vector_data": 39, "surviv": 39, "reverv": 39, "reposit": 39, "camera_up": 39, "upward": 39, "create_jupyter_widget": 39, "vr_scale": 39, "ipywidget": 39, "400px": 39, "200px": 39, "domwidget": 39, "vice": 39, "versa": 39, "multisampl": 39, "anti": 39, "jag": 39, "webgl": 39, "raster": 39, "hover": 39, "cursor": 39, "vr": 39, "webxr": 39, "browser": 39, "meter": 39, "realiti": 39, "centimet": 39, "tracker": 39, "forum": 39, "qeventloop": 39, "500": 39, "400": 39, "demo": 39, "shutdown": 39, "destroi": 39, "littl": 39, "eventloop": 39, "640": 39, "480": 39, "every_nth": 39, "stop_on_error": 39, "mp4": 39, "mov": 39, "gif": 39, "jpeg": 39, "playback": 39, "crop": 39, "tiff": 39, "superimpos": 39, "backdrop": 39, "omit": 39, "opportun": 39, "drawtext": 39, "bottom": 39, "myoverlai": 39, "laid": 39, "imageoverlai": 39, "outline_width": 39, "superscript": 39, "lai": 39, "ascent": 39, "descent": 39, "text_bound": 39, "field_of_view": 39, "font_scal": 39, "tight": 39, "histogramoverlai": 39, "physical_s": 39, "format_argb32_premultipli": 39, "format_rgba8888": 39, "lie": 39, "projection_tm": 39, "pyton": 39, "painteroverlai": 39, "brush": 39, "qgradient": 39, "orangejuic": 39, "rect": 39, "overridden": 39, "highlight_grid_lin": 39, "interpolate_color": 39, "smoothli": 39, "atomey": 33}, "objects": {"": [[31, 0, 0, "-", "ovito"]], "ovito": [[31, 1, 1, "", "Scene"], [32, 0, 0, "-", "data"], [31, 4, 1, "", "enable_logging"], [33, 0, 0, "-", "io"], [36, 0, 0, "-", "modifiers"], [37, 0, 0, "-", "pipeline"], [31, 6, 1, "", "scene"], [38, 0, 0, "-", "traits"], [31, 6, 1, "", "version"], [31, 6, 1, "", "version_string"], [39, 0, 0, "-", "vis"]], "ovito.Scene": [[31, 2, 1, "", "load"], [31, 3, 1, "", "pipelines"], [31, 2, 1, "", "save"], [31, 3, 1, "", "selected_pipeline"]], "ovito.data": [[32, 1, 1, "", "BondType"], [32, 1, 1, "", "Bonds"], [32, 1, 1, "", "BondsEnumerator"], [32, 1, 1, "", "CutoffNeighborFinder"], [32, 1, 1, "", "DataCollection"], [32, 1, 1, "", "DataObject"], [32, 1, 1, "", "DataTable"], [32, 1, 1, "", "DislocationNetwork"], [32, 1, 1, "", "DislocationSegment"], [32, 1, 1, "", "ElementType"], [32, 1, 1, "", "Lines"], [32, 1, 1, "", "NearestNeighborFinder"], [32, 1, 1, "", "ParticleType"], [32, 1, 1, "", "Particles"], [32, 1, 1, "", "Property"], [32, 1, 1, "", "PropertyContainer"], [32, 1, 1, "", "SimulationCell"], [32, 1, 1, "", "SurfaceMesh"], [32, 1, 1, "", "SurfaceMeshTopology"], [32, 1, 1, "", "TriangleMesh"], [32, 1, 1, "", "VoxelGrid"]], "ovito.data.BondType": [[32, 3, 1, "", "radius"]], "ovito.data.Bonds": [[32, 2, 1, "", "add_bond"], [32, 3, 1, "", "bond_types"], [32, 3, 1, "", "colors"], [32, 3, 1, "", "pbc_vectors"], [32, 3, 1, "", "selection"], [32, 3, 1, "", "topology"]], "ovito.data.BondsEnumerator": [[32, 2, 1, "", "bonds_of_particle"]], "ovito.data.CutoffNeighborFinder": [[32, 2, 1, "", "find"], [32, 2, 1, "", "find_all"], [32, 2, 1, "", "find_at"], [32, 2, 1, "", "neighbor_distances"], [32, 2, 1, "", "neighbor_vectors"]], "ovito.data.DataCollection": [[32, 2, 1, "", "apply"], [32, 3, 1, "", "attributes"], [32, 3, 1, "", "cell"], [32, 2, 1, "", "clone"], [32, 2, 1, "", "create_cell"], [32, 2, 1, "", "create_particles"], [32, 3, 1, "", "dislocations"], [32, 3, 1, "", "grids"], [32, 3, 1, "", "lines"], [32, 3, 1, "", "objects"], [32, 3, 1, "", "particles"], [32, 3, 1, "", "surfaces"], [32, 3, 1, "", "tables"], [32, 3, 1, "", "triangle_meshes"]], "ovito.data.DataObject": [[32, 3, 1, "", "identifier"], [32, 2, 1, "", "make_mutable"], [32, 3, 1, "", "vis"]], "ovito.data.DataTable": [[32, 3, 1, "", "axis_label_x"], [32, 3, 1, "", "interval"], [32, 3, 1, "", "plot_mode"], [32, 3, 1, "", "x"], [32, 2, 1, "", "xy"], [32, 3, 1, "", "y"]], "ovito.data.DislocationNetwork": [[32, 3, 1, "", "segments"], [32, 2, 1, "", "set_segment"]], "ovito.data.DislocationSegment": [[32, 3, 1, "", "cluster_id"], [32, 3, 1, "", "custom_color"], [32, 3, 1, "", "id"], [32, 3, 1, "", "is_infinite_line"], [32, 3, 1, "", "is_loop"], [32, 3, 1, "", "length"], [32, 2, 1, "", "point_along_line"], [32, 3, 1, "", "points"], [32, 3, 1, "", "spatial_burgers_vector"], [32, 3, 1, "", "true_burgers_vector"]], "ovito.data.ElementType": [[32, 3, 1, "", "color"], [32, 3, 1, "", "enabled"], [32, 3, 1, "", "id"], [32, 3, 1, "", "name"]], "ovito.data.Lines": [[32, 2, 1, "", "create_line"], [32, 3, 1, "", "positions"], [32, 3, 1, "", "sections"], [32, 3, 1, "", "time_stamps"]], "ovito.data.NearestNeighborFinder": [[32, 2, 1, "", "find"], [32, 2, 1, "", "find_all"], [32, 2, 1, "", "find_at"]], "ovito.data.ParticleType": [[32, 3, 1, "", "backface_culling"], [32, 3, 1, "", "highlight_edges"], [32, 2, 1, "", "load_defaults"], [32, 2, 1, "", "load_shape"], [32, 3, 1, "", "mass"], [32, 3, 1, "", "mesh"], [32, 3, 1, "", "radius"], [32, 3, 1, "", "shape"], [32, 3, 1, "", "use_mesh_color"], [32, 3, 1, "", "vdw_radius"]], "ovito.data.Particles": [[32, 2, 1, "", "add_particle"], [32, 3, 1, "", "angles"], [32, 3, 1, "", "bonds"], [32, 3, 1, "", "colors"], [32, 2, 1, "", "create_bonds"], [32, 2, 1, "", "delta_vector"], [32, 3, 1, "", "dihedrals"], [32, 3, 1, "", "forces"], [32, 3, 1, "", "identifiers"], [32, 3, 1, "", "impropers"], [32, 3, 1, "", "masses"], [32, 3, 1, "", "orientations"], [32, 3, 1, "", "particle_types"], [32, 3, 1, "", "positions"], [32, 2, 1, "", "remap_indices"], [32, 3, 1, "", "selection"], [32, 3, 1, "", "structure_types"], [32, 3, 1, "", "velocities"]], "ovito.data.Property": [[32, 2, 1, "", "add_type_id"], [32, 2, 1, "", "add_type_name"], [32, 3, 1, "", "component_count"], [32, 3, 1, "", "component_names"], [32, 3, 1, "", "name"], [32, 2, 1, "", "type_by_id"], [32, 2, 1, "", "type_by_name"], [32, 3, 1, "", "types"]], "ovito.data.PropertyContainer": [[32, 3, 1, "", "count"], [32, 2, 1, "", "create_property"], [32, 2, 1, "", "delete_elements"], [32, 2, 1, "", "delete_indices"], [32, 3, 1, "", "title"]], "ovito.data.SimulationCell": [[32, 2, 1, "", "delta_vector"], [32, 3, 1, "", "inverse"], [32, 3, 1, "", "is2D"], [32, 3, 1, "", "pbc"], [32, 3, 1, "", "volume"], [32, 3, 1, "", "volume2D"]], "ovito.data.SurfaceMesh": [[32, 2, 1, "", "connect_opposite_halfedges"], [32, 2, 1, "", "create_face"], [32, 2, 1, "", "create_faces"], [32, 2, 1, "", "create_vertices"], [32, 3, 1, "", "domain"], [32, 3, 1, "", "faces"], [32, 2, 1, "", "get_clipping_planes"], [32, 2, 1, "", "get_face_vertices"], [32, 2, 1, "", "locate_point"], [32, 3, 1, "", "regions"], [32, 2, 1, "", "set_clipping_planes"], [32, 3, 1, "", "space_filling_region"], [32, 2, 1, "", "to_triangle_mesh"], [32, 3, 1, "", "topology"], [32, 3, 1, "", "vertices"]], "ovito.data.SurfaceMeshTopology": [[32, 2, 1, "", "adjacent_face"], [32, 2, 1, "", "count_face_edges"], [32, 2, 1, "", "count_manifolds"], [32, 2, 1, "", "count_vertex_edges"], [32, 3, 1, "", "edge_count"], [32, 3, 1, "", "face_count"], [32, 2, 1, "", "find_edge"], [32, 2, 1, "", "first_edge_vertex"], [32, 2, 1, "", "first_face_edge"], [32, 2, 1, "", "first_face_vertex"], [32, 2, 1, "", "first_vertex_edge"], [32, 2, 1, "", "has_opposite_edge"], [32, 2, 1, "", "has_opposite_face"], [32, 3, 1, "", "is_closed"], [32, 2, 1, "", "next_face_edge"], [32, 2, 1, "", "next_manifold_edge"], [32, 2, 1, "", "next_vertex_edge"], [32, 2, 1, "", "opposite_edge"], [32, 2, 1, "", "opposite_face"], [32, 2, 1, "", "prev_face_edge"], [32, 2, 1, "", "second_edge_vertex"], [32, 3, 1, "", "vertex_count"]], "ovito.data.TriangleMesh": [[32, 3, 1, "", "face_count"], [32, 2, 1, "", "get_faces"], [32, 2, 1, "", "get_vertices"], [32, 2, 1, "", "set_faces"], [32, 2, 1, "", "set_vertices"], [32, 3, 1, "", "vertex_count"]], "ovito.data.VoxelGrid": [[32, 3, 1, "", "domain"], [32, 3, 1, "", "grid_type"], [32, 3, 1, "", "shape"], [32, 2, 1, "", "view"]], "ovito.io": [[33, 1, 1, "", "FileReaderInterface"], [34, 0, 0, "-", "ase"], [33, 4, 1, "", "export_file"], [33, 4, 1, "", "import_file"], [35, 0, 0, "-", "lammps"]], "ovito.io.FileReaderInterface": [[33, 2, 1, "", "detect"], [33, 2, 1, "", "parse"], [33, 2, 1, "", "scan"]], "ovito.io.ase": [[34, 4, 1, "", "ase_to_ovito"], [34, 4, 1, "", "ovito_to_ase"]], "ovito.io.lammps": [[35, 4, 1, "", "lammps_to_ovito"]], "ovito.modifiers": [[36, 1, 1, "", "AcklandJonesModifier"], [36, 1, 1, "", "AffineTransformationModifier"], [36, 1, 1, "", "AmbientOcclusionModifier"], [36, 1, 1, "", "AssignColorModifier"], [36, 1, 1, "", "AtomicStrainModifier"], [36, 1, 1, "", "BondAnalysisModifier"], [36, 1, 1, "", "CalculateDisplacementsModifier"], [36, 1, 1, "", "CentroSymmetryModifier"], [36, 1, 1, "", "ChillPlusModifier"], [36, 1, 1, "", "ClearSelectionModifier"], [36, 1, 1, "", "ClusterAnalysisModifier"], [36, 1, 1, "", "ColorByTypeModifier"], [36, 1, 1, "", "ColorCodingModifier"], [36, 1, 1, "", "CombineDatasetsModifier"], [36, 1, 1, "", "CommonNeighborAnalysisModifier"], [36, 1, 1, "", "ComputePropertyModifier"], [36, 1, 1, "", "ConstructSurfaceModifier"], [36, 1, 1, "", "CoordinationAnalysisModifier"], [36, 1, 1, "", "CoordinationPolyhedraModifier"], [36, 1, 1, "", "CreateBondsModifier"], [36, 1, 1, "", "CreateIsosurfaceModifier"], [36, 1, 1, "", "DeleteSelectedModifier"], [36, 1, 1, "", "DislocationAnalysisModifier"], [36, 1, 1, "", "ElasticStrainModifier"], [36, 1, 1, "", "ExpandSelectionModifier"], [36, 1, 1, "", "ExpressionSelectionModifier"], [36, 1, 1, "", "FreezePropertyModifier"], [36, 1, 1, "", "GenerateTrajectoryLinesModifier"], [36, 1, 1, "", "GrainSegmentationModifier"], [36, 1, 1, "", "HistogramModifier"], [36, 1, 1, "", "IdentifyDiamondModifier"], [36, 1, 1, "", "IdentifyFCCPlanarFaultsModifier"], [36, 1, 1, "", "InvertSelectionModifier"], [36, 1, 1, "", "LoadTrajectoryModifier"], [36, 1, 1, "", "PolyhedralTemplateMatchingModifier"], [36, 1, 1, "", "PythonModifier"], [36, 1, 1, "", "RenderLAMMPSRegionsModifier"], [36, 1, 1, "", "ReplicateModifier"], [36, 1, 1, "", "SelectTypeModifier"], [36, 1, 1, "", "SliceModifier"], [36, 1, 1, "", "SmoothTrajectoryModifier"], [36, 1, 1, "", "SpatialBinningModifier"], [36, 1, 1, "", "SpatialCorrelationFunctionModifier"], [36, 1, 1, "", "StructureIdentificationModifier"], [36, 1, 1, "", "TimeAveragingModifier"], [36, 1, 1, "", "TimeSeriesModifier"], [36, 1, 1, "", "UnwrapTrajectoriesModifier"], [36, 1, 1, "", "VoroTopModifier"], [36, 1, 1, "", "VoronoiAnalysisModifier"], [36, 1, 1, "", "WignerSeitzAnalysisModifier"], [36, 1, 1, "", "WrapPeriodicImagesModifier"]], "ovito.modifiers.AffineTransformationModifier": [[36, 3, 1, "", "only_selected"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "reduced_coords"], [36, 3, 1, "", "relative_mode"], [36, 3, 1, "", "target_cell"], [36, 3, 1, "", "transformation"]], "ovito.modifiers.AmbientOcclusionModifier": [[36, 3, 1, "", "buffer_resolution"], [36, 3, 1, "", "intensity"], [36, 3, 1, "", "sample_count"]], "ovito.modifiers.AssignColorModifier": [[36, 3, 1, "", "color"], [36, 3, 1, "", "operate_on"]], "ovito.modifiers.AtomicStrainModifier": [[36, 3, 1, "", "cutoff"], [36, 3, 1, "", "output_deformation_gradients"], [36, 3, 1, "", "output_nonaffine_squared_displacements"], [36, 3, 1, "", "output_rotations"], [36, 3, 1, "", "output_strain_tensors"], [36, 3, 1, "", "output_stretch_tensors"], [36, 3, 1, "", "select_invalid_particles"]], "ovito.modifiers.BondAnalysisModifier": [[36, 3, 1, "", "bins"], [36, 3, 1, "", "cosine_mode"], [36, 3, 1, "", "length_cutoff"], [36, 3, 1, "", "partition"]], "ovito.modifiers.CalculateDisplacementsModifier": [[36, 3, 1, "", "vis"]], "ovito.modifiers.CentroSymmetryModifier": [[36, 3, 1, "", "mode"], [36, 3, 1, "", "num_neighbors"], [36, 3, 1, "", "only_selected"]], "ovito.modifiers.ChillPlusModifier": [[36, 3, 1, "", "cutoff"]], "ovito.modifiers.ClearSelectionModifier": [[36, 3, 1, "", "operate_on"]], "ovito.modifiers.ClusterAnalysisModifier": [[36, 3, 1, "", "cluster_coloring"], [36, 3, 1, "", "compute_com"], [36, 3, 1, "", "compute_gyration"], [36, 3, 1, "", "cutoff"], [36, 3, 1, "", "neighbor_mode"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "sort_by_size"], [36, 3, 1, "", "unwrap_particles"]], "ovito.modifiers.ColorByTypeModifier": [[36, 3, 1, "", "clear_selection"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "property"]], "ovito.modifiers.ColorCodingModifier": [[36, 3, 1, "", "auto_adjust_range"], [36, 3, 1, "", "end_value"], [36, 3, 1, "", "gradient"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "property"], [36, 3, 1, "", "start_value"]], "ovito.modifiers.CombineDatasetsModifier": [[36, 3, 1, "", "source"]], "ovito.modifiers.CommonNeighborAnalysisModifier": [[36, 3, 1, "", "cutoff"], [36, 3, 1, "", "mode"]], "ovito.modifiers.ComputePropertyModifier": [[36, 3, 1, "", "cutoff_radius"], [36, 3, 1, "", "expressions"], [36, 3, 1, "", "neighbor_expressions"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "output_property"]], "ovito.modifiers.ConstructSurfaceModifier": [[36, 3, 1, "", "compute_distances"], [36, 3, 1, "", "grid_resolution"], [36, 3, 1, "", "identify_regions"], [36, 3, 1, "", "isolevel"], [36, 3, 1, "", "map_particles_to_regions"], [36, 3, 1, "", "method"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "radius"], [36, 3, 1, "", "radius_scaling"], [36, 3, 1, "", "select_surface_particles"], [36, 3, 1, "", "smoothing_level"], [36, 3, 1, "", "transfer_properties"], [36, 3, 1, "", "vis"]], "ovito.modifiers.CoordinationAnalysisModifier": [[36, 3, 1, "", "cutoff"], [36, 3, 1, "", "number_of_bins"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "partial"]], "ovito.modifiers.CoordinationPolyhedraModifier": [[36, 3, 1, "", "vis"]], "ovito.modifiers.CreateBondsModifier": [[36, 3, 1, "", "bond_type"], [36, 3, 1, "", "cutoff"], [36, 2, 1, "", "get_pairwise_cutoff"], [36, 3, 1, "", "intra_molecule_only"], [36, 3, 1, "", "lower_cutoff"], [36, 3, 1, "", "mode"], [36, 3, 1, "", "prevent_hh_bonds"], [36, 2, 1, "", "set_pairwise_cutoff"], [36, 3, 1, "", "vis"]], "ovito.modifiers.CreateIsosurfaceModifier": [[36, 3, 1, "", "isolevel"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "property"], [36, 3, 1, "", "transfer_values"], [36, 3, 1, "", "vis"]], "ovito.modifiers.DeleteSelectedModifier": [[36, 3, 1, "", "operate_on"]], "ovito.modifiers.DislocationAnalysisModifier": [[36, 3, 1, "", "circuit_stretchability"], [36, 3, 1, "", "color_by_type"], [36, 3, 1, "", "defect_mesh_smoothing_level"], [36, 3, 1, "", "defect_vis"], [36, 3, 1, "", "disloc_vis"], [36, 3, 1, "", "input_crystal_structure"], [36, 3, 1, "", "line_coarsening_enabled"], [36, 3, 1, "", "line_point_separation"], [36, 3, 1, "", "line_smoothing_enabled"], [36, 3, 1, "", "line_smoothing_level"], [36, 3, 1, "", "only_perfect_dislocations"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "trial_circuit_length"]], "ovito.modifiers.ElasticStrainModifier": [[36, 3, 1, "", "axial_ratio"], [36, 3, 1, "", "calculate_deformation_gradients"], [36, 3, 1, "", "calculate_strain_tensors"], [36, 3, 1, "", "input_crystal_structure"], [36, 3, 1, "", "lattice_constant"], [36, 3, 1, "", "push_strain_tensors_forward"]], "ovito.modifiers.ExpandSelectionModifier": [[36, 3, 1, "", "cutoff"], [36, 3, 1, "", "iterations"], [36, 3, 1, "", "mode"], [36, 3, 1, "", "num_neighbors"]], "ovito.modifiers.ExpressionSelectionModifier": [[36, 3, 1, "", "expression"], [36, 3, 1, "", "operate_on"]], "ovito.modifiers.FreezePropertyModifier": [[36, 3, 1, "", "destination_property"], [36, 3, 1, "", "freeze_at"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "source_property"]], "ovito.modifiers.GenerateTrajectoryLinesModifier": [[36, 3, 1, "", "frame_interval"], [36, 2, 1, "", "generate"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "sample_particle_property"], [36, 3, 1, "", "sampling_frequency"], [36, 3, 1, "", "unwrap_trajectories"], [36, 3, 1, "", "vis"]], "ovito.modifiers.GrainSegmentationModifier": [[36, 3, 1, "", "algorithm"], [36, 3, 1, "", "color_particles"], [36, 3, 1, "", "handle_stacking_faults"], [36, 3, 1, "", "merging_threshold"], [36, 3, 1, "", "min_grain_size"], [36, 3, 1, "", "orphan_adoption"]], "ovito.modifiers.HistogramModifier": [[36, 3, 1, "", "bin_count"], [36, 3, 1, "", "fix_xrange"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "property"], [36, 3, 1, "", "xrange_end"], [36, 3, 1, "", "xrange_start"]], "ovito.modifiers.IdentifyFCCPlanarFaultsModifier": [[36, 1, 1, "", "Types"], [36, 5, 1, "", "color_isf"], [36, 5, 1, "", "color_multi"], [36, 5, 1, "", "color_other"], [36, 5, 1, "", "color_twin"]], "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types": [[36, 5, 1, "", "ISF"], [36, 5, 1, "", "MULTI"], [36, 5, 1, "", "NONHCP"], [36, 5, 1, "", "OTHER"], [36, 5, 1, "", "TWIN"]], "ovito.modifiers.InvertSelectionModifier": [[36, 3, 1, "", "operate_on"]], "ovito.modifiers.LoadTrajectoryModifier": [[36, 3, 1, "", "source"]], "ovito.modifiers.PolyhedralTemplateMatchingModifier": [[36, 2, 1, "", "calculate_misorientation"], [36, 3, 1, "", "output_deformation_gradient"], [36, 3, 1, "", "output_interatomic_distance"], [36, 3, 1, "", "output_ordering"], [36, 3, 1, "", "output_orientation"], [36, 3, 1, "", "output_rmsd"], [36, 3, 1, "", "rmsd_cutoff"]], "ovito.modifiers.PythonModifier": [[36, 3, 1, "", "delegate"], [36, 3, 1, "", "function"], [36, 3, 1, "", "working_dir"]], "ovito.modifiers.RenderLAMMPSRegionsModifier": [[36, 5, 1, "", "color_by_type"], [36, 5, 1, "", "commands"], [36, 5, 1, "", "select_atoms"], [36, 5, 1, "", "vis"]], "ovito.modifiers.ReplicateModifier": [[36, 3, 1, "", "adjust_box"], [36, 3, 1, "", "num_x"], [36, 3, 1, "", "num_y"], [36, 3, 1, "", "num_z"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "unique_ids"]], "ovito.modifiers.SelectTypeModifier": [[36, 3, 1, "", "operate_on"], [36, 3, 1, "", "property"], [36, 3, 1, "", "types"]], "ovito.modifiers.SliceModifier": [[36, 3, 1, "", "distance"], [36, 3, 1, "", "gridslice_vis"], [36, 3, 1, "", "inverse"], [36, 3, 1, "", "miller"], [36, 3, 1, "", "normal"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "plane_vis"], [36, 3, 1, "", "render_plane"], [36, 3, 1, "", "select"], [36, 3, 1, "", "slab_width"]], "ovito.modifiers.SmoothTrajectoryModifier": [[36, 3, 1, "", "minimum_image_convention"], [36, 3, 1, "", "window_size"]], "ovito.modifiers.SpatialBinningModifier": [[36, 3, 1, "", "bin_count"], [36, 3, 1, "", "direction"], [36, 3, 1, "", "first_derivative"], [36, 3, 1, "", "grid_vis"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "property"], [36, 3, 1, "", "reduction_operation"]], "ovito.modifiers.SpatialCorrelationFunctionModifier": [[36, 3, 1, "", "apply_window"], [36, 3, 1, "", "direct_summation"], [36, 3, 1, "", "grid_spacing"], [36, 3, 1, "", "neighbor_bins"], [36, 3, 1, "", "neighbor_cutoff"], [36, 3, 1, "", "property1"], [36, 3, 1, "", "property2"]], "ovito.modifiers.StructureIdentificationModifier": [[36, 3, 1, "", "color_by_type"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "structures"]], "ovito.modifiers.TimeAveragingModifier": [[36, 3, 1, "", "interval"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "sampling_frequency"]], "ovito.modifiers.TimeSeriesModifier": [[36, 3, 1, "", "interval"], [36, 3, 1, "", "operate_on"], [36, 3, 1, "", "sampling_frequency"], [36, 3, 1, "", "time_attribute"]], "ovito.modifiers.VoroTopModifier": [[36, 3, 1, "", "filter_file"], [36, 3, 1, "", "use_radii"]], "ovito.modifiers.VoronoiAnalysisModifier": [[36, 3, 1, "", "bonds_vis"], [36, 3, 1, "", "compute_indices"], [36, 3, 1, "", "edge_threshold"], [36, 3, 1, "", "face_threshold"], [36, 3, 1, "", "generate_bonds"], [36, 3, 1, "", "generate_polyhedra"], [36, 3, 1, "", "mesh_vis"], [36, 3, 1, "", "only_selected"], [36, 3, 1, "", "relative_face_threshold"], [36, 3, 1, "", "use_radii"]], "ovito.modifiers.WignerSeitzAnalysisModifier": [[36, 3, 1, "", "output_displaced"], [36, 3, 1, "", "per_type_occupancies"]], "ovito.pipeline": [[37, 1, 1, "", "FileSource"], [37, 1, 1, "", "ModificationNode"], [37, 1, 1, "", "Modifier"], [37, 1, 1, "", "ModifierInterface"], [37, 1, 1, "", "Pipeline"], [37, 1, 1, "", "PipelineNode"], [37, 1, 1, "", "PipelineSourceInterface"], [37, 1, 1, "", "PythonSource"], [37, 1, 1, "", "ReferenceConfigurationModifier"], [37, 1, 1, "", "StaticSource"]], "ovito.pipeline.FileSource": [[37, 3, 1, "", "data"], [37, 2, 1, "", "load"], [37, 3, 1, "", "source_path"]], "ovito.pipeline.ModificationNode": [[37, 3, 1, "", "input"], [37, 3, 1, "", "modifier"]], "ovito.pipeline.Modifier": [[37, 3, 1, "", "enabled"], [37, 2, 1, "", "get_modification_nodes"], [37, 3, 1, "", "title"]], "ovito.pipeline.ModifierInterface": [[37, 1, 1, "", "InputSlot"], [37, 2, 1, "", "compute_trajectory_length"], [37, 2, 1, "", "input_caching_hints"], [37, 2, 1, "", "modify"], [37, 2, 1, "", "notify_trajectory_length_changed"]], "ovito.pipeline.ModifierInterface.InputSlot": [[37, 2, 1, "", "compute"], [37, 3, 1, "", "input_node"], [37, 3, 1, "", "num_frames"]], "ovito.pipeline.Pipeline": [[37, 2, 1, "", "add_to_scene"], [37, 2, 1, "", "compute"], [37, 3, 1, "", "head"], [37, 3, 1, "", "modifiers"], [37, 3, 1, "", "preliminary_updates"], [37, 2, 1, "", "remove_from_scene"], [37, 3, 1, "", "source"]], "ovito.pipeline.PipelineNode": [[37, 2, 1, "", "compute"], [37, 3, 1, "", "num_frames"]], "ovito.pipeline.PipelineSourceInterface": [[37, 2, 1, "", "compute_trajectory_length"], [37, 2, 1, "", "create"], [37, 2, 1, "", "notify_trajectory_length_changed"]], "ovito.pipeline.PythonSource": [[37, 3, 1, "", "delegate"], [37, 3, 1, "", "function"], [37, 3, 1, "", "working_dir"]], "ovito.pipeline.ReferenceConfigurationModifier": [[37, 3, 1, "", "affine_mapping"], [37, 3, 1, "", "frame_offset"], [37, 3, 1, "", "minimum_image_convention"], [37, 3, 1, "", "reference"], [37, 3, 1, "", "reference_frame"], [37, 3, 1, "", "use_frame_offset"]], "ovito.pipeline.StaticSource": [[37, 3, 1, "", "data"]], "ovito.traits": [[38, 1, 1, "", "Color"], [38, 1, 1, "", "FilePath"], [38, 1, 1, "", "OvitoObject"], [38, 1, 1, "", "Vector2"], [38, 1, 1, "", "Vector3"]], "ovito.vis": [[39, 1, 1, "", "AnariRenderer"], [39, 1, 1, "", "BondsVis"], [39, 1, 1, "", "ColorLegendOverlay"], [39, 1, 1, "", "CoordinateTripodOverlay"], [39, 1, 1, "", "DataVis"], [39, 1, 1, "", "DislocationVis"], [39, 1, 1, "", "LinesVis"], [39, 1, 1, "", "OSPRayRenderer"], [39, 1, 1, "", "OpenGLRenderer"], [39, 1, 1, "", "ParticlesVis"], [39, 1, 1, "", "PythonViewportOverlay"], [39, 1, 1, "", "SimulationCellVis"], [39, 1, 1, "", "SurfaceMeshVis"], [39, 1, 1, "", "TachyonRenderer"], [39, 1, 1, "", "TextLabelOverlay"], [39, 1, 1, "", "TriangleMeshVis"], [39, 1, 1, "", "VectorVis"], [39, 1, 1, "", "Viewport"], [39, 1, 1, "", "ViewportOverlay"], [39, 1, 1, "", "ViewportOverlayInterface"], [39, 1, 1, "", "VoxelGridVis"]], "ovito.vis.AnariRenderer": [[39, 3, 1, "", "ambient_light_radiance"], [39, 3, 1, "", "ambient_occlusion_samples"], [39, 3, 1, "", "denoising_enabled"], [39, 3, 1, "", "direct_light_irradiance"], [39, 3, 1, "", "direct_light_latitude"], [39, 3, 1, "", "direct_light_longitude"], [39, 3, 1, "", "samples_per_pixel"]], "ovito.vis.BondsVis": [[39, 3, 1, "", "color"], [39, 3, 1, "", "coloring_mode"], [39, 3, 1, "", "flat_shading"], [39, 3, 1, "", "width"]], "ovito.vis.ColorLegendOverlay": [[39, 3, 1, "", "alignment"], [39, 3, 1, "", "aspect_ratio"], [39, 3, 1, "", "background_color"], [39, 3, 1, "", "background_enabled"], [39, 3, 1, "", "border_color"], [39, 3, 1, "", "border_enabled"], [39, 3, 1, "", "color_mapping_source"], [39, 3, 1, "", "font"], [39, 3, 1, "", "font_size"], [39, 3, 1, "", "format_string"], [39, 3, 1, "", "label1"], [39, 3, 1, "", "label2"], [39, 3, 1, "", "label_size"], [39, 3, 1, "", "legend_size"], [39, 3, 1, "", "modifier"], [39, 3, 1, "", "offset_x"], [39, 3, 1, "", "offset_y"], [39, 3, 1, "", "orientation"], [39, 3, 1, "", "outline_color"], [39, 3, 1, "", "outline_enabled"], [39, 3, 1, "", "property"], [39, 3, 1, "", "rotate_title"], [39, 3, 1, "", "text_color"], [39, 3, 1, "", "ticks_enabled"], [39, 3, 1, "", "ticks_spacing"], [39, 3, 1, "", "title"]], "ovito.vis.CoordinateTripodOverlay": [[39, 3, 1, "", "alignment"], [39, 3, 1, "", "axis1_color"], [39, 3, 1, "", "axis1_dir"], [39, 3, 1, "", "axis1_enabled"], [39, 3, 1, "", "axis1_label"], [39, 3, 1, "", "axis2_color"], [39, 3, 1, "", "axis2_dir"], [39, 3, 1, "", "axis2_enabled"], [39, 3, 1, "", "axis2_label"], [39, 3, 1, "", "axis3_color"], [39, 3, 1, "", "axis3_dir"], [39, 3, 1, "", "axis3_enabled"], [39, 3, 1, "", "axis3_label"], [39, 3, 1, "", "axis4_color"], [39, 3, 1, "", "axis4_dir"], [39, 3, 1, "", "axis4_enabled"], [39, 3, 1, "", "axis4_label"], [39, 3, 1, "", "font"], [39, 3, 1, "", "font_size"], [39, 3, 1, "", "line_width"], [39, 3, 1, "", "offset_x"], [39, 3, 1, "", "offset_y"], [39, 3, 1, "", "outline_color"], [39, 3, 1, "", "outline_enabled"], [39, 3, 1, "", "perspective_distortion"], [39, 3, 1, "", "size"], [39, 3, 1, "", "style"]], "ovito.vis.DataVis": [[39, 3, 1, "", "enabled"], [39, 3, 1, "", "title"]], "ovito.vis.DislocationVis": [[39, 3, 1, "", "burgers_vector_color"], [39, 3, 1, "", "burgers_vector_scaling"], [39, 3, 1, "", "burgers_vector_width"], [39, 3, 1, "", "coloring_mode"], [39, 3, 1, "", "line_width"], [39, 3, 1, "", "shading"], [39, 3, 1, "", "show_burgers_vectors"], [39, 3, 1, "", "show_line_directions"]], "ovito.vis.LinesVis": [[39, 3, 1, "", "color"], [39, 3, 1, "", "color_mapping_gradient"], [39, 3, 1, "", "color_mapping_interval"], [39, 3, 1, "", "color_mapping_property"], [39, 3, 1, "", "rounded_caps"], [39, 3, 1, "", "shading"], [39, 3, 1, "", "upto_current_time"], [39, 3, 1, "", "width"], [39, 3, 1, "", "wrapped_lines"]], "ovito.vis.OSPRayRenderer": [[39, 3, 1, "", "ambient_brightness"], [39, 3, 1, "", "ambient_light_enabled"], [39, 3, 1, "", "aperture"], [39, 3, 1, "", "denoising_enabled"], [39, 3, 1, "", "direct_light_angular_diameter"], [39, 3, 1, "", "direct_light_enabled"], [39, 3, 1, "", "direct_light_intensity"], [39, 3, 1, "", "dof_enabled"], [39, 3, 1, "", "focal_length"], [39, 3, 1, "", "material_shininess"], [39, 3, 1, "", "material_specular_brightness"], [39, 3, 1, "", "max_ray_recursion"], [39, 3, 1, "", "refinement_iterations"], [39, 3, 1, "", "samples_per_pixel"], [39, 3, 1, "", "sky_albedo"], [39, 3, 1, "", "sky_brightness"], [39, 3, 1, "", "sky_light_enabled"], [39, 3, 1, "", "sky_turbidity"]], "ovito.vis.OpenGLRenderer": [[39, 3, 1, "", "antialiasing_level"]], "ovito.vis.ParticlesVis": [[39, 3, 1, "", "radius"], [39, 3, 1, "", "scaling"], [39, 3, 1, "", "shape"]], "ovito.vis.PythonViewportOverlay": [[39, 1, 1, "", "Arguments"], [39, 3, 1, "", "delegate"], [39, 3, 1, "", "function"], [39, 3, 1, "", "pipeline"]], "ovito.vis.PythonViewportOverlay.Arguments": [[39, 3, 1, "", "fov"], [39, 3, 1, "", "frame"], [39, 3, 1, "", "is_perspective"], [39, 3, 1, "", "painter"], [39, 3, 1, "", "proj_tm"], [39, 2, 1, "", "project_point"], [39, 2, 1, "", "project_size"], [39, 3, 1, "", "scene"], [39, 3, 1, "", "size"], [39, 3, 1, "", "view_tm"], [39, 3, 1, "", "viewport"]], "ovito.vis.SimulationCellVis": [[39, 3, 1, "", "line_width"], [39, 3, 1, "", "render_cell"], [39, 3, 1, "", "rendering_color"]], "ovito.vis.SurfaceMeshVis": [[39, 3, 1, "", "cap_color"], [39, 3, 1, "", "cap_transparency"], [39, 3, 1, "", "clip_at_domain_boundaries"], [39, 3, 1, "", "color_mapping_gradient"], [39, 3, 1, "", "color_mapping_interval"], [39, 3, 1, "", "color_mapping_mode"], [39, 3, 1, "", "color_mapping_property"], [39, 3, 1, "", "highlight_edges"], [39, 3, 1, "", "reverse_orientation"], [39, 3, 1, "", "show_cap"], [39, 3, 1, "", "smooth_shading"], [39, 3, 1, "", "surface_color"], [39, 3, 1, "", "surface_transparency"]], "ovito.vis.TachyonRenderer": [[39, 3, 1, "", "ambient_occlusion"], [39, 3, 1, "", "ambient_occlusion_brightness"], [39, 3, 1, "", "ambient_occlusion_samples"], [39, 3, 1, "", "antialiasing"], [39, 3, 1, "", "antialiasing_samples"], [39, 3, 1, "", "aperture"], [39, 3, 1, "", "depth_of_field"], [39, 3, 1, "", "direct_light"], [39, 3, 1, "", "direct_light_intensity"], [39, 3, 1, "", "focal_length"], [39, 3, 1, "", "shadows"]], "ovito.vis.TextLabelOverlay": [[39, 3, 1, "", "alignment"], [39, 3, 1, "", "font"], [39, 3, 1, "", "font_size"], [39, 3, 1, "", "format_string"], [39, 3, 1, "", "offset_x"], [39, 3, 1, "", "offset_y"], [39, 3, 1, "", "outline_color"], [39, 3, 1, "", "outline_enabled"], [39, 3, 1, "", "pipeline"], [39, 3, 1, "", "text"], [39, 3, 1, "", "text_color"]], "ovito.vis.TriangleMeshVis": [[39, 3, 1, "", "backface_culling"], [39, 3, 1, "", "color"], [39, 3, 1, "", "highlight_edges"], [39, 3, 1, "", "transparency"]], "ovito.vis.VectorVis": [[39, 3, 1, "", "alignment"], [39, 3, 1, "", "color"], [39, 3, 1, "", "color_mapping_gradient"], [39, 3, 1, "", "color_mapping_interval"], [39, 3, 1, "", "color_mapping_property"], [39, 3, 1, "", "flat_shading"], [39, 3, 1, "", "offset"], [39, 3, 1, "", "reverse"], [39, 3, 1, "", "scaling"], [39, 3, 1, "", "transparency"], [39, 3, 1, "", "width"]], "ovito.vis.Viewport": [[39, 3, 1, "", "camera_dir"], [39, 3, 1, "", "camera_pos"], [39, 3, 1, "", "camera_up"], [39, 2, 1, "", "create_jupyter_widget"], [39, 2, 1, "", "create_qt_widget"], [39, 3, 1, "", "fov"], [39, 3, 1, "", "overlays"], [39, 2, 1, "", "render_anim"], [39, 2, 1, "", "render_image"], [39, 3, 1, "", "type"], [39, 3, 1, "", "underlays"], [39, 2, 1, "", "zoom_all"]], "ovito.vis.ViewportOverlay": [[39, 3, 1, "", "enabled"]], "ovito.vis.ViewportOverlayInterface": [[39, 1, 1, "", "Canvas"], [39, 2, 1, "", "render"]], "ovito.vis.ViewportOverlayInterface.Canvas": [[39, 2, 1, "", "draw_image"], [39, 2, 1, "", "draw_text"], [39, 3, 1, "", "field_of_view"], [39, 3, 1, "", "is_perspective"], [39, 3, 1, "", "logical_size"], [39, 2, 1, "", "mpl_figure"], [39, 3, 1, "", "physical_size"], [39, 3, 1, "", "preferred_qimage_format"], [39, 2, 1, "", "project_length"], [39, 2, 1, "", "project_location"], [39, 3, 1, "", "projection_tm"], [39, 2, 1, "", "qt_painter"], [39, 2, 1, "", "text_bounds"], [39, 3, 1, "", "view_tm"]], "ovito.vis.VoxelGridVis": [[39, 3, 1, "", "color_mapping_gradient"], [39, 3, 1, "", "color_mapping_interval"], [39, 3, 1, "", "color_mapping_property"], [39, 3, 1, "", "highlight_grid_lines"], [39, 3, 1, "", "interpolate_colors"], [39, 3, 1, "", "transparency"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:property", "4": "py:function", "5": "py:attribute", "6": "py:data"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "property", "Python property"], "4": ["py", "function", "Python function"], "5": ["py", "attribute", "Python attribute"], "6": ["py", "data", "Python data"]}, "titleterms": {"ovito": [0, 1, 13, 26, 28, 31, 32, 33, 34, 35, 36, 37, 38, 39], "python": [0, 13, 26], "refer": [0, 14], "topic": [0, 1], "modul": [0, 26], "advanc": [1, 3], "save": 1, "load": [1, 12], "pipelin": [1, 3, 28, 29, 37], "control": 1, "how": [1, 3], "mani": 1, "processor": 1, "core": [1, 26], "us": [1, 26], "packag": 1, "instal": [1, 3, 26], "user": [1, 2, 3, 4, 7], "extens": 1, "defin": [2, 3, 4, 7], "file": [2, 7, 12, 25], "reader": [2, 7, 12], "The": [2, 3, 12], "detect": [2, 12], "method": [2, 3, 12], "scan": [2, 12], "pars": [2, 12], "test": 2, "your": [2, 3], "paramet": [2, 3, 18], "modifi": [3, 5, 7, 28, 36], "simpl": 3, "program": 3, "interfac": 3, "insert": 3, "custom": [3, 12, 18], "function": [3, 7], "well": 3, "behav": 3, "output": 3, "comput": [3, 8, 11, 16, 28], "result": [3, 28], "One": 3, "time": 3, "initi": 3, "perform": [3, 12, 13], "long": 3, "run": 3, "trajectori": [3, 10, 16, 29], "process": [3, 29], "input": [3, 28], "data": [3, 5, 6, 13, 22, 25, 28, 29, 32], "cach": 3, "addit": 3, "slot": 3, "static": 3, "share": 3, "other": 3, "viewport": [4, 7, 30], "layer": [4, 7], "code": [4, 7], "exampl": [4, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 32], "manipul": 5, "ownership": 5, "announc": 5, "object": [5, 6], "modif": 5, "assign": 5, "new": 5, "particl": [5, 6, 9, 12, 19, 23], "properti": [5, 6, 12], "bond": [5, 8, 9], "valu": 5, "ad": 5, "global": [5, 6, 16], "attribut": [5, 6, 16], "simul": [5, 12, 20, 29], "cell": [5, 12], "In": 5, "place": 5, "applic": 5, "model": 6, "tabl": 6, "surfac": 6, "mesh": 6, "standalon": [7, 10], "autom": 7, "script": 7, "b2": 8, "cna": 8, "indic": [8, 11], "b3": 9, "creat": 9, "programmat": 9, "b4": 10, "viewer": 10, "b1": 11, "voronoi": 11, "fr1": [12, 13], "A": 12, "note": 12, "fr2": 13, "optim": 13, "seek": 13, "request": 13, "frame": 13, "minim": 13, "exchang": 13, "final": 13, "thought": 13, "m7": 14, "displac": [14, 17], "vector": 14, "configur": 14, "m6": 15, "calcul": [15, 17, 18], "local": [15, 21], "entropi": 15, "m8": 16, "averag": 16, "m1": 17, "mean": 17, "squar": 17, "m2": 18, "order": 18, "m4": 19, "find": 19, "overlap": 19, "m5": 20, "shrink": 20, "wrap": 20, "box": 20, "m3": 21, "color": 21, "map": 21, "visual": [21, 30], "lattic": 21, "orient": 21, "o2": 22, "add": 22, "plot": 22, "render": [22, 28, 30], "imag": [22, 28], "o3": 23, "highlight": 23, "o1": 24, "scale": 24, "bar": 24, "i": 25, "o": 25, "import": [25, 28], "export": [25, 28], "pip": 26, "conda": 26, "pro": 26, "integr": 26, "interpret": 26, "preload": 26, "session": 26, "state": 26, "graphic": 26, "mode": 26, "number": 26, "cpu": 26, "third": 26, "parti": 26, "introduct": 27, "high": 28, "level": 28, "api": 28, "overview": 28, "": 28, "architectur": 28, "from": 28, "disk": 28, "appli": 28, "access": 28, "movi": 28, "further": 28, "read": 28, "element": 30, "definit": 32, "three": 32, "polylin": 32, "length": 32, "2": 32, "3": 32, "respect": 32, "io": [33, 34, 35], "ase": 34, "lammp": 35, "trait": 38, "vi": 39}, "envversion": {"sphinx.domains.c": 3, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 9, "sphinx.domains.index": 1, "sphinx.domains.javascript": 3, "sphinx.domains.math": 2, "sphinx.domains.python": 4, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 60}, "alltitles": {"OVITO Python Reference": [[0, "ovito-python-reference"]], "Topics": [[0, "topics"]], "Python Module Reference": [[0, "python-module-reference"]], "Advanced topics": [[1, "advanced-topics"]], "Saving and loading pipelines": [[1, "saving-and-loading-pipelines"]], "Controlling how many processor cores OVITO uses": [[1, "controlling-how-many-processor-cores-ovito-uses"]], "Packaging and installation of user extensions for OVITO": [[1, "packaging-and-installation-of-user-extensions-for-ovito"]], "User-defined file readers": [[2, "user-defined-file-readers"], [7, "user-defined-file-readers"]], "The detect method": [[2, "the-detect-method"], [12, "the-detect-method"]], "The scan method": [[2, "the-scan-method"], [12, "the-scan-method"]], "The parse method": [[2, "the-parse-method"], [12, "the-parse-method"]], "Testing your file reader": [[2, "testing-your-file-reader"]], "User parameters": [[2, "user-parameters"], [3, "user-parameters"]], "User-defined modifiers": [[3, "user-defined-modifiers"]], "Simple programming interface": [[3, "simple-programming-interface"]], "Inserting the custom modifier function into a pipeline": [[3, "inserting-the-custom-modifier-function-into-a-pipeline"]], "Well-behaved modifier functions": [[3, "well-behaved-modifier-functions"]], "How to output computational results": [[3, "how-to-output-computational-results"]], "One-time initialization": [[3, "one-time-initialization"]], "Performing long-running computations": [[3, "performing-long-running-computations"]], "Modifier parameters": [[3, "modifier-parameters"]], "Advanced programming interface": [[3, "advanced-programming-interface"]], "The modify method": [[3, "the-modify-method"]], "Trajectory processing": [[3, "trajectory-processing"]], "Input data caching": [[3, "input-data-caching"]], "Defining additional input slots": [[3, "defining-additional-input-slots"]], "Caching static computation results": [[3, "caching-static-computation-results"]], "Installing your custom modifier and sharing it with others": [[3, "installing-your-custom-modifier-and-sharing-it-with-others"]], "User-defined viewport layers": [[4, "user-defined-viewport-layers"], [7, "user-defined-viewport-layers"]], "Code examples": [[4, "code-examples"], [7, "code-examples"]], "Manipulating data": [[5, "manipulating-data"]], "Data ownership": [[5, "data-ownership"]], "Announcing object modification": [[5, "announcing-object-modification"]], "Assigning new particle properties": [[5, "assigning-new-particle-properties"]], "Assigning new bond properties": [[5, "assigning-new-bond-properties"]], "Modifying property values": [[5, "modifying-property-values"]], "Adding global attributes": [[5, "adding-global-attributes"]], "Modifying the simulation cell": [[5, "modifying-the-simulation-cell"]], "In-place application of modifiers": [[5, "in-place-application-of-modifiers"]], "Data model": [[6, "data-model"]], "Particles": [[6, "particles"]], "Property objects": [[6, "property-objects"]], "Global attributes": [[6, "global-attributes"]], "Data tables": [[6, "data-tables"]], "Surface meshes": [[6, "surface-meshes"]], "Standalone automation scripts": [[7, "standalone-automation-scripts"]], "User-defined modifier functions": [[7, "user-defined-modifier-functions"]], "Example B2: Computing CNA bond indices": [[8, "example-b2-computing-cna-bond-indices"]], "Example B3: Creating particles and bonds programmatically": [[9, "example-b3-creating-particles-and-bonds-programmatically"]], "Example B4: Standalone trajectory viewer": [[10, "example-b4-standalone-trajectory-viewer"]], "Example B1: Computing Voronoi indices": [[11, "example-b1-computing-voronoi-indices"]], "Example FR1: Custom file reader loading particle properties and the simulation cell": [[12, "example-fr1-custom-file-reader-loading-particle-properties-and-the-simulation-cell"]], "A note on performance": [[12, "a-note-on-performance"]], "Example FR2: Optimizing the performance of Example FR1": [[13, "example-fr2-optimizing-the-performance-of-example-fr1"]], "Seeking to the requested frame": [[13, "seeking-to-the-requested-frame"]], "Minimizing OVITO / Python data exchange": [[13, "minimizing-ovito-python-data-exchange"]], "Final thoughts": [[13, "final-thoughts"]], "Example M7: Displacement vectors with reference configuration": [[14, "example-m7-displacement-vectors-with-reference-configuration"]], "Example M6: Calculate local entropy": [[15, "example-m6-calculate-local-entropy"]], "Example M8: Compute trajectory average of a global attribute": [[16, "example-m8-compute-trajectory-average-of-a-global-attribute"]], "Example M1: Calculating mean square displacement": [[17, "example-m1-calculating-mean-square-displacement"]], "Example M2: Custom order parameter calculation": [[18, "example-m2-custom-order-parameter-calculation"]], "Example M4: Finding overlapping particles": [[19, "example-m4-finding-overlapping-particles"]], "Example M5: Shrink-wrap simulation box": [[20, "example-m5-shrink-wrap-simulation-box"]], "Example M3: Color mapping to visualize local lattice orientation": [[21, "example-m3-color-mapping-to-visualize-local-lattice-orientation"]], "Example O2: Add a data plot to rendered images": [[22, "example-o2-add-a-data-plot-to-rendered-images"]], "Example O3: Highlight a particle": [[23, "example-o3-highlight-a-particle"]], "Example O1: Scale bar": [[24, "example-o1-scale-bar"]], "File I/O": [[25, "file-i-o"]], "Data import": [[25, "data-import"]], "Data export": [[25, "data-export"]], "Installation": [[26, "installation"]], "Using pip": [[26, "using-pip"]], "Using conda": [[26, "using-conda"]], "OVITO Pro integrated interpreter": [[26, "ovito-pro-integrated-interpreter"]], "Preloading session state": [[26, "preloading-session-state"]], "Graphical mode": [[26, "graphical-mode"]], "Number of CPU cores": [[26, "number-of-cpu-cores"]], "Installing third-party Python modules": [[26, "installing-third-party-python-modules"]], "Introduction": [[27, "introduction"]], "High-level API overview": [[28, "high-level-api-overview"]], "OVITO\u2019s data pipeline architecture": [[28, "ovito-s-data-pipeline-architecture"]], "Importing data from disk": [[28, "importing-data-from-disk"]], "Applying modifiers": [[28, "applying-modifiers"]], "Exporting data to disk": [[28, "exporting-data-to-disk"]], "Accessing computation results": [[28, "accessing-computation-results"]], "Accessing a pipeline\u2019s input data": [[28, "accessing-a-pipeline-s-input-data"]], "Rendering images and movies": [[28, "rendering-images-and-movies"]], "Further reading": [[28, "further-reading"]], "Data pipelines": [[29, "data-pipelines"]], "Processing simulation trajectories": [[29, "processing-simulation-trajectories"]], "Rendering & visualization": [[30, "rendering-visualization"]], "Visual elements": [[30, "visual-elements"]], "Viewports": [[30, "viewports"]], "Rendering": [[30, "rendering"]], "ovito": [[31, "module-ovito"]], "ovito.data": [[32, "module-ovito.data"]], "Example: Definition of three polylines of length 2, 3, and 2, respectively.": [[32, "id2"]], "ovito.io": [[33, "module-ovito.io"]], "ovito.io.ase": [[34, "module-ovito.io.ase"]], "ovito.io.lammps": [[35, "module-ovito.io.lammps"]], "ovito.modifiers": [[36, "module-ovito.modifiers"]], "ovito.pipeline": [[37, "module-ovito.pipeline"]], "ovito.traits": [[38, "module-ovito.traits"]], "ovito.vis": [[39, "module-ovito.vis"]]}, "indexentries": {"scene (class in ovito)": [[31, "ovito.Scene"]], "enable_logging() (in module ovito)": [[31, "ovito.enable_logging"]], "load() (ovito.scene method)": [[31, "ovito.Scene.load"]], "module": [[31, "module-ovito"], [32, "module-ovito.data"], [33, "module-ovito.io"], [34, "module-ovito.io.ase"], [35, "module-ovito.io.lammps"], [36, "module-ovito.modifiers"], [37, "module-ovito.pipeline"], [38, "module-ovito.traits"], [39, "module-ovito.vis"]], "ovito": [[31, "module-ovito"]], "pipelines (ovito.scene property)": [[31, "ovito.Scene.pipelines"]], "save() (ovito.scene method)": [[31, "ovito.Scene.save"]], "scene (in module ovito)": [[31, "ovito.scene"]], "selected_pipeline (ovito.scene property)": [[31, "ovito.Scene.selected_pipeline"]], "version (in module ovito)": [[31, "ovito.version"]], "version_string (in module ovito)": [[31, "ovito.version_string"]], "bondtype (class in ovito.data)": [[32, "ovito.data.BondType"]], "bonds (class in ovito.data)": [[32, "ovito.data.Bonds"]], "bondsenumerator (class in ovito.data)": [[32, "ovito.data.BondsEnumerator"]], "cutoffneighborfinder (class in ovito.data)": [[32, "ovito.data.CutoffNeighborFinder"]], "datacollection (class in ovito.data)": [[32, "ovito.data.DataCollection"]], "dataobject (class in ovito.data)": [[32, "ovito.data.DataObject"]], "datatable (class in ovito.data)": [[32, "ovito.data.DataTable"]], "dislocationnetwork (class in ovito.data)": [[32, "ovito.data.DislocationNetwork"]], "dislocationsegment (class in ovito.data)": [[32, "ovito.data.DislocationSegment"]], "elementtype (class in ovito.data)": [[32, "ovito.data.ElementType"]], "lines (class in ovito.data)": [[32, "ovito.data.Lines"]], "nearestneighborfinder (class in ovito.data)": [[32, "ovito.data.NearestNeighborFinder"]], "particletype (class in ovito.data)": [[32, "ovito.data.ParticleType"]], "particles (class in ovito.data)": [[32, "ovito.data.Particles"]], "property (class in ovito.data)": [[32, "ovito.data.Property"]], "propertycontainer (class in ovito.data)": [[32, "ovito.data.PropertyContainer"]], "simulationcell (class in ovito.data)": [[32, "ovito.data.SimulationCell"]], "surfacemesh (class in ovito.data)": [[32, "ovito.data.SurfaceMesh"]], "surfacemeshtopology (class in ovito.data)": [[32, "ovito.data.SurfaceMeshTopology"]], "trianglemesh (class in ovito.data)": [[32, "ovito.data.TriangleMesh"]], "voxelgrid (class in ovito.data)": [[32, "ovito.data.VoxelGrid"]], "add_bond() (ovito.data.bonds method)": [[32, "ovito.data.Bonds.add_bond"]], "add_particle() (ovito.data.particles method)": [[32, "ovito.data.Particles.add_particle"]], "add_type_id() (ovito.data.property method)": [[32, "ovito.data.Property.add_type_id"]], "add_type_name() (ovito.data.property method)": [[32, "ovito.data.Property.add_type_name"]], "adjacent_face() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.adjacent_face"]], "angles (ovito.data.particles property)": [[32, "ovito.data.Particles.angles"]], "apply() (ovito.data.datacollection method)": [[32, "ovito.data.DataCollection.apply"]], "attributes (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.attributes"]], "axis_label_x (ovito.data.datatable property)": [[32, "ovito.data.DataTable.axis_label_x"]], "backface_culling (ovito.data.particletype property)": [[32, "ovito.data.ParticleType.backface_culling"]], "bond_types (ovito.data.bonds property)": [[32, "ovito.data.Bonds.bond_types"]], "bonds (ovito.data.particles property)": [[32, "ovito.data.Particles.bonds"]], "bonds_of_particle() (ovito.data.bondsenumerator method)": [[32, "ovito.data.BondsEnumerator.bonds_of_particle"]], "cell (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.cell"]], "clone() (ovito.data.datacollection method)": [[32, "ovito.data.DataCollection.clone"]], "cluster_id (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.cluster_id"]], "color (ovito.data.elementtype property)": [[32, "ovito.data.ElementType.color"]], "colors (ovito.data.bonds property)": [[32, "ovito.data.Bonds.colors"]], "colors (ovito.data.particles property)": [[32, "ovito.data.Particles.colors"]], "component_count (ovito.data.property property)": [[32, "ovito.data.Property.component_count"]], "component_names (ovito.data.property property)": [[32, "ovito.data.Property.component_names"]], "connect_opposite_halfedges() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.connect_opposite_halfedges"]], "count (ovito.data.propertycontainer property)": [[32, "ovito.data.PropertyContainer.count"]], "count_face_edges() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.count_face_edges"]], "count_manifolds() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.count_manifolds"]], "count_vertex_edges() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.count_vertex_edges"]], "create_bonds() (ovito.data.particles method)": [[32, "ovito.data.Particles.create_bonds"]], "create_cell() (ovito.data.datacollection method)": [[32, "ovito.data.DataCollection.create_cell"]], "create_face() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.create_face"]], "create_faces() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.create_faces"]], "create_line() (ovito.data.lines method)": [[32, "ovito.data.Lines.create_line"]], "create_particles() (ovito.data.datacollection method)": [[32, "ovito.data.DataCollection.create_particles"]], "create_property() (ovito.data.propertycontainer method)": [[32, "ovito.data.PropertyContainer.create_property"]], "create_vertices() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.create_vertices"]], "custom_color (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.custom_color"]], "delete_elements() (ovito.data.propertycontainer method)": [[32, "ovito.data.PropertyContainer.delete_elements"]], "delete_indices() (ovito.data.propertycontainer method)": [[32, "ovito.data.PropertyContainer.delete_indices"]], "delta_vector() (ovito.data.particles method)": [[32, "ovito.data.Particles.delta_vector"]], "delta_vector() (ovito.data.simulationcell method)": [[32, "ovito.data.SimulationCell.delta_vector"]], "dihedrals (ovito.data.particles property)": [[32, "ovito.data.Particles.dihedrals"]], "dislocations (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.dislocations"]], "domain (ovito.data.surfacemesh property)": [[32, "ovito.data.SurfaceMesh.domain"]], "domain (ovito.data.voxelgrid property)": [[32, "ovito.data.VoxelGrid.domain"]], "edge_count (ovito.data.surfacemeshtopology property)": [[32, "ovito.data.SurfaceMeshTopology.edge_count"]], "enabled (ovito.data.elementtype property)": [[32, "ovito.data.ElementType.enabled"]], "face_count (ovito.data.surfacemeshtopology property)": [[32, "ovito.data.SurfaceMeshTopology.face_count"]], "face_count (ovito.data.trianglemesh property)": [[32, "ovito.data.TriangleMesh.face_count"]], "faces (ovito.data.surfacemesh property)": [[32, "ovito.data.SurfaceMesh.faces"]], "find() (ovito.data.cutoffneighborfinder method)": [[32, "ovito.data.CutoffNeighborFinder.find"]], "find() (ovito.data.nearestneighborfinder method)": [[32, "ovito.data.NearestNeighborFinder.find"]], "find_all() (ovito.data.cutoffneighborfinder method)": [[32, "ovito.data.CutoffNeighborFinder.find_all"]], "find_all() (ovito.data.nearestneighborfinder method)": [[32, "ovito.data.NearestNeighborFinder.find_all"]], "find_at() (ovito.data.cutoffneighborfinder method)": [[32, "ovito.data.CutoffNeighborFinder.find_at"]], "find_at() (ovito.data.nearestneighborfinder method)": [[32, "ovito.data.NearestNeighborFinder.find_at"]], "find_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.find_edge"]], "first_edge_vertex() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.first_edge_vertex"]], "first_face_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.first_face_edge"]], "first_face_vertex() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.first_face_vertex"]], "first_vertex_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.first_vertex_edge"]], "forces (ovito.data.particles property)": [[32, "ovito.data.Particles.forces"]], "get_clipping_planes() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.get_clipping_planes"]], "get_face_vertices() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.get_face_vertices"]], "get_faces() (ovito.data.trianglemesh method)": [[32, "ovito.data.TriangleMesh.get_faces"]], "get_vertices() (ovito.data.trianglemesh method)": [[32, "ovito.data.TriangleMesh.get_vertices"]], "grid_type (ovito.data.voxelgrid property)": [[32, "ovito.data.VoxelGrid.grid_type"]], "grids (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.grids"]], "has_opposite_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.has_opposite_edge"]], "has_opposite_face() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.has_opposite_face"]], "highlight_edges (ovito.data.particletype property)": [[32, "ovito.data.ParticleType.highlight_edges"]], "id (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.id"]], "id (ovito.data.elementtype property)": [[32, "ovito.data.ElementType.id"]], "identifier (ovito.data.dataobject property)": [[32, "ovito.data.DataObject.identifier"]], "identifiers (ovito.data.particles property)": [[32, "ovito.data.Particles.identifiers"]], "impropers (ovito.data.particles property)": [[32, "ovito.data.Particles.impropers"]], "interval (ovito.data.datatable property)": [[32, "ovito.data.DataTable.interval"]], "inverse (ovito.data.simulationcell property)": [[32, "ovito.data.SimulationCell.inverse"]], "is2d (ovito.data.simulationcell property)": [[32, "ovito.data.SimulationCell.is2D"]], "is_closed (ovito.data.surfacemeshtopology property)": [[32, "ovito.data.SurfaceMeshTopology.is_closed"]], "is_infinite_line (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.is_infinite_line"]], "is_loop (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.is_loop"]], "length (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.length"]], "lines (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.lines"]], "load_defaults() (ovito.data.particletype method)": [[32, "ovito.data.ParticleType.load_defaults"]], "load_shape() (ovito.data.particletype method)": [[32, "ovito.data.ParticleType.load_shape"]], "locate_point() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.locate_point"]], "make_mutable() (ovito.data.dataobject method)": [[32, "ovito.data.DataObject.make_mutable"]], "mass (ovito.data.particletype property)": [[32, "ovito.data.ParticleType.mass"]], "masses (ovito.data.particles property)": [[32, "ovito.data.Particles.masses"]], "mesh (ovito.data.particletype property)": [[32, "ovito.data.ParticleType.mesh"]], "name (ovito.data.elementtype property)": [[32, "ovito.data.ElementType.name"]], "name (ovito.data.property property)": [[32, "ovito.data.Property.name"]], "neighbor_distances() (ovito.data.cutoffneighborfinder method)": [[32, "ovito.data.CutoffNeighborFinder.neighbor_distances"]], "neighbor_vectors() (ovito.data.cutoffneighborfinder method)": [[32, "ovito.data.CutoffNeighborFinder.neighbor_vectors"]], "next_face_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.next_face_edge"]], "next_manifold_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.next_manifold_edge"]], "next_vertex_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.next_vertex_edge"]], "objects (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.objects"]], "opposite_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.opposite_edge"]], "opposite_face() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.opposite_face"]], "orientations (ovito.data.particles property)": [[32, "ovito.data.Particles.orientations"]], "ovito.data": [[32, "module-ovito.data"]], "particle_types (ovito.data.particles property)": [[32, "ovito.data.Particles.particle_types"]], "particles (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.particles"]], "pbc (ovito.data.simulationcell property)": [[32, "ovito.data.SimulationCell.pbc"]], "pbc_vectors (ovito.data.bonds property)": [[32, "ovito.data.Bonds.pbc_vectors"]], "plot_mode (ovito.data.datatable property)": [[32, "ovito.data.DataTable.plot_mode"]], "point_along_line() (ovito.data.dislocationsegment method)": [[32, "ovito.data.DislocationSegment.point_along_line"]], "points (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.points"]], "positions (ovito.data.lines property)": [[32, "ovito.data.Lines.positions"]], "positions (ovito.data.particles property)": [[32, "ovito.data.Particles.positions"]], "prev_face_edge() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.prev_face_edge"]], "radius (ovito.data.bondtype property)": [[32, "ovito.data.BondType.radius"]], "radius (ovito.data.particletype property)": [[32, "ovito.data.ParticleType.radius"]], "regions (ovito.data.surfacemesh property)": [[32, "ovito.data.SurfaceMesh.regions"]], "remap_indices() (ovito.data.particles method)": [[32, "ovito.data.Particles.remap_indices"]], "second_edge_vertex() (ovito.data.surfacemeshtopology method)": [[32, "ovito.data.SurfaceMeshTopology.second_edge_vertex"]], "sections (ovito.data.lines property)": [[32, "ovito.data.Lines.sections"]], "segments (ovito.data.dislocationnetwork property)": [[32, "ovito.data.DislocationNetwork.segments"]], "selection (ovito.data.bonds property)": [[32, "ovito.data.Bonds.selection"]], "selection (ovito.data.particles property)": [[32, "ovito.data.Particles.selection"]], "set_clipping_planes() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.set_clipping_planes"]], "set_faces() (ovito.data.trianglemesh method)": [[32, "ovito.data.TriangleMesh.set_faces"]], "set_segment() (ovito.data.dislocationnetwork method)": [[32, "ovito.data.DislocationNetwork.set_segment"]], "set_vertices() (ovito.data.trianglemesh method)": [[32, "ovito.data.TriangleMesh.set_vertices"]], "shape (ovito.data.particletype property)": [[32, "ovito.data.ParticleType.shape"]], "shape (ovito.data.voxelgrid property)": [[32, "ovito.data.VoxelGrid.shape"]], "space_filling_region (ovito.data.surfacemesh property)": [[32, "ovito.data.SurfaceMesh.space_filling_region"]], "spatial_burgers_vector (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.spatial_burgers_vector"]], "structure_types (ovito.data.particles property)": [[32, "ovito.data.Particles.structure_types"]], "surfaces (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.surfaces"]], "tables (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.tables"]], "time_stamps (ovito.data.lines property)": [[32, "ovito.data.Lines.time_stamps"]], "title (ovito.data.propertycontainer property)": [[32, "ovito.data.PropertyContainer.title"]], "to_triangle_mesh() (ovito.data.surfacemesh method)": [[32, "ovito.data.SurfaceMesh.to_triangle_mesh"]], "topology (ovito.data.bonds property)": [[32, "ovito.data.Bonds.topology"]], "topology (ovito.data.surfacemesh property)": [[32, "ovito.data.SurfaceMesh.topology"]], "triangle_meshes (ovito.data.datacollection property)": [[32, "ovito.data.DataCollection.triangle_meshes"]], "true_burgers_vector (ovito.data.dislocationsegment property)": [[32, "ovito.data.DislocationSegment.true_burgers_vector"]], "type_by_id() (ovito.data.property method)": [[32, "ovito.data.Property.type_by_id"]], "type_by_name() (ovito.data.property method)": [[32, "ovito.data.Property.type_by_name"]], "types (ovito.data.property property)": [[32, "ovito.data.Property.types"]], "use_mesh_color (ovito.data.particletype property)": [[32, "ovito.data.ParticleType.use_mesh_color"]], "vdw_radius (ovito.data.particletype property)": [[32, "ovito.data.ParticleType.vdw_radius"]], "velocities (ovito.data.particles property)": [[32, "ovito.data.Particles.velocities"]], "vertex_count (ovito.data.surfacemeshtopology property)": [[32, "ovito.data.SurfaceMeshTopology.vertex_count"]], "vertex_count (ovito.data.trianglemesh property)": [[32, "ovito.data.TriangleMesh.vertex_count"]], "vertices (ovito.data.surfacemesh property)": [[32, "ovito.data.SurfaceMesh.vertices"]], "view() (ovito.data.voxelgrid method)": [[32, "ovito.data.VoxelGrid.view"]], "vis (ovito.data.dataobject property)": [[32, "ovito.data.DataObject.vis"]], "volume (ovito.data.simulationcell property)": [[32, "ovito.data.SimulationCell.volume"]], "volume2d (ovito.data.simulationcell property)": [[32, "ovito.data.SimulationCell.volume2D"]], "x (ovito.data.datatable property)": [[32, "ovito.data.DataTable.x"]], "xy() (ovito.data.datatable method)": [[32, "ovito.data.DataTable.xy"]], "y (ovito.data.datatable property)": [[32, "ovito.data.DataTable.y"]], "filereaderinterface (class in ovito.io)": [[33, "ovito.io.FileReaderInterface"]], "detect() (ovito.io.filereaderinterface method)": [[33, "ovito.io.FileReaderInterface.detect"]], "export_file() (in module ovito.io)": [[33, "ovito.io.export_file"]], "import_file() (in module ovito.io)": [[33, "ovito.io.import_file"]], "ovito.io": [[33, "module-ovito.io"]], "parse() (ovito.io.filereaderinterface method)": [[33, "ovito.io.FileReaderInterface.parse"]], "scan() (ovito.io.filereaderinterface method)": [[33, "ovito.io.FileReaderInterface.scan"]], "ase_to_ovito() (in module ovito.io.ase)": [[34, "ovito.io.ase.ase_to_ovito"]], "ovito.io.ase": [[34, "module-ovito.io.ase"]], "ovito_to_ase() (in module ovito.io.ase)": [[34, "ovito.io.ase.ovito_to_ase"]], "lammps_to_ovito() (in module ovito.io.lammps)": [[35, "ovito.io.lammps.lammps_to_ovito"]], "ovito.io.lammps": [[35, "module-ovito.io.lammps"]], "acklandjonesmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.AcklandJonesModifier"]], "affinetransformationmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.AffineTransformationModifier"]], "ambientocclusionmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.AmbientOcclusionModifier"]], "assigncolormodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.AssignColorModifier"]], "atomicstrainmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.AtomicStrainModifier"]], "bondanalysismodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.BondAnalysisModifier"]], "calculatedisplacementsmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.CalculateDisplacementsModifier"]], "centrosymmetrymodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.CentroSymmetryModifier"]], "chillplusmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ChillPlusModifier"]], "clearselectionmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ClearSelectionModifier"]], "clusteranalysismodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ClusterAnalysisModifier"]], "colorbytypemodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ColorByTypeModifier"]], "colorcodingmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ColorCodingModifier"]], "combinedatasetsmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.CombineDatasetsModifier"]], "commonneighboranalysismodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.CommonNeighborAnalysisModifier"]], "computepropertymodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ComputePropertyModifier"]], "constructsurfacemodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ConstructSurfaceModifier"]], "coordinationanalysismodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.CoordinationAnalysisModifier"]], "coordinationpolyhedramodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.CoordinationPolyhedraModifier"]], "createbondsmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.CreateBondsModifier"]], "createisosurfacemodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.CreateIsosurfaceModifier"]], "deleteselectedmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.DeleteSelectedModifier"]], "dislocationanalysismodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.DislocationAnalysisModifier"]], "elasticstrainmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ElasticStrainModifier"]], "expandselectionmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ExpandSelectionModifier"]], "expressionselectionmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ExpressionSelectionModifier"]], "freezepropertymodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.FreezePropertyModifier"]], "generatetrajectorylinesmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.GenerateTrajectoryLinesModifier"]], "grainsegmentationmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.GrainSegmentationModifier"]], "histogrammodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.HistogramModifier"]], "isf (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.ISF"]], "identifydiamondmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.IdentifyDiamondModifier"]], "identifyfccplanarfaultsmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier"]], "identifyfccplanarfaultsmodifier.types (class in ovito.modifiers)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types"]], "invertselectionmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.InvertSelectionModifier"]], "loadtrajectorymodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.LoadTrajectoryModifier"]], "multi (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.MULTI"]], "nonhcp (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.NONHCP"]], "other (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.OTHER"]], "polyhedraltemplatematchingmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.PolyhedralTemplateMatchingModifier"]], "pythonmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.PythonModifier"]], "renderlammpsregionsmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.RenderLAMMPSRegionsModifier"]], "replicatemodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.ReplicateModifier"]], "selecttypemodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.SelectTypeModifier"]], "slicemodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.SliceModifier"]], "smoothtrajectorymodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.SmoothTrajectoryModifier"]], "spatialbinningmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.SpatialBinningModifier"]], "spatialcorrelationfunctionmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.SpatialCorrelationFunctionModifier"]], "structureidentificationmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.StructureIdentificationModifier"]], "twin (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.TWIN"]], "timeaveragingmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.TimeAveragingModifier"]], "timeseriesmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.TimeSeriesModifier"]], "unwraptrajectoriesmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.UnwrapTrajectoriesModifier"]], "vorotopmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.VoroTopModifier"]], "voronoianalysismodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.VoronoiAnalysisModifier"]], "wignerseitzanalysismodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.WignerSeitzAnalysisModifier"]], "wrapperiodicimagesmodifier (class in ovito.modifiers)": [[36, "ovito.modifiers.WrapPeriodicImagesModifier"]], "adjust_box (ovito.modifiers.replicatemodifier property)": [[36, "ovito.modifiers.ReplicateModifier.adjust_box"]], "algorithm (ovito.modifiers.grainsegmentationmodifier property)": [[36, "ovito.modifiers.GrainSegmentationModifier.algorithm"]], "apply_window (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[36, "ovito.modifiers.SpatialCorrelationFunctionModifier.apply_window"]], "auto_adjust_range (ovito.modifiers.colorcodingmodifier property)": [[36, "ovito.modifiers.ColorCodingModifier.auto_adjust_range"]], "axial_ratio (ovito.modifiers.elasticstrainmodifier property)": [[36, "ovito.modifiers.ElasticStrainModifier.axial_ratio"]], "bin_count (ovito.modifiers.histogrammodifier property)": [[36, "ovito.modifiers.HistogramModifier.bin_count"]], "bin_count (ovito.modifiers.spatialbinningmodifier property)": [[36, "ovito.modifiers.SpatialBinningModifier.bin_count"]], "bins (ovito.modifiers.bondanalysismodifier property)": [[36, "ovito.modifiers.BondAnalysisModifier.bins"]], "bond_type (ovito.modifiers.createbondsmodifier property)": [[36, "ovito.modifiers.CreateBondsModifier.bond_type"]], "bonds_vis (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.bonds_vis"]], "buffer_resolution (ovito.modifiers.ambientocclusionmodifier property)": [[36, "ovito.modifiers.AmbientOcclusionModifier.buffer_resolution"]], "calculate_deformation_gradients (ovito.modifiers.elasticstrainmodifier property)": [[36, "ovito.modifiers.ElasticStrainModifier.calculate_deformation_gradients"]], "calculate_misorientation() (ovito.modifiers.polyhedraltemplatematchingmodifier static method)": [[36, "ovito.modifiers.PolyhedralTemplateMatchingModifier.calculate_misorientation"]], "calculate_strain_tensors (ovito.modifiers.elasticstrainmodifier property)": [[36, "ovito.modifiers.ElasticStrainModifier.calculate_strain_tensors"]], "circuit_stretchability (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.circuit_stretchability"]], "clear_selection (ovito.modifiers.colorbytypemodifier property)": [[36, "ovito.modifiers.ColorByTypeModifier.clear_selection"]], "cluster_coloring (ovito.modifiers.clusteranalysismodifier property)": [[36, "ovito.modifiers.ClusterAnalysisModifier.cluster_coloring"]], "color (ovito.modifiers.assigncolormodifier property)": [[36, "ovito.modifiers.AssignColorModifier.color"]], "color_by_type (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.color_by_type"]], "color_by_type (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[36, "ovito.modifiers.RenderLAMMPSRegionsModifier.color_by_type"]], "color_by_type (ovito.modifiers.structureidentificationmodifier property)": [[36, "ovito.modifiers.StructureIdentificationModifier.color_by_type"]], "color_isf (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_isf"]], "color_multi (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_multi"]], "color_other (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_other"]], "color_particles (ovito.modifiers.grainsegmentationmodifier property)": [[36, "ovito.modifiers.GrainSegmentationModifier.color_particles"]], "color_twin (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[36, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_twin"]], "commands (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[36, "ovito.modifiers.RenderLAMMPSRegionsModifier.commands"]], "compute_com (ovito.modifiers.clusteranalysismodifier property)": [[36, "ovito.modifiers.ClusterAnalysisModifier.compute_com"]], "compute_distances (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.compute_distances"]], "compute_gyration (ovito.modifiers.clusteranalysismodifier property)": [[36, "ovito.modifiers.ClusterAnalysisModifier.compute_gyration"]], "compute_indices (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.compute_indices"]], "cosine_mode (ovito.modifiers.bondanalysismodifier property)": [[36, "ovito.modifiers.BondAnalysisModifier.cosine_mode"]], "cutoff (ovito.modifiers.atomicstrainmodifier property)": [[36, "ovito.modifiers.AtomicStrainModifier.cutoff"]], "cutoff (ovito.modifiers.chillplusmodifier property)": [[36, "ovito.modifiers.ChillPlusModifier.cutoff"]], "cutoff (ovito.modifiers.clusteranalysismodifier property)": [[36, "ovito.modifiers.ClusterAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.commonneighboranalysismodifier property)": [[36, "ovito.modifiers.CommonNeighborAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.coordinationanalysismodifier property)": [[36, "ovito.modifiers.CoordinationAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.createbondsmodifier property)": [[36, "ovito.modifiers.CreateBondsModifier.cutoff"]], "cutoff (ovito.modifiers.expandselectionmodifier property)": [[36, "ovito.modifiers.ExpandSelectionModifier.cutoff"]], "cutoff_radius (ovito.modifiers.computepropertymodifier property)": [[36, "ovito.modifiers.ComputePropertyModifier.cutoff_radius"]], "defect_mesh_smoothing_level (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.defect_mesh_smoothing_level"]], "defect_vis (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.defect_vis"]], "delegate (ovito.modifiers.pythonmodifier property)": [[36, "ovito.modifiers.PythonModifier.delegate"]], "destination_property (ovito.modifiers.freezepropertymodifier property)": [[36, "ovito.modifiers.FreezePropertyModifier.destination_property"]], "direct_summation (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[36, "ovito.modifiers.SpatialCorrelationFunctionModifier.direct_summation"]], "direction (ovito.modifiers.spatialbinningmodifier property)": [[36, "ovito.modifiers.SpatialBinningModifier.direction"]], "disloc_vis (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.disloc_vis"]], "distance (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.distance"]], "edge_threshold (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.edge_threshold"]], "end_value (ovito.modifiers.colorcodingmodifier property)": [[36, "ovito.modifiers.ColorCodingModifier.end_value"]], "expression (ovito.modifiers.expressionselectionmodifier property)": [[36, "ovito.modifiers.ExpressionSelectionModifier.expression"]], "expressions (ovito.modifiers.computepropertymodifier property)": [[36, "ovito.modifiers.ComputePropertyModifier.expressions"]], "face_threshold (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.face_threshold"]], "filter_file (ovito.modifiers.vorotopmodifier property)": [[36, "ovito.modifiers.VoroTopModifier.filter_file"]], "first_derivative (ovito.modifiers.spatialbinningmodifier property)": [[36, "ovito.modifiers.SpatialBinningModifier.first_derivative"]], "fix_xrange (ovito.modifiers.histogrammodifier property)": [[36, "ovito.modifiers.HistogramModifier.fix_xrange"]], "frame_interval (ovito.modifiers.generatetrajectorylinesmodifier property)": [[36, "ovito.modifiers.GenerateTrajectoryLinesModifier.frame_interval"]], "freeze_at (ovito.modifiers.freezepropertymodifier property)": [[36, "ovito.modifiers.FreezePropertyModifier.freeze_at"]], "function (ovito.modifiers.pythonmodifier property)": [[36, "ovito.modifiers.PythonModifier.function"]], "generate() (ovito.modifiers.generatetrajectorylinesmodifier method)": [[36, "ovito.modifiers.GenerateTrajectoryLinesModifier.generate"]], "generate_bonds (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.generate_bonds"]], "generate_polyhedra (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.generate_polyhedra"]], "get_pairwise_cutoff() (ovito.modifiers.createbondsmodifier method)": [[36, "ovito.modifiers.CreateBondsModifier.get_pairwise_cutoff"]], "gradient (ovito.modifiers.colorcodingmodifier property)": [[36, "ovito.modifiers.ColorCodingModifier.gradient"]], "grid_resolution (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.grid_resolution"]], "grid_spacing (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[36, "ovito.modifiers.SpatialCorrelationFunctionModifier.grid_spacing"]], "grid_vis (ovito.modifiers.spatialbinningmodifier property)": [[36, "ovito.modifiers.SpatialBinningModifier.grid_vis"]], "gridslice_vis (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.gridslice_vis"]], "handle_stacking_faults (ovito.modifiers.grainsegmentationmodifier property)": [[36, "ovito.modifiers.GrainSegmentationModifier.handle_stacking_faults"]], "identify_regions (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.identify_regions"]], "input_crystal_structure (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.input_crystal_structure"]], "input_crystal_structure (ovito.modifiers.elasticstrainmodifier property)": [[36, "ovito.modifiers.ElasticStrainModifier.input_crystal_structure"]], "intensity (ovito.modifiers.ambientocclusionmodifier property)": [[36, "ovito.modifiers.AmbientOcclusionModifier.intensity"]], "interval (ovito.modifiers.timeaveragingmodifier property)": [[36, "ovito.modifiers.TimeAveragingModifier.interval"]], "interval (ovito.modifiers.timeseriesmodifier property)": [[36, "ovito.modifiers.TimeSeriesModifier.interval"]], "intra_molecule_only (ovito.modifiers.createbondsmodifier property)": [[36, "ovito.modifiers.CreateBondsModifier.intra_molecule_only"]], "inverse (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.inverse"]], "isolevel (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.isolevel"]], "isolevel (ovito.modifiers.createisosurfacemodifier property)": [[36, "ovito.modifiers.CreateIsosurfaceModifier.isolevel"]], "iterations (ovito.modifiers.expandselectionmodifier property)": [[36, "ovito.modifiers.ExpandSelectionModifier.iterations"]], "lattice_constant (ovito.modifiers.elasticstrainmodifier property)": [[36, "ovito.modifiers.ElasticStrainModifier.lattice_constant"]], "length_cutoff (ovito.modifiers.bondanalysismodifier property)": [[36, "ovito.modifiers.BondAnalysisModifier.length_cutoff"]], "line_coarsening_enabled (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.line_coarsening_enabled"]], "line_point_separation (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.line_point_separation"]], "line_smoothing_enabled (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.line_smoothing_enabled"]], "line_smoothing_level (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.line_smoothing_level"]], "lower_cutoff (ovito.modifiers.createbondsmodifier property)": [[36, "ovito.modifiers.CreateBondsModifier.lower_cutoff"]], "map_particles_to_regions (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.map_particles_to_regions"]], "merging_threshold (ovito.modifiers.grainsegmentationmodifier property)": [[36, "ovito.modifiers.GrainSegmentationModifier.merging_threshold"]], "mesh_vis (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.mesh_vis"]], "method (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.method"]], "miller (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.miller"]], "min_grain_size (ovito.modifiers.grainsegmentationmodifier property)": [[36, "ovito.modifiers.GrainSegmentationModifier.min_grain_size"]], "minimum_image_convention (ovito.modifiers.smoothtrajectorymodifier property)": [[36, "ovito.modifiers.SmoothTrajectoryModifier.minimum_image_convention"]], "mode (ovito.modifiers.centrosymmetrymodifier property)": [[36, "ovito.modifiers.CentroSymmetryModifier.mode"]], "mode (ovito.modifiers.commonneighboranalysismodifier property)": [[36, "ovito.modifiers.CommonNeighborAnalysisModifier.mode"]], "mode (ovito.modifiers.createbondsmodifier property)": [[36, "ovito.modifiers.CreateBondsModifier.mode"]], "mode (ovito.modifiers.expandselectionmodifier property)": [[36, "ovito.modifiers.ExpandSelectionModifier.mode"]], "neighbor_bins (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[36, "ovito.modifiers.SpatialCorrelationFunctionModifier.neighbor_bins"]], "neighbor_cutoff (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[36, "ovito.modifiers.SpatialCorrelationFunctionModifier.neighbor_cutoff"]], "neighbor_expressions (ovito.modifiers.computepropertymodifier property)": [[36, "ovito.modifiers.ComputePropertyModifier.neighbor_expressions"]], "neighbor_mode (ovito.modifiers.clusteranalysismodifier property)": [[36, "ovito.modifiers.ClusterAnalysisModifier.neighbor_mode"]], "normal (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.normal"]], "num_neighbors (ovito.modifiers.centrosymmetrymodifier property)": [[36, "ovito.modifiers.CentroSymmetryModifier.num_neighbors"]], "num_neighbors (ovito.modifiers.expandselectionmodifier property)": [[36, "ovito.modifiers.ExpandSelectionModifier.num_neighbors"]], "num_x (ovito.modifiers.replicatemodifier property)": [[36, "ovito.modifiers.ReplicateModifier.num_x"]], "num_y (ovito.modifiers.replicatemodifier property)": [[36, "ovito.modifiers.ReplicateModifier.num_y"]], "num_z (ovito.modifiers.replicatemodifier property)": [[36, "ovito.modifiers.ReplicateModifier.num_z"]], "number_of_bins (ovito.modifiers.coordinationanalysismodifier property)": [[36, "ovito.modifiers.CoordinationAnalysisModifier.number_of_bins"]], "only_perfect_dislocations (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.only_perfect_dislocations"]], "only_selected (ovito.modifiers.affinetransformationmodifier property)": [[36, "ovito.modifiers.AffineTransformationModifier.only_selected"]], "only_selected (ovito.modifiers.centrosymmetrymodifier property)": [[36, "ovito.modifiers.CentroSymmetryModifier.only_selected"]], "only_selected (ovito.modifiers.clusteranalysismodifier property)": [[36, "ovito.modifiers.ClusterAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.colorbytypemodifier property)": [[36, "ovito.modifiers.ColorByTypeModifier.only_selected"]], "only_selected (ovito.modifiers.colorcodingmodifier property)": [[36, "ovito.modifiers.ColorCodingModifier.only_selected"]], "only_selected (ovito.modifiers.computepropertymodifier property)": [[36, "ovito.modifiers.ComputePropertyModifier.only_selected"]], "only_selected (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.only_selected"]], "only_selected (ovito.modifiers.coordinationanalysismodifier property)": [[36, "ovito.modifiers.CoordinationAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.generatetrajectorylinesmodifier property)": [[36, "ovito.modifiers.GenerateTrajectoryLinesModifier.only_selected"]], "only_selected (ovito.modifiers.histogrammodifier property)": [[36, "ovito.modifiers.HistogramModifier.only_selected"]], "only_selected (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.only_selected"]], "only_selected (ovito.modifiers.spatialbinningmodifier property)": [[36, "ovito.modifiers.SpatialBinningModifier.only_selected"]], "only_selected (ovito.modifiers.structureidentificationmodifier property)": [[36, "ovito.modifiers.StructureIdentificationModifier.only_selected"]], "only_selected (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.only_selected"]], "operate_on (ovito.modifiers.affinetransformationmodifier property)": [[36, "ovito.modifiers.AffineTransformationModifier.operate_on"]], "operate_on (ovito.modifiers.assigncolormodifier property)": [[36, "ovito.modifiers.AssignColorModifier.operate_on"]], "operate_on (ovito.modifiers.clearselectionmodifier property)": [[36, "ovito.modifiers.ClearSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.colorbytypemodifier property)": [[36, "ovito.modifiers.ColorByTypeModifier.operate_on"]], "operate_on (ovito.modifiers.colorcodingmodifier property)": [[36, "ovito.modifiers.ColorCodingModifier.operate_on"]], "operate_on (ovito.modifiers.computepropertymodifier property)": [[36, "ovito.modifiers.ComputePropertyModifier.operate_on"]], "operate_on (ovito.modifiers.createisosurfacemodifier property)": [[36, "ovito.modifiers.CreateIsosurfaceModifier.operate_on"]], "operate_on (ovito.modifiers.deleteselectedmodifier property)": [[36, "ovito.modifiers.DeleteSelectedModifier.operate_on"]], "operate_on (ovito.modifiers.expressionselectionmodifier property)": [[36, "ovito.modifiers.ExpressionSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.freezepropertymodifier property)": [[36, "ovito.modifiers.FreezePropertyModifier.operate_on"]], "operate_on (ovito.modifiers.histogrammodifier property)": [[36, "ovito.modifiers.HistogramModifier.operate_on"]], "operate_on (ovito.modifiers.invertselectionmodifier property)": [[36, "ovito.modifiers.InvertSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.replicatemodifier property)": [[36, "ovito.modifiers.ReplicateModifier.operate_on"]], "operate_on (ovito.modifiers.selecttypemodifier property)": [[36, "ovito.modifiers.SelectTypeModifier.operate_on"]], "operate_on (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.operate_on"]], "operate_on (ovito.modifiers.timeaveragingmodifier property)": [[36, "ovito.modifiers.TimeAveragingModifier.operate_on"]], "operate_on (ovito.modifiers.timeseriesmodifier property)": [[36, "ovito.modifiers.TimeSeriesModifier.operate_on"]], "orphan_adoption (ovito.modifiers.grainsegmentationmodifier property)": [[36, "ovito.modifiers.GrainSegmentationModifier.orphan_adoption"]], "output_deformation_gradient (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[36, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_deformation_gradient"]], "output_deformation_gradients (ovito.modifiers.atomicstrainmodifier property)": [[36, "ovito.modifiers.AtomicStrainModifier.output_deformation_gradients"]], "output_displaced (ovito.modifiers.wignerseitzanalysismodifier property)": [[36, "ovito.modifiers.WignerSeitzAnalysisModifier.output_displaced"]], "output_interatomic_distance (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[36, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_interatomic_distance"]], "output_nonaffine_squared_displacements (ovito.modifiers.atomicstrainmodifier property)": [[36, "ovito.modifiers.AtomicStrainModifier.output_nonaffine_squared_displacements"]], "output_ordering (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[36, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_ordering"]], "output_orientation (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[36, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_orientation"]], "output_property (ovito.modifiers.computepropertymodifier property)": [[36, "ovito.modifiers.ComputePropertyModifier.output_property"]], "output_rmsd (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[36, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_rmsd"]], "output_rotations (ovito.modifiers.atomicstrainmodifier property)": [[36, "ovito.modifiers.AtomicStrainModifier.output_rotations"]], "output_strain_tensors (ovito.modifiers.atomicstrainmodifier property)": [[36, "ovito.modifiers.AtomicStrainModifier.output_strain_tensors"]], "output_stretch_tensors (ovito.modifiers.atomicstrainmodifier property)": [[36, "ovito.modifiers.AtomicStrainModifier.output_stretch_tensors"]], "ovito.modifiers": [[36, "module-ovito.modifiers"]], "partial (ovito.modifiers.coordinationanalysismodifier property)": [[36, "ovito.modifiers.CoordinationAnalysisModifier.partial"]], "partition (ovito.modifiers.bondanalysismodifier property)": [[36, "ovito.modifiers.BondAnalysisModifier.partition"]], "per_type_occupancies (ovito.modifiers.wignerseitzanalysismodifier property)": [[36, "ovito.modifiers.WignerSeitzAnalysisModifier.per_type_occupancies"]], "plane_vis (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.plane_vis"]], "prevent_hh_bonds (ovito.modifiers.createbondsmodifier property)": [[36, "ovito.modifiers.CreateBondsModifier.prevent_hh_bonds"]], "property (ovito.modifiers.colorbytypemodifier property)": [[36, "ovito.modifiers.ColorByTypeModifier.property"]], "property (ovito.modifiers.colorcodingmodifier property)": [[36, "ovito.modifiers.ColorCodingModifier.property"]], "property (ovito.modifiers.createisosurfacemodifier property)": [[36, "ovito.modifiers.CreateIsosurfaceModifier.property"]], "property (ovito.modifiers.histogrammodifier property)": [[36, "ovito.modifiers.HistogramModifier.property"]], "property (ovito.modifiers.selecttypemodifier property)": [[36, "ovito.modifiers.SelectTypeModifier.property"]], "property (ovito.modifiers.spatialbinningmodifier property)": [[36, "ovito.modifiers.SpatialBinningModifier.property"]], "property1 (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[36, "ovito.modifiers.SpatialCorrelationFunctionModifier.property1"]], "property2 (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[36, "ovito.modifiers.SpatialCorrelationFunctionModifier.property2"]], "push_strain_tensors_forward (ovito.modifiers.elasticstrainmodifier property)": [[36, "ovito.modifiers.ElasticStrainModifier.push_strain_tensors_forward"]], "radius (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.radius"]], "radius_scaling (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.radius_scaling"]], "reduced_coords (ovito.modifiers.affinetransformationmodifier property)": [[36, "ovito.modifiers.AffineTransformationModifier.reduced_coords"]], "reduction_operation (ovito.modifiers.spatialbinningmodifier property)": [[36, "ovito.modifiers.SpatialBinningModifier.reduction_operation"]], "relative_face_threshold (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.relative_face_threshold"]], "relative_mode (ovito.modifiers.affinetransformationmodifier property)": [[36, "ovito.modifiers.AffineTransformationModifier.relative_mode"]], "render_plane (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.render_plane"]], "rmsd_cutoff (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[36, "ovito.modifiers.PolyhedralTemplateMatchingModifier.rmsd_cutoff"]], "sample_count (ovito.modifiers.ambientocclusionmodifier property)": [[36, "ovito.modifiers.AmbientOcclusionModifier.sample_count"]], "sample_particle_property (ovito.modifiers.generatetrajectorylinesmodifier property)": [[36, "ovito.modifiers.GenerateTrajectoryLinesModifier.sample_particle_property"]], "sampling_frequency (ovito.modifiers.generatetrajectorylinesmodifier property)": [[36, "ovito.modifiers.GenerateTrajectoryLinesModifier.sampling_frequency"]], "sampling_frequency (ovito.modifiers.timeaveragingmodifier property)": [[36, "ovito.modifiers.TimeAveragingModifier.sampling_frequency"]], "sampling_frequency (ovito.modifiers.timeseriesmodifier property)": [[36, "ovito.modifiers.TimeSeriesModifier.sampling_frequency"]], "select (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.select"]], "select_atoms (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[36, "ovito.modifiers.RenderLAMMPSRegionsModifier.select_atoms"]], "select_invalid_particles (ovito.modifiers.atomicstrainmodifier property)": [[36, "ovito.modifiers.AtomicStrainModifier.select_invalid_particles"]], "select_surface_particles (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.select_surface_particles"]], "set_pairwise_cutoff() (ovito.modifiers.createbondsmodifier method)": [[36, "ovito.modifiers.CreateBondsModifier.set_pairwise_cutoff"]], "slab_width (ovito.modifiers.slicemodifier property)": [[36, "ovito.modifiers.SliceModifier.slab_width"]], "smoothing_level (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.smoothing_level"]], "sort_by_size (ovito.modifiers.clusteranalysismodifier property)": [[36, "ovito.modifiers.ClusterAnalysisModifier.sort_by_size"]], "source (ovito.modifiers.combinedatasetsmodifier property)": [[36, "ovito.modifiers.CombineDatasetsModifier.source"]], "source (ovito.modifiers.loadtrajectorymodifier property)": [[36, "ovito.modifiers.LoadTrajectoryModifier.source"]], "source_property (ovito.modifiers.freezepropertymodifier property)": [[36, "ovito.modifiers.FreezePropertyModifier.source_property"]], "start_value (ovito.modifiers.colorcodingmodifier property)": [[36, "ovito.modifiers.ColorCodingModifier.start_value"]], "structures (ovito.modifiers.structureidentificationmodifier property)": [[36, "ovito.modifiers.StructureIdentificationModifier.structures"]], "target_cell (ovito.modifiers.affinetransformationmodifier property)": [[36, "ovito.modifiers.AffineTransformationModifier.target_cell"]], "time_attribute (ovito.modifiers.timeseriesmodifier property)": [[36, "ovito.modifiers.TimeSeriesModifier.time_attribute"]], "transfer_properties (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.transfer_properties"]], "transfer_values (ovito.modifiers.createisosurfacemodifier property)": [[36, "ovito.modifiers.CreateIsosurfaceModifier.transfer_values"]], "transformation (ovito.modifiers.affinetransformationmodifier property)": [[36, "ovito.modifiers.AffineTransformationModifier.transformation"]], "trial_circuit_length (ovito.modifiers.dislocationanalysismodifier property)": [[36, "ovito.modifiers.DislocationAnalysisModifier.trial_circuit_length"]], "types (ovito.modifiers.selecttypemodifier property)": [[36, "ovito.modifiers.SelectTypeModifier.types"]], "unique_ids (ovito.modifiers.replicatemodifier property)": [[36, "ovito.modifiers.ReplicateModifier.unique_ids"]], "unwrap_particles (ovito.modifiers.clusteranalysismodifier property)": [[36, "ovito.modifiers.ClusterAnalysisModifier.unwrap_particles"]], "unwrap_trajectories (ovito.modifiers.generatetrajectorylinesmodifier property)": [[36, "ovito.modifiers.GenerateTrajectoryLinesModifier.unwrap_trajectories"]], "use_radii (ovito.modifiers.vorotopmodifier property)": [[36, "ovito.modifiers.VoroTopModifier.use_radii"]], "use_radii (ovito.modifiers.voronoianalysismodifier property)": [[36, "ovito.modifiers.VoronoiAnalysisModifier.use_radii"]], "vis (ovito.modifiers.calculatedisplacementsmodifier property)": [[36, "ovito.modifiers.CalculateDisplacementsModifier.vis"]], "vis (ovito.modifiers.constructsurfacemodifier property)": [[36, "ovito.modifiers.ConstructSurfaceModifier.vis"]], "vis (ovito.modifiers.coordinationpolyhedramodifier property)": [[36, "ovito.modifiers.CoordinationPolyhedraModifier.vis"]], "vis (ovito.modifiers.createbondsmodifier property)": [[36, "ovito.modifiers.CreateBondsModifier.vis"]], "vis (ovito.modifiers.createisosurfacemodifier property)": [[36, "ovito.modifiers.CreateIsosurfaceModifier.vis"]], "vis (ovito.modifiers.generatetrajectorylinesmodifier property)": [[36, "ovito.modifiers.GenerateTrajectoryLinesModifier.vis"]], "vis (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[36, "ovito.modifiers.RenderLAMMPSRegionsModifier.vis"]], "window_size (ovito.modifiers.smoothtrajectorymodifier property)": [[36, "ovito.modifiers.SmoothTrajectoryModifier.window_size"]], "working_dir (ovito.modifiers.pythonmodifier property)": [[36, "ovito.modifiers.PythonModifier.working_dir"]], "xrange_end (ovito.modifiers.histogrammodifier property)": [[36, "ovito.modifiers.HistogramModifier.xrange_end"]], "xrange_start (ovito.modifiers.histogrammodifier property)": [[36, "ovito.modifiers.HistogramModifier.xrange_start"]], "filesource (class in ovito.pipeline)": [[37, "ovito.pipeline.FileSource"]], "modificationnode (class in ovito.pipeline)": [[37, "ovito.pipeline.ModificationNode"]], "modifier (class in ovito.pipeline)": [[37, "ovito.pipeline.Modifier"]], "modifierinterface (class in ovito.pipeline)": [[37, "ovito.pipeline.ModifierInterface"]], "modifierinterface.inputslot (class in ovito.pipeline)": [[37, "ovito.pipeline.ModifierInterface.InputSlot"]], "pipeline (class in ovito.pipeline)": [[37, "ovito.pipeline.Pipeline"]], "pipelinenode (class in ovito.pipeline)": [[37, "ovito.pipeline.PipelineNode"]], "pipelinesourceinterface (class in ovito.pipeline)": [[37, "ovito.pipeline.PipelineSourceInterface"]], "pythonsource (class in ovito.pipeline)": [[37, "ovito.pipeline.PythonSource"]], "referenceconfigurationmodifier (class in ovito.pipeline)": [[37, "ovito.pipeline.ReferenceConfigurationModifier"]], "staticsource (class in ovito.pipeline)": [[37, "ovito.pipeline.StaticSource"]], "add_to_scene() (ovito.pipeline.pipeline method)": [[37, "ovito.pipeline.Pipeline.add_to_scene"]], "affine_mapping (ovito.pipeline.referenceconfigurationmodifier property)": [[37, "ovito.pipeline.ReferenceConfigurationModifier.affine_mapping"]], "compute() (ovito.pipeline.modifierinterface.inputslot method)": [[37, "ovito.pipeline.ModifierInterface.InputSlot.compute"]], "compute() (ovito.pipeline.pipeline method)": [[37, "ovito.pipeline.Pipeline.compute"]], "compute() (ovito.pipeline.pipelinenode method)": [[37, "ovito.pipeline.PipelineNode.compute"]], "compute_trajectory_length() (ovito.pipeline.modifierinterface method)": [[37, "ovito.pipeline.ModifierInterface.compute_trajectory_length"]], "compute_trajectory_length() (ovito.pipeline.pipelinesourceinterface method)": [[37, "ovito.pipeline.PipelineSourceInterface.compute_trajectory_length"]], "create() (ovito.pipeline.pipelinesourceinterface method)": [[37, "ovito.pipeline.PipelineSourceInterface.create"]], "data (ovito.pipeline.filesource property)": [[37, "ovito.pipeline.FileSource.data"]], "data (ovito.pipeline.staticsource property)": [[37, "ovito.pipeline.StaticSource.data"]], "delegate (ovito.pipeline.pythonsource property)": [[37, "ovito.pipeline.PythonSource.delegate"]], "enabled (ovito.pipeline.modifier property)": [[37, "ovito.pipeline.Modifier.enabled"]], "frame_offset (ovito.pipeline.referenceconfigurationmodifier property)": [[37, "ovito.pipeline.ReferenceConfigurationModifier.frame_offset"]], "function (ovito.pipeline.pythonsource property)": [[37, "ovito.pipeline.PythonSource.function"]], "get_modification_nodes() (ovito.pipeline.modifier method)": [[37, "ovito.pipeline.Modifier.get_modification_nodes"]], "head (ovito.pipeline.pipeline property)": [[37, "ovito.pipeline.Pipeline.head"]], "input (ovito.pipeline.modificationnode property)": [[37, "ovito.pipeline.ModificationNode.input"]], "input_caching_hints() (ovito.pipeline.modifierinterface method)": [[37, "ovito.pipeline.ModifierInterface.input_caching_hints"]], "input_node (ovito.pipeline.modifierinterface.inputslot property)": [[37, "ovito.pipeline.ModifierInterface.InputSlot.input_node"]], "load() (ovito.pipeline.filesource method)": [[37, "ovito.pipeline.FileSource.load"]], "minimum_image_convention (ovito.pipeline.referenceconfigurationmodifier property)": [[37, "ovito.pipeline.ReferenceConfigurationModifier.minimum_image_convention"]], "modifier (ovito.pipeline.modificationnode property)": [[37, "ovito.pipeline.ModificationNode.modifier"]], "modifiers (ovito.pipeline.pipeline property)": [[37, "ovito.pipeline.Pipeline.modifiers"]], "modify() (ovito.pipeline.modifierinterface method)": [[37, "ovito.pipeline.ModifierInterface.modify"]], "notify_trajectory_length_changed() (ovito.pipeline.modifierinterface method)": [[37, "ovito.pipeline.ModifierInterface.notify_trajectory_length_changed"]], "notify_trajectory_length_changed() (ovito.pipeline.pipelinesourceinterface method)": [[37, "ovito.pipeline.PipelineSourceInterface.notify_trajectory_length_changed"]], "num_frames (ovito.pipeline.modifierinterface.inputslot property)": [[37, "ovito.pipeline.ModifierInterface.InputSlot.num_frames"]], "num_frames (ovito.pipeline.pipelinenode property)": [[37, "ovito.pipeline.PipelineNode.num_frames"]], "ovito.pipeline": [[37, "module-ovito.pipeline"]], "preliminary_updates (ovito.pipeline.pipeline property)": [[37, "ovito.pipeline.Pipeline.preliminary_updates"]], "reference (ovito.pipeline.referenceconfigurationmodifier property)": [[37, "ovito.pipeline.ReferenceConfigurationModifier.reference"]], "reference_frame (ovito.pipeline.referenceconfigurationmodifier property)": [[37, "ovito.pipeline.ReferenceConfigurationModifier.reference_frame"]], "remove_from_scene() (ovito.pipeline.pipeline method)": [[37, "ovito.pipeline.Pipeline.remove_from_scene"]], "source (ovito.pipeline.pipeline property)": [[37, "ovito.pipeline.Pipeline.source"]], "source_path (ovito.pipeline.filesource property)": [[37, "ovito.pipeline.FileSource.source_path"]], "title (ovito.pipeline.modifier property)": [[37, "ovito.pipeline.Modifier.title"]], "use_frame_offset (ovito.pipeline.referenceconfigurationmodifier property)": [[37, "ovito.pipeline.ReferenceConfigurationModifier.use_frame_offset"]], "working_dir (ovito.pipeline.pythonsource property)": [[37, "ovito.pipeline.PythonSource.working_dir"]], "color (class in ovito.traits)": [[38, "ovito.traits.Color"]], "filepath (class in ovito.traits)": [[38, "ovito.traits.FilePath"]], "ovitoobject (class in ovito.traits)": [[38, "ovito.traits.OvitoObject"]], "vector2 (class in ovito.traits)": [[38, "ovito.traits.Vector2"]], "vector3 (class in ovito.traits)": [[38, "ovito.traits.Vector3"]], "ovito.traits": [[38, "module-ovito.traits"]], "anarirenderer (class in ovito.vis)": [[39, "ovito.vis.AnariRenderer"]], "bondsvis (class in ovito.vis)": [[39, "ovito.vis.BondsVis"]], "colorlegendoverlay (class in ovito.vis)": [[39, "ovito.vis.ColorLegendOverlay"]], "coordinatetripodoverlay (class in ovito.vis)": [[39, "ovito.vis.CoordinateTripodOverlay"]], "datavis (class in ovito.vis)": [[39, "ovito.vis.DataVis"]], "dislocationvis (class in ovito.vis)": [[39, "ovito.vis.DislocationVis"]], "linesvis (class in ovito.vis)": [[39, "ovito.vis.LinesVis"]], "osprayrenderer (class in ovito.vis)": [[39, "ovito.vis.OSPRayRenderer"]], "openglrenderer (class in ovito.vis)": [[39, "ovito.vis.OpenGLRenderer"]], "particlesvis (class in ovito.vis)": [[39, "ovito.vis.ParticlesVis"]], "pythonviewportoverlay (class in ovito.vis)": [[39, "ovito.vis.PythonViewportOverlay"]], "pythonviewportoverlay.arguments (class in ovito.vis)": [[39, "ovito.vis.PythonViewportOverlay.Arguments"]], "simulationcellvis (class in ovito.vis)": [[39, "ovito.vis.SimulationCellVis"]], "surfacemeshvis (class in ovito.vis)": [[39, "ovito.vis.SurfaceMeshVis"]], "tachyonrenderer (class in ovito.vis)": [[39, "ovito.vis.TachyonRenderer"]], "textlabeloverlay (class in ovito.vis)": [[39, "ovito.vis.TextLabelOverlay"]], "trianglemeshvis (class in ovito.vis)": [[39, "ovito.vis.TriangleMeshVis"]], "vectorvis (class in ovito.vis)": [[39, "ovito.vis.VectorVis"]], "viewport (class in ovito.vis)": [[39, "ovito.vis.Viewport"]], "viewportoverlay (class in ovito.vis)": [[39, "ovito.vis.ViewportOverlay"]], "viewportoverlayinterface (class in ovito.vis)": [[39, "ovito.vis.ViewportOverlayInterface"]], "viewportoverlayinterface.canvas (class in ovito.vis)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas"]], "voxelgridvis (class in ovito.vis)": [[39, "ovito.vis.VoxelGridVis"]], "alignment (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.alignment"]], "alignment (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.alignment"]], "alignment (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.alignment"]], "alignment (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.alignment"]], "ambient_brightness (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.ambient_brightness"]], "ambient_light_enabled (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.ambient_light_enabled"]], "ambient_light_radiance (ovito.vis.anarirenderer property)": [[39, "ovito.vis.AnariRenderer.ambient_light_radiance"]], "ambient_occlusion (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.ambient_occlusion"]], "ambient_occlusion_brightness (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.ambient_occlusion_brightness"]], "ambient_occlusion_samples (ovito.vis.anarirenderer property)": [[39, "ovito.vis.AnariRenderer.ambient_occlusion_samples"]], "ambient_occlusion_samples (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.ambient_occlusion_samples"]], "antialiasing (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.antialiasing"]], "antialiasing_level (ovito.vis.openglrenderer property)": [[39, "ovito.vis.OpenGLRenderer.antialiasing_level"]], "antialiasing_samples (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.antialiasing_samples"]], "aperture (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.aperture"]], "aperture (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.aperture"]], "aspect_ratio (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.aspect_ratio"]], "axis1_color (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis1_color"]], "axis1_dir (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis1_dir"]], "axis1_enabled (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis1_enabled"]], "axis1_label (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis1_label"]], "axis2_color (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis2_color"]], "axis2_dir (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis2_dir"]], "axis2_enabled (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis2_enabled"]], "axis2_label (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis2_label"]], "axis3_color (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis3_color"]], "axis3_dir (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis3_dir"]], "axis3_enabled (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis3_enabled"]], "axis3_label (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis3_label"]], "axis4_color (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis4_color"]], "axis4_dir (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis4_dir"]], "axis4_enabled (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis4_enabled"]], "axis4_label (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.axis4_label"]], "backface_culling (ovito.vis.trianglemeshvis property)": [[39, "ovito.vis.TriangleMeshVis.backface_culling"]], "background_color (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.background_color"]], "background_enabled (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.background_enabled"]], "border_color (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.border_color"]], "border_enabled (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.border_enabled"]], "burgers_vector_color (ovito.vis.dislocationvis property)": [[39, "ovito.vis.DislocationVis.burgers_vector_color"]], "burgers_vector_scaling (ovito.vis.dislocationvis property)": [[39, "ovito.vis.DislocationVis.burgers_vector_scaling"]], "burgers_vector_width (ovito.vis.dislocationvis property)": [[39, "ovito.vis.DislocationVis.burgers_vector_width"]], "camera_dir (ovito.vis.viewport property)": [[39, "ovito.vis.Viewport.camera_dir"]], "camera_pos (ovito.vis.viewport property)": [[39, "ovito.vis.Viewport.camera_pos"]], "camera_up (ovito.vis.viewport property)": [[39, "ovito.vis.Viewport.camera_up"]], "cap_color (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.cap_color"]], "cap_transparency (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.cap_transparency"]], "clip_at_domain_boundaries (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.clip_at_domain_boundaries"]], "color (ovito.vis.bondsvis property)": [[39, "ovito.vis.BondsVis.color"]], "color (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.color"]], "color (ovito.vis.trianglemeshvis property)": [[39, "ovito.vis.TriangleMeshVis.color"]], "color (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.color"]], "color_mapping_gradient (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.voxelgridvis property)": [[39, "ovito.vis.VoxelGridVis.color_mapping_gradient"]], "color_mapping_interval (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.voxelgridvis property)": [[39, "ovito.vis.VoxelGridVis.color_mapping_interval"]], "color_mapping_mode (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.color_mapping_mode"]], "color_mapping_property (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.color_mapping_property"]], "color_mapping_property (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.color_mapping_property"]], "color_mapping_property (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.color_mapping_property"]], "color_mapping_property (ovito.vis.voxelgridvis property)": [[39, "ovito.vis.VoxelGridVis.color_mapping_property"]], "color_mapping_source (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.color_mapping_source"]], "coloring_mode (ovito.vis.bondsvis property)": [[39, "ovito.vis.BondsVis.coloring_mode"]], "coloring_mode (ovito.vis.dislocationvis property)": [[39, "ovito.vis.DislocationVis.coloring_mode"]], "create_jupyter_widget() (ovito.vis.viewport method)": [[39, "ovito.vis.Viewport.create_jupyter_widget"]], "create_qt_widget() (ovito.vis.viewport method)": [[39, "ovito.vis.Viewport.create_qt_widget"]], "delegate (ovito.vis.pythonviewportoverlay property)": [[39, "ovito.vis.PythonViewportOverlay.delegate"]], "denoising_enabled (ovito.vis.anarirenderer property)": [[39, "ovito.vis.AnariRenderer.denoising_enabled"]], "denoising_enabled (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.denoising_enabled"]], "depth_of_field (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.depth_of_field"]], "direct_light (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.direct_light"]], "direct_light_angular_diameter (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.direct_light_angular_diameter"]], "direct_light_enabled (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.direct_light_enabled"]], "direct_light_intensity (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.direct_light_intensity"]], "direct_light_intensity (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.direct_light_intensity"]], "direct_light_irradiance (ovito.vis.anarirenderer property)": [[39, "ovito.vis.AnariRenderer.direct_light_irradiance"]], "direct_light_latitude (ovito.vis.anarirenderer property)": [[39, "ovito.vis.AnariRenderer.direct_light_latitude"]], "direct_light_longitude (ovito.vis.anarirenderer property)": [[39, "ovito.vis.AnariRenderer.direct_light_longitude"]], "dof_enabled (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.dof_enabled"]], "draw_image() (ovito.vis.viewportoverlayinterface.canvas method)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.draw_image"]], "draw_text() (ovito.vis.viewportoverlayinterface.canvas method)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.draw_text"]], "enabled (ovito.vis.datavis property)": [[39, "ovito.vis.DataVis.enabled"]], "enabled (ovito.vis.viewportoverlay property)": [[39, "ovito.vis.ViewportOverlay.enabled"]], "field_of_view (ovito.vis.viewportoverlayinterface.canvas property)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.field_of_view"]], "flat_shading (ovito.vis.bondsvis property)": [[39, "ovito.vis.BondsVis.flat_shading"]], "flat_shading (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.flat_shading"]], "focal_length (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.focal_length"]], "focal_length (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.focal_length"]], "font (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.font"]], "font (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.font"]], "font (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.font"]], "font_size (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.font_size"]], "font_size (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.font_size"]], "font_size (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.font_size"]], "format_string (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.format_string"]], "format_string (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.format_string"]], "fov (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.fov"]], "fov (ovito.vis.viewport property)": [[39, "ovito.vis.Viewport.fov"]], "frame (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.frame"]], "function (ovito.vis.pythonviewportoverlay property)": [[39, "ovito.vis.PythonViewportOverlay.function"]], "highlight_edges (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.highlight_edges"]], "highlight_edges (ovito.vis.trianglemeshvis property)": [[39, "ovito.vis.TriangleMeshVis.highlight_edges"]], "highlight_grid_lines (ovito.vis.voxelgridvis property)": [[39, "ovito.vis.VoxelGridVis.highlight_grid_lines"]], "interpolate_colors (ovito.vis.voxelgridvis property)": [[39, "ovito.vis.VoxelGridVis.interpolate_colors"]], "is_perspective (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.is_perspective"]], "is_perspective (ovito.vis.viewportoverlayinterface.canvas property)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.is_perspective"]], "label1 (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.label1"]], "label2 (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.label2"]], "label_size (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.label_size"]], "legend_size (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.legend_size"]], "line_width (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.line_width"]], "line_width (ovito.vis.dislocationvis property)": [[39, "ovito.vis.DislocationVis.line_width"]], "line_width (ovito.vis.simulationcellvis property)": [[39, "ovito.vis.SimulationCellVis.line_width"]], "logical_size (ovito.vis.viewportoverlayinterface.canvas property)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.logical_size"]], "material_shininess (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.material_shininess"]], "material_specular_brightness (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.material_specular_brightness"]], "max_ray_recursion (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.max_ray_recursion"]], "modifier (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.modifier"]], "mpl_figure() (ovito.vis.viewportoverlayinterface.canvas method)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.mpl_figure"]], "offset (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.offset"]], "offset_x (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.offset_x"]], "offset_x (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.offset_x"]], "offset_x (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.offset_x"]], "offset_y (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.offset_y"]], "offset_y (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.offset_y"]], "offset_y (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.offset_y"]], "orientation (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.orientation"]], "outline_color (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.outline_color"]], "outline_color (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.outline_color"]], "outline_color (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.outline_color"]], "outline_enabled (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.outline_enabled"]], "outline_enabled (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.outline_enabled"]], "outline_enabled (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.outline_enabled"]], "overlays (ovito.vis.viewport property)": [[39, "ovito.vis.Viewport.overlays"]], "ovito.vis": [[39, "module-ovito.vis"]], "painter (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.painter"]], "perspective_distortion (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.perspective_distortion"]], "physical_size (ovito.vis.viewportoverlayinterface.canvas property)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.physical_size"]], "pipeline (ovito.vis.pythonviewportoverlay property)": [[39, "ovito.vis.PythonViewportOverlay.pipeline"]], "pipeline (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.pipeline"]], "preferred_qimage_format (ovito.vis.viewportoverlayinterface.canvas property)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.preferred_qimage_format"]], "proj_tm (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.proj_tm"]], "project_length() (ovito.vis.viewportoverlayinterface.canvas method)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.project_length"]], "project_location() (ovito.vis.viewportoverlayinterface.canvas method)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.project_location"]], "project_point() (ovito.vis.pythonviewportoverlay.arguments method)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.project_point"]], "project_size() (ovito.vis.pythonviewportoverlay.arguments method)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.project_size"]], "projection_tm (ovito.vis.viewportoverlayinterface.canvas property)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.projection_tm"]], "property (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.property"]], "qt_painter() (ovito.vis.viewportoverlayinterface.canvas method)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.qt_painter"]], "radius (ovito.vis.particlesvis property)": [[39, "ovito.vis.ParticlesVis.radius"]], "refinement_iterations (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.refinement_iterations"]], "render() (ovito.vis.viewportoverlayinterface method)": [[39, "ovito.vis.ViewportOverlayInterface.render"]], "render_anim() (ovito.vis.viewport method)": [[39, "ovito.vis.Viewport.render_anim"]], "render_cell (ovito.vis.simulationcellvis property)": [[39, "ovito.vis.SimulationCellVis.render_cell"]], "render_image() (ovito.vis.viewport method)": [[39, "ovito.vis.Viewport.render_image"]], "rendering_color (ovito.vis.simulationcellvis property)": [[39, "ovito.vis.SimulationCellVis.rendering_color"]], "reverse (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.reverse"]], "reverse_orientation (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.reverse_orientation"]], "rotate_title (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.rotate_title"]], "rounded_caps (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.rounded_caps"]], "samples_per_pixel (ovito.vis.anarirenderer property)": [[39, "ovito.vis.AnariRenderer.samples_per_pixel"]], "samples_per_pixel (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.samples_per_pixel"]], "scaling (ovito.vis.particlesvis property)": [[39, "ovito.vis.ParticlesVis.scaling"]], "scaling (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.scaling"]], "scene (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.scene"]], "shading (ovito.vis.dislocationvis property)": [[39, "ovito.vis.DislocationVis.shading"]], "shading (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.shading"]], "shadows (ovito.vis.tachyonrenderer property)": [[39, "ovito.vis.TachyonRenderer.shadows"]], "shape (ovito.vis.particlesvis property)": [[39, "ovito.vis.ParticlesVis.shape"]], "show_burgers_vectors (ovito.vis.dislocationvis property)": [[39, "ovito.vis.DislocationVis.show_burgers_vectors"]], "show_cap (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.show_cap"]], "show_line_directions (ovito.vis.dislocationvis property)": [[39, "ovito.vis.DislocationVis.show_line_directions"]], "size (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.size"]], "size (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.size"]], "sky_albedo (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.sky_albedo"]], "sky_brightness (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.sky_brightness"]], "sky_light_enabled (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.sky_light_enabled"]], "sky_turbidity (ovito.vis.osprayrenderer property)": [[39, "ovito.vis.OSPRayRenderer.sky_turbidity"]], "smooth_shading (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.smooth_shading"]], "style (ovito.vis.coordinatetripodoverlay property)": [[39, "ovito.vis.CoordinateTripodOverlay.style"]], "surface_color (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.surface_color"]], "surface_transparency (ovito.vis.surfacemeshvis property)": [[39, "ovito.vis.SurfaceMeshVis.surface_transparency"]], "text (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.text"]], "text_bounds() (ovito.vis.viewportoverlayinterface.canvas method)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.text_bounds"]], "text_color (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.text_color"]], "text_color (ovito.vis.textlabeloverlay property)": [[39, "ovito.vis.TextLabelOverlay.text_color"]], "ticks_enabled (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.ticks_enabled"]], "ticks_spacing (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.ticks_spacing"]], "title (ovito.vis.colorlegendoverlay property)": [[39, "ovito.vis.ColorLegendOverlay.title"]], "title (ovito.vis.datavis property)": [[39, "ovito.vis.DataVis.title"]], "transparency (ovito.vis.trianglemeshvis property)": [[39, "ovito.vis.TriangleMeshVis.transparency"]], "transparency (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.transparency"]], "transparency (ovito.vis.voxelgridvis property)": [[39, "ovito.vis.VoxelGridVis.transparency"]], "type (ovito.vis.viewport property)": [[39, "ovito.vis.Viewport.type"]], "underlays (ovito.vis.viewport property)": [[39, "ovito.vis.Viewport.underlays"]], "upto_current_time (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.upto_current_time"]], "view_tm (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.view_tm"]], "view_tm (ovito.vis.viewportoverlayinterface.canvas property)": [[39, "ovito.vis.ViewportOverlayInterface.Canvas.view_tm"]], "viewport (ovito.vis.pythonviewportoverlay.arguments property)": [[39, "ovito.vis.PythonViewportOverlay.Arguments.viewport"]], "width (ovito.vis.bondsvis property)": [[39, "ovito.vis.BondsVis.width"]], "width (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.width"]], "width (ovito.vis.vectorvis property)": [[39, "ovito.vis.VectorVis.width"]], "wrapped_lines (ovito.vis.linesvis property)": [[39, "ovito.vis.LinesVis.wrapped_lines"]], "zoom_all() (ovito.vis.viewport method)": [[39, "ovito.vis.Viewport.zoom_all"]]}})